# MonArch - Groundwork Monitor Architect
# MonarchExternals.pl
#
###############################################################################
# Release 0.94c
# 16-May-2005
###############################################################################
#

use strict;
use MonarchStorProc;

my ($dbh, $err, $rows);

package Externals;

my $distribution_folder = '/usr/local/groundwork/distribution/test';

sub build_externals(@) {
	my $userid = $_[1];
	my @errors = ();
	my %hosts = StorProc->get_hosts();
	foreach my $host (sort keys %hosts) {
		my $dt = StorProc->datetime();
		my $head = qq(##########GROUNDWORK#############################################################################################
#GW
#GW\tgwmon_$host.cfg generated $dt by $userid from monarch.cgi
#GW
##########GROUNDWORK#############################################################################################
);
		my $body = undef;
		my $bodytmp= undef;
		my %w = ('host_id' => $hosts{$host});
		my @externals = StorProc->fetch_list_where('external_host','data',\%w);
		foreach my $ext (@externals) { 
			$ext =~ s/\r//g;
			$body .= "\n$ext";
		}
		my @services = StorProc->fetch_list_where('services','service_id',\%w);
		my @allext = ();
		foreach my $service (@services) {
			%w = ('service_id' => $service);
			@externals = StorProc->fetch_list_where('external_service','data',\%w,'data');
			foreach my $ext (@externals) { 
				$ext =~ s/^[\n\r\s]+//;
				$ext =~ s/[\n\r\s]+$//;
				$ext =~ s/\r//g;
				push @allext,$ext;
			}
		}
		foreach my $ext (sort @allext) {	# Sort by external text
			$body .= "\n$ext\n";
		}
		if ($body) {
			open(FILE, "> $distribution_folder/gwmon_$host.cfg") || push @errors, "Error: Unable to write $distribution_folder/gwmon_$host.cfg $!";
			print FILE $head.$body;
			close (FILE);
		}
	}
	return @errors;
}


1;

