#!/usr/bin/perl

use strict;

package Properties;

my %property_list;
$property_list{'host_templates'} = "name,process_perf_data,retain_status_information,flap_detection_enabled,low_flap_threshhold,high_flap_threshhold,".
"retain_nonstatus_information,check_command,command_line,max_check_attempts,event_handler_enabled,event_handler,notifications_enabled,".
"notification_interval,notification_period,notification_options,stalking_options";
$property_list{'host_escalation_templates'} = "name,contactgroup,first_notification,last_notification,notification_interval"; 
$property_list{'host_dependencies'} = "name,host_name,notification_failure_criteria";
$property_list{'host_parent_templates'} = "name,template,parents";
$property_list{'extended_host_info_templates'} = "name,notes_url,icon_image,icon_image_alt,vrml_image,statusmap_image,2d_coords,3d_coords";

$property_list{'extended_host_info'} = "host_name,notes_url,template,2d_coords,3d_coords";


$property_list{'hosts'} = "name,alias,address,template,parents,checks_enabled,check_command,command_line,max_check_attempts,event_handler_enabled,event_handler,".
"flap_detection_enabled,process_perf_data,retain_status_information,retain_nonstatus_information,notifications_enabled,notification_interval,".
"notification_period,notification_options,stalking_options";

$property_list{'host_wizard'} = "name,template,parents,checks_enabled,check_command,command_line,max_check_attempts,event_handler_enabled,event_handler,".
"flap_detection_enabled,process_perf_data,retain_status_information,retain_nonstatus_information,notifications_enabled,notification_interval,".
"notification_period,notification_options,stalking_options";

$property_list{'hostgroup_escalation_templates'} = "name,contactgroup,first_notification,last_notification,notification_interval"; 
$property_list{'hostgroups'} = "name,alias,members,contactgroup,hostgroup_escalation,host_escalation,service_escalation";
$property_list{'hostgroup_escalation'} = "name,template,contactgroup,first_notification,last_notification,notification_interval"; 

$property_list{'service_templates'} = "name,template,check_period,max_check_attempts,normal_check_interval,retry_check_interval,".
"active_checks_enabled,passive_checks_enabled,parallelize_check,obsess_over_service,check_freshness,freshness_threshhold,notifications_enabled,notification_period,".
"notification_interval,notification_options,event_handler_enabled,event_handler,flap_detection_enabled,".
"low_flap_threshhold,high_flap_threshhold,process_perf_data,retain_status_information,retain_nonstatus_information,check_command,command_line,".
"contactgroup";

$property_list{'services'} = "name,template,host_name,check_period,max_check_attempts,normal_check_interval,retry_check_interval,".
"active_checks_enabled,passive_checks_enabled,parallelize_check,obsess_over_service,check_freshness,notifications_enabled,notification_interval,notification_options,event_handler_enabled,event_handler,flap_detection_enabled,".
"low_flap_threshhold,high_flap_threshhold,process_perf_data,retain_status_information,retain_nonstatus_information,check_command,contactgroup";

$property_list{'service_wizard'} = "name,template,check_period,max_check_attempts,normal_check_interval,retry_check_interval,".
"active_checks_enabled,passive_checks_enabled,parallelize_check,obsess_over_service,check_freshness,notifications_enabled,notification_interval,notification_options,event_handler_enabled,event_handler,flap_detection_enabled,".
"low_flap_threshhold,high_flap_threshhold,process_perf_data,retain_status_information,retain_nonstatus_information,check_command,command_line,".
"contactgroup";

$property_list{'service_escalation_templates'} = "name,service_description,contactgroup,first_notification,last_notification,notification_interval"; 
$property_list{'service_dependency_templates'} = "name,service_name,execution_failure_criteria,notification_failure_criteria";
$property_list{'extended_service_info_templates'} = "name,notes_url,icon_image,icon_image_alt";
$property_list{'extended_service_info'} = "template,service_description,host_name,notes_url";



$property_list{'service_dependency'} = "service_name,host_name,depend_on_host,template";

$property_list{'contact_templates'} = "name,host_notification_period,service_notification_period,host_notification_options,service_notification_options,".
"host_notification_commands,service_notification_commands";
$property_list{'contacts'} = "name,alias,template,host_notification_period,service_notification_period,host_notification_options,service_notification_options,".
"host_notification_commands,service_notification_commands,email,pager";
$property_list{'contactgroups'} = "name,alias,members";

$property_list{'time_periods'} = "name,alias,sunday,monday,tuesday,wednesday,thursday,friday,saturday";
$property_list{'commands'} = "name,command_line";

$property_list{'escalation_templates'} = "name,contactgroup,first_notification,last_notification,notification_interval,service_description"; 
