#!/usr/bin/perl --
# MonArch - Groundwork Monitor Architect
# monarch.cgi
#
###############################################################################
# Release 0.94c
# 16-May-2005
###############################################################################
#
# GroundWork Monitor Architect - A web based Nagios configuration system.
# # Copyright (C) 2004-2005  GroundWork Open Source Solutions.
# #  http://www.itgroundwork.com   monarch@itgroundwork.com
# #
# #     This program is free software; you can redistribute it and/or modify
# #     it under the terms of version 2 of the GNU General Public License
# #     as published by the Free Software Foundation.
# #
# #     This program is distributed in the hope that it will be useful,
# #     but WITHOUT ANY WARRANTY; without even the implied warranty of
# #     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# #     GNU General Public License for more details.
# #
# #     You should have received a copy of the GNU General Public License
# #     along with this program; if not, write to the Free Software
# #     Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
# # 


use lib qq(STRINGTOREPLACE/lib);
use strict;
use CGI;
use MonarchForms;
use MonarchStorProc;
use MonarchDoc;
$|++;


#
###########################################################################################################################
# Global Declarations
#

my $query = new CGI;
my $view = $query->param('view');
my $obj = $query->param('obj');
my $obj_view = $query->param('obj_view');
my $task = $query->param('task');
my $submit = $query->param('submit');
my $user_acct = $query->param('user_acct');
my $password = $query->param('password');
my $page_title = 'Monarch';
my (%auth_add, %auth_modify, %auth_delete, %properties, %authentication, %hidden) = ();
$authentication{'enabled'} = 1;
$hidden{'view'} = $view;
$hidden{'obj'} = $obj;
$hidden{'user_acct'} = $user_acct;
if ($task && $task ne 'No') { $hidden{'task'} = $task }
my $table = $obj;
if ($obj eq 'commands') { $table = 'commands' }
my @errors = ();
my @messages = ();
my ($body,$javascript) = undef;
my $doc_root = $ENV{'DOCUMENT_ROOT'};
my $monarch_home = "/usr/local/groundwork/monarch";
my $nagios_bin = "/usr/sbin"; 
my $userid = undef;


my @design_menus = ('time_periods','commands','contact_templates','contacts','contactgroups','host_templates','host_dependencies',
'extended_host_info_templates','service_templates','service_dependency_templates','extended_service_info_templates','escalations',
'hostgroups','profiles','externals','hosts','parent_child');
my @discover_menus = ('nmap','import','match_strings','process_stage');
my @manage_menus = ('time_periods','commands','contact_templates','contacts','contactgroups','host_templates','host_dependencies',
'extended_host_info_templates','service_templates','service_dependency_templates','extended_service_info_templates','escalations','hostgroups',
'hosts','parent_child','export');
my @control_menus = ('users','user_groups','setup','nagios_configuration','resource','files','load','pre_flight_test','commit','run_extended_info_scripts','run_external_scripts');

my %property_list = ();
$property_list{'host_templates'} = "name,process_perf_data,retain_status_information,flap_detection_enabled,low_flap_threshhold,high_flap_threshhold,".
"retain_nonstatus_information,checks_enabled,check_command,command_line,max_check_attempts,event_handler_enabled,event_handler,notifications_enabled,".
"notification_interval,notification_period,notification_options,stalking_options";

$property_list{'hosts'} = "name,alias,address,template,parents,checks_enabled,check_command,command_line,max_check_attempts,event_handler_enabled,event_handler,".
"flap_detection_enabled,process_perf_data,retain_status_information,retain_nonstatus_information,notifications_enabled,notification_interval,".
"notification_period,notification_options,stalking_options";

$property_list{'host_dependencies'} = "dependent_host,parent_host,notification_failure_criteria";

$property_list{'extended_host_info_templates'} = "name,notes_url,script,icon_image,icon_image_alt,vrml_image,statusmap_image,2d_coords,3d_coords";
$property_list{'extended_host_info'} = "host_name,notes_url,template,2d_coords,3d_coords";
$property_list{'extended_service_info_templates'} = "name,notes_url,script,icon_image,icon_image_alt";
$property_list{'extended_service_info'} = "template,service_description,host_name,notes_url";

$property_list{'hostgroups'} = "name,alias,members,contactgroup,hostgroup_escalation_id,host_escalation_id,service_escalation_id";

$property_list{'service_templates'} = "name,template,check_period,max_check_attempts,normal_check_interval,retry_check_interval,".
"active_checks_enabled,passive_checks_enabled,parallelize_check,obsess_over_service,check_freshness,freshness_threshold,notifications_enabled,notification_interval,".
"notification_period,notification_options,event_handler_enabled,event_handler,flap_detection_enabled,low_flap_threshhold,high_flap_threshhold,process_perf_data,".
"retain_status_information,retain_nonstatus_information,check_command,command_line,contactgroup";

$property_list{'services'} = "name,template,host_name,check_period,max_check_attempts,normal_check_interval,retry_check_interval,".
"active_checks_enabled,passive_checks_enabled,parallelize_check,obsess_over_service,check_freshness,notifications_enabled,notification_interval,".
"notification_options,event_handler_enabled,event_handler,flap_detection_enabled,low_flap_threshhold,high_flap_threshhold,process_perf_data,".
"retain_status_information,retain_nonstatus_information,check_command,contactgroup";

$property_list{'service_dependency_templates'} = "name,service_name,execution_failure_criteria,notification_failure_criteria";
$property_list{'service_dependency'} = "service_name,host_name,depend_on_host,template";
$property_list{'contact_templates'} = "name,host_notification_period,service_notification_period,host_notification_options,service_notification_options,".
"host_notification_commands,service_notification_commands";
$property_list{'contacts'} = "name,template,alias,email,pager";
$property_list{'contactgroups'} = "name,alias,contact";
$property_list{'hostgroup_escalation_templates'} = "name,contactgroup,type,first_notification,last_notification,notification_interval"; 
$property_list{'host_escalation_templates'} = "name,contactgroup,type,first_notification,last_notification,notification_interval"; 
$property_list{'service_escalation_templates'} = "name,service_description,contactgroup,type,first_notification,last_notification,notification_interval"; 
$property_list{'time_periods'} = "name,alias,sunday,monday,tuesday,wednesday,thursday,friday,saturday";
$property_list{'commands'} = "name,type,command_line";
$property_list{'escalation_templates'} = "name,contactgroup,first_notification,last_notification,notification_interval,service_description"; 

my %db_values = ();
$db_values{'time_periods'} = "name,alias,data,comment";
$db_values{'commands'} = "name,type,data,comment";
$db_values{'contactgroups'} = "name,alias,comment";
$db_values{'contact_templates'} = "name,host_notification_period,service_notification_period,data,comment";
$db_values{'contacts'} = "name,alias,email,pager,contacttemplate_id,status,comment";
$db_values{'hosts'} = "name,alias,address,os,hosttemplate_id,hostextinfo_id,hostprofile_id,serviceprofile_id,host_escalation_id,service_escalation_id,status,comment";
$db_values{'hostgroups'} = "name,alias,hostgroup_escalation_id,host_escalation_id,service_escalation_id,status,comment";

$db_values{'service_templates'} = "name,parent_id,check_period,notification_period,check_command,event_handler,data,comment";

$db_values{'services'} = "name,host_name,template,data,comment";
$db_values{'extended_host_info_templates'} = "name,data,script,comment";
$db_values{'extended_info_coords'} = "data";
$db_values{'extended_service_info_templates'} = "name,data,script,comment";
$db_values{'host_dependencies'} = "host_id,parent_id,data,comment";
$db_values{'service_dependency'} = "servicename_id,host_name,depend_on_host,template,comment";
$db_values{'service_dependency_templates'} = "name,servicename_id,data,comment";
$db_values{'host_templates'} = "name,notification_period,check_command,event_handler,data,comment";
$db_values{'stage_hosts'} = "name,userid,type,status,alias,address,os,info";
$db_values{'stage_host_services'} = "name,userid,type,status,host,info";
$db_values{'escalation_templates'} = "name,type,data,comment";



my %required = ();
$required{'commands'} = "name,type,command_line";
$required{'contactgroups'} = "name,alias,contact";
$required{'contact_templates'} = "name,host_notification_period,service_notification_period,host_notification_options,service_notification_options";
$required{'contacts'} = "name,alias,template";
$required{'extended_host_info_templates'} = "name";
$required{'extended_host_info'} = "name,template";
$required{'extended_service_info'} = "name";
$required{'extended_service_info_templates'} = "name";
$required{'host_dependencies'} = "dependent_host,parent_host,notification_failure_criteria";
$required{'hostgroups'} = "name,alias,members,contactgroup";
$required{'host_templates'} = "name,max_check_attempts,notification_interval,notification_period,notification_options";
$required{'hosts'} = "name,alias,address";
$required{'service_dependency'} = "service_name";
$required{'service_dependency_templates'} = "name,service_name";
$required{'escalation_templates'} = "name,first_notification,last_notification,notification_interval";
$required{'service_templates'} = "name";
$required{'services'} = "name,host_name";
$required{'time_periods'} = "name,alias";

my %obj_id = ('commands' => 'command_id','contact_templates' => 'contacttemplate_id','contactgroups' => 'contactgroup_id','contacts' => 'contact_id',
'escalation_templates' => 'template_id','hostgroup_escalation_templates' => 'template_id','host_escalation_templates' => 'template_id',
'escalation_trees' => 'tree_id','service_escalation_templates' => 'template_id','extended_host_info_templates' => 'hostextinfo_id',
'extended_service_info_templates' => 'serviceextinfo_id','host_dependencies' => 'host_id','host_templates' => 'hosttemplate_id',
'hostgroups' => 'hostgroup_id','hosts' => 'host_id','service_dependency' => 'id','service_dependency_templates' => 'id',
'service_templates' => 'servicetemplate_id','servicegroups' =>  'servicegroup_id','services' => 'service_id','time_periods' => 'timeperiod_id');

my %obj_template = ('contacts' => 'contact_templates','service_templates' => 'service_templates','services' => 'service_templates',
'service_dependency' => 'service_dependency_templates','hosts' => 'host_templates');

my %obj_template_id = ('commands' => 'command_id',
'contact_templates' => 'contacttemplate_id',
'contactgroups' => 'contactgroup_id',
'contacts' => 'contact_id',
'escalation_templates' => 'template_id',
'escalation_trees' => 'tree_id',
'extended_host_info_templates' => 'hostextinfo_id',
'extended_service_info_templates' => 'serviceextinfo_id',
'host_dependencies' => 'host_id',
'host_templates' => 'hosttemplate_id',
'hostgroups' => 'hostgroup_id',
'hosts' => 'hosttemplate_id',
'service_dependency' => 'id',
'service_dependency_templates' => 'id',
'service_templates' => 'parent_id',
'servicegroups' =>  'servicegroup_id',
'services' =>  'servicetemplate_id',
'time_periods' => 'timeperiod_id');

my %textsize = ();
$textsize{'low_flap_threshhold'} = 3;
$textsize{'high_flap_threshhold'} = 3;
$textsize{'notification_interval'} = 3;
$textsize{'first_notification'} = 3;
$textsize{'last_notification'} = 3;
$textsize{'max_check_attempts'} = 3;
$textsize{'normal_check_interval'} = 3;
$textsize{'retry_check_interval'} = 3;
$textsize{'freshness_threshold'} = 5;
$textsize{'notes_url'} = 75;
$textsize{'email'} = 75;
$textsize{'pager'} = 75;
$textsize{'name'} = 50;
$textsize{'alias'} = 75;
$textsize{'address'} = 16;
$textsize{'description'} = 75;
$textsize{'command_line'} = 75;
$textsize{'icon_image'} = 70;
$textsize{'icon_image_alt'} = 70;
$textsize{'vrml_image'} = 70;
$textsize{'statusmap_image'} = 70;
$textsize{'2d_coords'} = 7;
$textsize{'3d_coords'} = 7;
$textsize{'sunday'} = 25;
$textsize{'monday'} = 25;
$textsize{'tuesday'} = 25;
$textsize{'wednesday'} = 25;
$textsize{'thursday'} = 25;
$textsize{'friday'} = 25;
$textsize{'saturday'} = 25;
$textsize{'small'} = 5;
$textsize{'short_name'} = 20;
$textsize{'long_name'} = 70;
my $empty_data = qq(<?xml version="1.0" ?>
<data>
</data>);

# Some buttons

my %add = ('name' => 'submit', 'value' => 'Add');
my %modify = ('name' => 'submit', 'value' => 'Modify');
my %save = ('name' => 'submit', 'value' => 'Save');
my %delete = ('name' => 'submit', 'value' => 'Delete');
my %select = ('name' => 'select', 'value' => 'Select');
my %cancel = ('name' => 'cancel', 'value' => 'Cancel');
my %close = ('name' => 'submit','value' => 'Close');
my %next = ('name' => 'submit', 'value' => 'Next ->');
my %back = ('name' => 'submit', 'value' => '<- Back');
my %extended_properties = ('name' => 'ext_props', 'value' => 'List Extended Properties');
my %continue = ('name' => 'submit', 'value' => 'Continue');
my %host_vitals = ('name' => 'obj_view', 'value' => 'Host Vitals');
my %service_list = ('name' => 'obj_view', 'value' => 'Service List');
my %service_detail = ('name' => 'obj_view', 'value' => 'Service Detail');


#
###########################################################################################################################
#	Sub to present errors
#

sub error_out($) {
	my $err = shift;
	$body .= "<h2>$err</h2><br>";
}

#
###########################################################################################################################
#	Sub to parse queries
#

sub parse_query($$) {
	my $data = shift;
	my $object = shift;
	my %data_vals = ();
	my %data_props = ();
	my @contactgroups = ();
	if ($db_values{$data} =~ /,data,/) { 
		$data_vals{'data'} = "<?xml version=\"1.0\" ?>\n<data>";
	}
	my %name_vals = ();
	foreach my $name ($query->param) {
		my $val = $query->param($name);
		if ($val eq '0') { $val = '-zero-' }
		$name_vals{$name} = $val;
	}

	if ($object =~ /host_templates|service_templates/) {
		my @checks = ('checks_enabled','notifications_enabled','parallelize_check','obsess_over_service','check_freshness',
			'passive_checks_enabled','active_checks_enabled','event_handler_enabled','flap_detection_enabled','process_perf_data',
			'retain_status_information','retain_nonstatus_information');
		foreach my $check (@checks) {
			unless ($name_vals{$check}) { $name_vals{$check} = '-zero-'}
		}
	}

	my @db_vals = split(/,/, $db_values{$data});
	my @props = split(/,/, $property_list{$object});
	my $use_template_command = $query->param('use_template_command');
	foreach my $name (keys %name_vals) {
		if ($name =~ /check_command|^event_handler$/) {
			unless ($use_template_command) {
				my %c = StorProc->fetch_one('commands','name',$name_vals{$name});
				$data_vals{$name} = $c{'command_id'};
				$properties{$name} = $name_vals{$name};
				$data_props{$name} = $data_vals{$name};
			}
		} elsif ($name eq 'command_line') {
			unless ($use_template_command) {
				my $command_line = $name_vals{$name};
				$data_vals{'data'} .= "\n  <prop name=\"command_line\"><![CDATA[$command_line]]>\n  </prop>";
				delete $data_vals{$name};
				$properties{$name} = $name_vals{$name};
				$data_props{$name} = $name_vals{$name};
			}
		} elsif ($name =~ /service_description|service_name/) {
			$properties{$name} = $name_vals{$name};
			if ($properties{$name} eq '*') {
				$data_vals{$name} = $properties{$name};
			} else {
				my %s = StorProc->fetch_one('service_names','name',$properties{$name});		
				$data_vals{'servicename_id'} = $s{'servicename_id'};
			}
		} elsif ($name eq 'host_profile') {
			my %p = StorProc->fetch_one('profiles_host','name',$name_vals{$name});
			$data_vals{'hostprofile_id'} = $p{'hostprofile_id'};
			$properties{$name} = $name_vals{$name};
		} elsif ($name eq 'dependent_host') {
			my %h = StorProc->fetch_one('hosts','name',$name_vals{$name});
			$data_vals{'host_id'} = $h{'host_id'};
			$properties{$name} = $name_vals{$name};
		} elsif ($name eq 'parent_host') {
			my %h = StorProc->fetch_one('hosts','name',$name_vals{$name});
			$data_vals{'parent_id'} = $h{'host_id'};
			$properties{$name} = $name_vals{$name};
		} elsif ($name =~ /members|contact|contactgroup|parents/) {
			my @members = $query->param($name);
			if ($name eq 'contactgroup' && $obj eq 'service_templates') { @contactgroups = sort @members }
			foreach  (@members) { $properties{$name} .= "$_," }
			chop $properties{$name};
			$data_vals{$name} = $properties{$name};
			$data_props{$name} = $properties{$name};
		} elsif ($name =~ /notification_options|stalking_options|notification_failure_criteria|execution_failure_criteria/) {
			my @members = $query->param( $name );
			foreach  (@members) { $properties{$name} .= "$_," }
			chop $properties{$name};
		} elsif ($name =~ /notification_commands/) {
			my @members = $query->param( $name );
			foreach my $m (@members) { 
				if ($m) {
					$properties{$name} .= "$m,";
					my %c = StorProc->fetch_one('commands','name',$m);
					$data_vals{$name} .= "$c{'command_id'},";
				}
			}
			chop $data_vals{$name};
			chop $properties{$name};
		} elsif ($name eq 'last_notification') {
			my $last_notification = $query->param('last_notification');
			if ($last_notification eq '0') { 
				$properties{'last_notification'} = '-zero-';
			} else {
				$properties{'last_notification'} = $last_notification;
			}
		} elsif ($name =~ /escalation/) {
			my %t = StorProc->fetch_one('escalation_trees','name',$name_vals{$name});
			$data_vals{$name} = $t{'tree_id'};
			$properties{$name} = $name_vals{$name};
		} elsif ($name =~ /period/) {
			my %t = StorProc->fetch_one('time_periods','name',$name_vals{$name});
			$data_vals{$name} = $t{'timeperiod_id'};
			$data_props{$name} = $data_vals{$name};
			$properties{$name} = $name_vals{$name};
		} elsif ($name =~ /template/) {
			my $value = $name_vals{$name};
			my %t = StorProc->fetch_one($obj_template{$object},'name',$value);
			$data_vals{$obj_template_id{$obj_template{$object}}} = $t{$obj_template_id{$obj_template{$object}}};
			delete $data_vals{'template'};
			if ($obj eq 'service_templates') {
				$data_props{'parent_id'} = $t{'servicetemplate_id'};
				$data_vals{'parent_id'} = $t{'servicetemplate_id'};
			}
			delete $data_vals{'template'};
			delete $data_props{'template'};
			if (!$properties{'template'}) {$properties{'template'} = $name_vals{$name}}
		} else {
			$properties{$name} = $name_vals{$name};
			$data_props{$name} = $properties{$name};
		}
		foreach my $p (@props) {
			unless ($name =~ /^event_handler$|command|service_description|members|contact|contactgroup|parents|escalation|period/) {
				if ($p eq $name) { 
					my $match = undef;
					foreach my $val (@db_vals) {
						unless ($val =~ /template/) {
							if ($val eq $name) { 
								$data_vals{$val} = $name_vals{$name};
								if ($name eq 'pager') { $data_vals{$val} =~ s/\(|\)|\s|-//g }
								$match = 1;
								last;
							}
						}
					}
					if (!$match && $data_vals{'data'}) {
						if ($properties{$p}) {
							$data_vals{'data'} .= "\n  <prop name=\"$name\"><![CDATA[$properties{$p}]]>\n  </prop>";  
							$data_props{$name} = $properties{$p};
						}
					}
				}
			}
		}
	}


	if ($obj eq 'service_templates') {
		if ($data_props{'parent_id'}) {
			%data_vals = ();
			$data_vals{'parent_id'} = $data_props{'parent_id'};
			$data_vals{'data'} = "<?xml version=\"1.0\" ?>\n<data>";
			my %parent = StorProc->get_template_properties($data_props{'parent_id'});
			foreach my $name (keys %data_props) {
 				if ($parent{$name} eq $data_props{$name}) { delete $data_props{$name} }
			}
			delete $data_props{'template'};
			foreach my $name (keys %data_props) {
				my $got_it = 0;
				foreach my $p (@props) { 
					if ($name eq $p) { $got_it = 1 }
				}
				unless ($got_it) { delete $data_props{$name} }
			}
			foreach my $name (keys %data_props) {
				if ($name =~ /^event_handler$|parent_id|check_command|contactgroup|parent|period|name/) {
					$data_vals{$name} = $data_props{$name};
				} else {
					$data_vals{'data'} .= "\n  <prop name=\"$name\"><![CDATA[$data_props{$name}]]>\n  </prop>";  					
				}
			}
			foreach my $cg (@contactgroups) {
				my $got_group = 0;
				foreach my $pg (@{$parent{'contactgroup'}}) {
					if ($pg eq $cg) { $got_group = 1 }
				}
				unless ($got_group) {
#					$data_vals{'contactgroup'} .= "$cg,";
				}
			}
#			chop $data_vals{'contactgroup'};
		}	
	}

	$properties{'save'} = 1;
	if ($data_vals{'data'}) { $data_vals{'data'} .= "\n </data>" }

	return %data_vals;
}

#
###########################################################################################################################
# Check Fields - uniqueness/missing info
#

sub check_fields() {
	my @req = split(/,/, $required{$table});
	foreach my $r (@req) {
		if (!$properties{$r}) {
			$required{$r} = 1;
			$required{'missing'} = 1;
		}
	}
#	if ($view =~ /wizard/ && $obj eq 'hosts' && !$query->param('host_profile')) {
#		$required{'host_profile'} = 1;
#		$required{'missing'} = 1;
#	}
	if ($required{'missing'}) {
		push @errors, "Missing required fields.";
	} elsif ($submit eq 'Add') {
		unless ($obj =~ /host_dependencies/) {
			my %res = StorProc->fetch_one($table,'name',$properties{'name'}); 
			if ($res{'name'}) {
				my $type = $obj;
				$type =~ s/_/ /g;
				$type =~ s/s$//g;
				push @errors, "\u$type $properties{'name'} already exists.";
			} 
#			if ($obj eq 'hosts' && $properties{'address'}){
#				if ($res{'address'}) {
#					my $type = $obj;
#					$type =~ s/_/ /g;
#					$type =~ s/s$//g;
#					push @errors, "Host $res{'name'} already assigned address $properties{'address'}.";
#				}
#			}
		}
	} elsif ($submit eq 'Save') {
#		if ($obj eq 'hosts' && $properties{'address'}){
#			my %res = StorProc->fetch_one($table,'address',$properties{'address'}); 
#			if ($res{'address'} && $res{'name'} ne $properties{'name'}) {
#				my $type = $obj;
#				$type =~ s/_/ /g;
#				$type =~ s/s$//g;
#				push @errors, "Host $res{'name'} already assigned address $properties{'address'}.";
#			}
#		}
	}
	if (@errors) {
		return 1;
	} else {
		return 0;
	}
}

#
###########################################################################################################################
# Sub eval errors
#

sub eval_errors($) {
	my @eval = shift;
	my @errors = ();
	foreach my $err (@eval) {
		unless ($err =~ /duplicate|1/i) { 
			push @errors, $err;
		}
	}
	return @errors;
}

#
###########################################################################################################################
# Sub to build most forms
#

sub build_form() {
	my $form = undef;
	my $extended_props = undef;
	my $name = $query->param('name');
	my $source = $query->param('source');
	my $ext_props = $query->param('ext_props');

	$hidden{'source'} = $source;

#############################################################################
# Get Properties
#

	unless($properties{'save'}) { 
		if ($task eq 'new') {
			my @p_list = split(/,/, $property_list{$obj});
			foreach my $p (@p_list) { $properties{$p} = '' }			
		} elsif ($task =~ /copy|use/) { 
			$name = $source;
			%properties = StorProc->fetch_one($table,'name',$name); 
			if ($task eq 'use') { $properties{'template'} = $source }
			$properties{'name'} = undef;
		} else {
			%properties = StorProc->fetch_one($table,'name',$name); 
		}
	}

	if ($obj eq 'contacts' && $task eq 'new') { 
		$table = 'contact_templates'; 
		$task = 'use';
	}

#############################################################################
# Determine Service template
#
	my %parent_def = ();
	my @props = split(/,/, $property_list{$obj});
	if ($obj eq 'service_templates') {
		if ($properties{'parent_id'}) {
			my %parent = StorProc->get_template_properties($properties{'parent_id'});
			foreach my $prop (keys %parent) {
				if (!$properties{$prop}) {
					$properties{$prop} = $parent{$prop};
					$parent_def{$prop} = 1;
				}
			}
			foreach my $pg (@{$parent{'contactgroup'}}) {
#				$properties{'contactgroup'} .= ",$pg";
			}
		}
	}
	if ($task eq 'modify') { $source = $name}

#############################################################################
# Top of form
#
	my $title = undef;
	my @t_parse = split(/_/, $obj);
	foreach (@t_parse) { $_ =~ s/ies/y/g; $title .= "\u$_ "; }
	$title =~ s/s\s$//;
	$title =~ s/Wizard/Extended/;
	my $form_top = Forms->form_top("$title Properties",'');
	if ($task eq 'modify'){
		$form .= Forms->display_hidden('Name:','name',$properties{'name'});
	} elsif ($obj eq 'host_dependencies') {
		my @hosts = StorProc->fetch_list('hosts','name'); 
		$form .= Forms->list_box('Dependent host name:','name',\@hosts,$properties{'name'},$required{'name'});
	} else {
		$form .= Forms->text_box('Name:','name',$properties{'name'},$textsize{'name'},$required{'name'});
	}

#############################################################################
# Body of form
#
	my %doc = Doc->properties_doc($obj,\@props);
	foreach my $property (@props) {
		$properties{$property} =~ s/-zero-/0/g;
		my $p_title = "\u$property:";
		$p_title =~ s/_/ /g;
		if ($property =~ /^checks_enabled$|^notifications_enabled$|^parallelize_check$|^obsess_over_service$|^check_freshness$|^passive_checks_enabled$|^active_checks_enabled$|^event_handler_enabled$|^flap_detection_enabled$|^process_perf_data$|^retain_status_information$|^retain_nonstatus_information$/) {
			$form .= Forms->checkbox($p_title,$property,$properties{$property},$doc{$property},$parent_def{$property});
		} elsif ($property  eq 'contactgroup') {
			my @members = ();
			if ($properties{'save'}) {
				@members = split(/,/, $properties{'contactgroup'});
			} else { 
				@members = StorProc->get_contactgroups($obj,$properties{$obj_id{$obj}}); 
			}
			my @nonmembers = StorProc->fetch_list('contactgroups','name'); 
			if ($obj =~ /escalation|service_templates/) {
				$form .= Forms->members('Contact Groups:','contactgroup',\@members,\@nonmembers,$required{$property},$doc{$property});
				$form_top = Forms->form_top("$title Properties:",'/cgi-bin/monarch.cgi onsubmit="selIt();"');	
			} else {
				$form .= Forms->list_box_multiple('Contact Groups:','contactgroup',\@nonmembers,\@members,$required{'contactgroup'},$doc{$property});
			}
		} elsif ($property  eq 'members') {
			my @members;
			if ($properties{'save'}) {
				@members = split(/,/, $properties{'members'});
			} elsif ($task =~ /copy|modify/) { 
				@members = StorProc->get_names_in('host_id','hosts','hostgroup_host','hostgroup_id',$properties{'hostgroup_id'});
			}
			my @nonmembers = StorProc->fetch_list('hosts','name'); 
			$form .= Forms->members($p_title,$property,\@members,\@nonmembers,$required{$property},$doc{$property});
			$form_top = Forms->form_top("$title Properties:",'/cgi-bin/monarch.cgi onsubmit="selIt();"');
		} elsif ($property  eq 'contact') {
			my @members;
			if ($properties{'save'}) {
				@members = split(/,/, $properties{'contact'});
			} elsif ($task =~ /copy|modify/) { 
				@members = StorProc->get_names_in('contact_id','contacts','contactgroup_contact','contactgroup_id',$properties{$obj_id{$obj}});
				@members = sort @members;
			}
			my @nonmembers = StorProc->fetch_list('contacts','name'); 
			$form .= Forms->members('Contacts:','contact',\@members,\@nonmembers,$required{$property},$doc{$property});
			$form_top = Forms->form_top("$title Properties:",'/cgi-bin/monarch.cgi onsubmit="selIt();"');
		} elsif ($property  eq 'stalking_options') {
			my @opts = split(/,/, $properties{$property});
			$form .= Forms->stalking_options(\@opts,$required{$property},$doc{$property});
		} elsif ($property  =~ /notification_options/) {
			my @opts = split(/,/, $properties{$property});
			$form .= Forms->notification_options($obj,$property,\@opts,$required{$property},$doc{$property});
		} elsif ($property  =~ /host_name$/) {
			my @hosts = StorProc->fetch_list('hosts','name'); 
			$form .= Forms->list_box($p_title,$property,\@hosts,$properties{$property},$required{$property},$doc{$property});
		} elsif ($property  =~ /hostgroup_escalation|host_escalation|service_escalation/) {
			my $type = $property;
			$type =~ s/_escalation_id//;
			my %where = ('type' => $type);
			my @list = StorProc->fetch_list_where('escalation_trees','name',\%where ); 
			%where = ('tree_id' => $properties{$property});
			my %t = StorProc->fetch_one_where('escalation_trees',\%where);
			$form .= Forms->list_box($p_title,$property,\@list,$t{'name'},'',$doc{$property});
		} elsif ($property  =~ /service_name$|service_description/) {
			unless ($task eq 'new' || $properties{'save'}) {
				my %s = StorProc->fetch_one('service_names','servicename_id',$properties{'servicename_id'});
				$properties{$property} = $s{'name'};
			}
			my @services;
			if ($obj =~ /escalation/) { push @services, '*'	}
			my @svcs = StorProc->fetch_list('service_names','name'); 
			push (@services, @svcs);
			$form .= Forms->list_box($p_title,$property,\@services,$properties{$property},$required{$property},$doc{$property});
		} elsif ($property  =~ /check_command$|event_handler$/) {
			unless ($task eq 'new' || $properties{'save'}) {
				my %p = StorProc->fetch_one('commands','command_id',$properties{$property});
				$properties{$property} = $p{'name'};
			}
			my %w = ('type' => 'check');
			my @commands = StorProc->fetch_list_where('commands','name',\%w); 
			@commands = sort @commands;
			$form .= Forms->list_box($p_title,$property,\@commands,$properties{$property},$required{$property},$doc{$property});
		} elsif ($property  eq 'type') {
			unless ($obj =~ /escalation/) {
				my @types = ('check','notify','other'); 
				$form .= Forms->list_box($p_title,$property,\@types,$properties{$property},$required{$property},$doc{$property});
			}
		} elsif ($property  =~ /notification_commands/) {
			my %w = ('type' => 'notify');
			my @commands = StorProc->fetch_list_where('commands','name',\%w); 
			my @selected = split(/,/, $properties{$property}); 
			unless ($task eq 'new' || $properties{'save'}) {
				if ($property =~ /(\S+)_notification_commands/) {
					my %w = ('type' => $1,'contacttemplate_id' => $properties{'contacttemplate_id'});
					@selected = StorProc->fetch_list_where('contact_command','command_id',\%w);
					my @sel;
					foreach (@selected) {
						my %p = StorProc->fetch_one('commands','command_id',$_);
						push @sel, $p{'name'};
					}
					@selected = @sel;
				}
			}
			$form .= Forms->list_box_multiple($p_title,$property,\@commands,\@selected,$required{$property},$doc{$property});
		} elsif ($property =~ /notification_period|check_period/) {
			unless ($task eq 'new' || $properties{'save'}) {
				my %p = StorProc->fetch_one('time_periods','timeperiod_id',$properties{$property});
				$properties{$property} = $p{'name'};
			}
			my @periods = StorProc->fetch_list('time_periods','name'); 
			$form .= Forms->list_box($p_title,$property,\@periods,$properties{$property},$required{$property},$doc{$property});

		} elsif ($property =~ /notification_failure_criteria|execution_failure_criteria/) {
			my @opts = split(/,/, $properties{$property});
			$form .= Forms->failure_criteria($property,\@opts,$required{$property});
		} elsif ($property  eq 'template') {
			if ($obj eq 'contacts') { $table = 'contact_templates' }
			unless ($obj eq 'service_templates' || $task eq 'new' || $properties{'save'}) {
				my %t = StorProc->fetch_one($obj_template{$obj},$obj_id{$obj_template{$obj}},$properties{$obj_id{$obj_template{$obj}}});
				$properties{$property} = $t{'name'};
			} elsif ($obj eq 'service_templates') {
				my %t = StorProc->fetch_one('service_templates','servicetemplate_id',$properties{'parent_id'});
				$properties{$property} = $t{'name'};
			}
			my @templates = StorProc->fetch_list($table,'name'); 
			$form .= Forms->list_box('Use:',$property,\@templates,$properties{'template'},$required{$property},$doc{$property});
		} elsif ($property  =~ /^command_line/) {
			$form .= Forms->text_area($p_title,$property,$properties{$property},'',$textsize{$property},$required{$property},$doc{$property});
		} else {
			unless ($property eq 'name') {
				if ($properties{'last_notification'} eq '-zero-') { $properties{'last_notification'} = 0 }
				$form .= Forms->text_box($p_title,$property,$properties{$property},$textsize{$property},$required{$property},$doc{$property});
			}
		}
	}
	$form .= Forms->hidden(\%hidden);
	my %submit = ();
	if ($view eq 'design') {
		%submit = %add;
	} else {
		%submit = %save;
	}
	my %rename = ('name' => 'submit','value' => 'Rename');
	my $auth = $obj;
	if ($auth =~ /escalation_templates/) { $auth = 'escalations' }
	if ($task eq 'modify' && $auth_delete{$auth}) {
		$form .= Forms->form_bottem_four_button(\%delete,\%rename,\%cancel,\%submit);
	} elsif ($task eq 'modify') {
		$form .= Forms->form_bottem_three_button(\%rename,\%cancel,\%submit);
	} else {
		$form .= Forms->form_bottem_two_button(\%cancel,\%submit);			
	}
	my $errstr = undef;
	if (@errors) { $errstr = Forms->form_errors(\@errors)."\n" }
	return $form_top."\n".$errstr.$form;
}


#
###########################################################################################################################
# Host Wizard
#

sub host_wizard() {
	my %next = ('name' => 'next', 'value' => 'Next ->');
	my %back = ('name' => 'back', 'value' => '<- Back');
	my %cancel = ('name' => 'cancel', 'value' => 'Cancel');
	
	if ($query->param('back')) { $submit = 'back' }
	if ($query->param('next')) { $submit = 'next' }
	if ($query->param('cancel')) { $submit = 'cancel' }
#	if ($query->param('template')) { $submit = 'template' }
foreach my $name ($query->param) {
	my $v = $query->param($name);
#	error_out("$name $v");
}



	
	my %files = StorProc->fetch_file_hash();
	my $service_next = undef;
	my $form = undef;
	my $name = $query->param('name');
	$hidden{'name'} = $name;
	my $host_id = $query->param('host_id');
	$hidden{'host_id'} = $host_id;
	my $alias = $query->param('alias');
	my $step = $query->param('step');
	my $last_step = $query->param('last_step');
	my %param_vals = ();
	if ($submit =~ /Show All/) { 
		$step = 'service_list_extended';
	}
#
#############################################################################
# Check for existing session
#
	if (!$query->param('template') && !$submit && $view eq 'wizard_design') {
		if ($query->param('resume_session')) {
			$hidden{'host_profile'} = $query->param('host_profile');
			$hidden{'service_profile'} = $query->param('service_profile');
			my %where = ('host' => $name,'user_acct' => $user_acct,'type' => $view,'status' => 'edit_added');
			my %service_list = StorProc->fetch_list_hash_array('stage_host_services',\%where);
			my @services;
			foreach my $svc (keys %service_list) { unless ($svc =~ /HASH/) { push @services, $svc } }
			@services = sort @services;
			$service_next = pop @services; 
			if ($service_next) {
				my %where = ('host' => $name,'user_acct' => $user_acct,'type' => $view,'status' => '3');
				my %service = StorProc->fetch_one_where('stage_host_services',\%where);
				%where = ('service_id' => $service{'service_id'});
				my %file = StorProc->fetch_one_where('file_service',\%where);
				$hidden{'file'} = $file{'file'};
				my $result = StorProc->delete_all('services','service_id',$service{'service_id'});
				if ($result =~ /^Error/) { push @errors, $result }
				$step = 'service_detail';	
			} elsif ($hidden{'service_profile'}) {	
				$step = 'service_list';
			} else {
				$step = 'host_attribs';
			}
		} elsif ($query->param('task') eq 'No') {
			my $result = StorProc->delete_all('hosts','name',$name);
			if ($result =~ /^Error/) { push @errors, $result }
			my %where = ('name' => $name, 'user_acct' => $user_acct);
			$result = StorProc->delete_one_where('stage_hosts',\%where);
			if ($result =~ /^Error/) { push @errors, $result }
			%where = ('host' => $name, 'user_acct' => $user_acct);
			$result = StorProc->delete_one_where('stage_host_services',\%where);
			if ($result =~ /^Error/) { push @errors, $result }
			$step = 'host_vitals';
		} else {
			my %where = ('user_acct' => $user_acct, 'type' => 'wizard_design');
			my %host = StorProc->fetch_one_where('stage_hosts',\%where);
			if ($host{'name'}) { 
				$hidden{'name'} = $host{'name'};
				$hidden{'host_profile'} = $host{'host_profile'};
				$hidden{'service_profile'} = $host{'service_profile'};
				my $message = qq(An existing host wizard session exists for $host{'name'}. Do you wish to continue with this host definition? (No will delete the host).&nbsp;);
				$form .= Forms->are_you_sure('Host wizard session exists:',$message,'resume_session',\%hidden);
			} else {
				$step = 'host_vitals';
			}
		}
#############################################################################
# Save as profile
#
	} elsif ($submit eq 'Save As Profile') {
		$step = 'save_to_profile'
	} elsif ($submit eq 'Save') {
		my $host_id = $query->param('host_id');
		my $host_profile = $query->param('host_profile');
		my $service_profile = $query->param('service_profile');
		if ($service_profile && $host_profile) {
			my %h = StorProc->fetch_one('profiles_host','name',$host_profile);
			my %s = StorProc->fetch_one('profiles_service','name',$service_profile);
			if ($h{'name'}) {
				push @errors, "Duplicate: Host profile name $host_profile already in use.";
			}
			if ($s{'name'}) {
				push @errors, "Duplicate: Service profile name $service_profile already in use.";
			}
			unless (@errors) {
				my %host = StorProc->fetch_one('hosts','name',$name);
				my %f = StorProc->fetch_one('file_host','host_id',$host{'host_id'});
				my %w = ('host_id' => $host{'host_id'});
				my @hostgroups = StorProc->fetch_list_where('hostgroup_host','hostgroup_id',\%w);
				my @parents = StorProc->fetch_list_where('host_parent','parent_id',\%w);
				my @services = StorProc->fetch_list_where('services','servicename_id',\%w);
				my @sids = StorProc->fetch_list_where('services','service_id',\%w);
				my %s = StorProc->fetch_one('file_service','service_id',$sids[0]);
				my @values = ('',$service_profile,"saved from host wizard by $user_acct",$s{'file_id'});
				my $spid = StorProc->insert_obj_id('profiles_service',\@values,'serviceprofile_id');
				if ($spid =~ /^Error/) { push @errors, $spid }
				unless (@errors) {
					foreach my $snid (@services) {
						@values = ($snid,$spid);
						my $result = StorProc->insert_obj('serviceprofile',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				unless (@errors) {
					@values = ('',$host_profile,"saved from host wizard by $user_acct",$host{'hosttemplate_id'},$host{'hostextinfo_id'},
						$host{'host_escalation_id'},$host{'service_escalation_id'},$spid,$f{'file_id'});
					my $id = StorProc->insert_obj_id('profiles_host',\@values,'hostprofile_id');
					foreach my $hgid (@hostgroups) {
						@values = ($id,$hgid);
						my $result = StorProc->insert_obj('profile_hostgroup',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					foreach my $hid (@parents) {
						@values = ($id,$hid);
						my $result = StorProc->insert_obj('profile_parent',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					my %w = ('host_id' => $host_id);
					my %u = ('hostprofile_id' => $id,'serviceprofile_id' => $spid);
					my $result = StorProc->update_obj_where('hosts',\%u,\%w);
					if ($result =~ /^Error/) { push @errors, $result }
				}
			}
		} else {
			push @errors, "Required Host profile name, service profile name";
		}
		if (@errors) {
			my $result = StorProc->delete_all('profiles_host','name',$host_profile);
			my $result = StorProc->delete_all('profiles_service','name',$service_profile);
			if ($result =~ /^Error/) { push @errors, $result }
			$step = 'save_to_profile';
		} else {
			$step = 'saved';
		}
	} elsif ($query->param('bail')) {
		$step = 'host_vitals';
		$name = undef;
#############################################################################
# Back
#
	} elsif ($submit eq 'back') {
		if ($last_step eq 'host_attribs') {
			$step = 'host_vitals';
			%properties = StorProc->fetch_one('stage_hosts','name',$name);
			my $result = StorProc->delete_all('stage_hosts','name',$name);
			if ($result =~ /^Error/) { push @errors, $result }
			$result = StorProc->delete_all('hosts','name',$name);
			if ($result =~ /^Error/) { push @errors, $result }
		} elsif ($last_step eq 'host_attribs2') {
			$step = 'host_attribs';
			%properties = StorProc->fetch_one('stage_hosts','name',$name);
			my $result = StorProc->delete_all('host_parent','host_id',$host_id);
			if ($result =~ /^Error/) { push @errors, $result }
			$result = StorProc->delete_all('file_host','host_id',$host_id);
			if ($result =~ /^Error/) { push @errors, $result }
		} elsif ($last_step eq 'service_list') {
			$step = 'host_attribs2';
			my $result = StorProc->delete_all('hostgroup_host','host_id',$host_id);
			if ($result =~ /^Error/) { push @errors, $result }
			$result = StorProc->delete_all('extended_info_coords','host_id',$host_id);
			if ($result =~ /^Error/) { push @errors, $result }
			$result = StorProc->delete_all('stage_host_services','host',$name);
			if ($result =~ /^Error/) { push @errors, $result }

		} elsif ($last_step eq 'service_detail') {
			my %values = ('user_acct' => $user_acct,'status' => '3','type' => $view,'host' => $name);
			my %service_list = StorProc->fetch_list_hash_array('stage_host_services',\%values);
			my @services;
			foreach my $svc (keys %service_list) { unless ($svc =~ /HASH/) { push @services, $svc } }
			@services = sort @services;
			$service_next = pop @services; 
			if ($service_next) {
				$step = 'service_detail';
				my %where = ('host' => $name,'user_acct' => $user_acct,'name' => $service_next);
				my %service_stage = StorProc->fetch_one_where('stage_host_services',\%where);
				my $sid = $service_stage{'service_id'};
				my $result = StorProc->delete_all('services','service_id',$service_stage{'service_id'});
				if ($result =~ /^Error/) { push @errors, $result }
				my %values = ('service_id' => '','status' => 'edit');
				my $result = StorProc->update_obj('stage_host_services','service_id',$service_stage{'service_id'},\%values);
				if ($result =~ /^Error/) { push @errors, $result }
			} else {
				$step = 'service_list';
				my @sids = StorProc->fetch_unique('stage_host_services','service_id','host',$name);
				foreach my $sid (@sids) {
					my $result = StorProc->delete_all('services','service_id',$sid);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				my $result = StorProc->delete_all('stage_host_services','host',$name);
				if ($result =~ /^Error/) { push @errors, $result }
			}
		}
#############################################################################
# Continue
#
	} elsif ($submit eq 'Continue') {
		$step = 'host_vitals';

#############################################################################
# Cancel
#

	} elsif ($submit eq 'cancel' && $step ne 'host_vitals') {
		if ($query->param('confirm_delete')) {
			$step = 'host_vitals';
			%properties = StorProc->fetch_one('stage_hosts','name',$name);
			my $result = StorProc->delete_all('hosts','name',$name);
			if ($result =~ /^Error/) { push @errors, $result }
			if ($view eq 'wizard_design') {
				my %where = ('name' => $properties{'name'}, 'user_acct' => $user_acct);
				$result = StorProc->delete_one_where('stage_hosts',\%where);
				if ($result =~ /^Error/) { push @errors, $result }
				%where = ('host' => $properties{'name'}, 'user_acct' => $user_acct);
				$result = StorProc->delete_one_where('stage_host_services',\%where);
				if ($result =~ /^Error/) { push @errors, $result }
			} elsif ($view eq 'wizard_discover') {
# update status of import stage
			}
		} elsif ($task eq 'No') {
			$step = $last_step;
			$submit = undef;
			$task = undef;
		} else {
			foreach my $name ($query->param) {
				unless ($name eq 'task') { $hidden{$name} = $query->param($name) }
			}
			my $message = qq(Are you sure you want to remove host $name?<br><br>);
			$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
			$step = 'cancel';
			$submit = undef;
		}

#############################################################################
# Next
#
	} elsif ($submit eq 'next') {
		if ($last_step eq 'host_vitals') {
			$submit = 'Add';
			my %data = parse_query('hosts','hosts');
			my $field_ck = check_fields();
			if ($field_ck == 0) {
				$hidden{'host_profile'} = $query->param('host_profile');
				my @values;
				$data{'name'} =~ s/ /_/g;
				$data{'status'} = 1;
				my @data_cols = split(/,/, $db_values{$obj});
				my $primary_key = '';
				push @values, $primary_key; 
				foreach my $val (@data_cols) {
					push @values, $data{$val};
				}
				my $id = StorProc->insert_obj_id('hosts',\@values,'host_id');
				if ($id =~ /^Error/) { push @errors, $id }
				$hidden{'host_id'} = $id;

				@values = ($name,$user_acct,'wizard_design','incomplete',$data{'alias'},$data{'address'},$data{'os'},$hidden{'host_profile'},'','');
				my $result = StorProc->insert_obj('stage_hosts',\@values);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			if (@errors || $field_ck == 1) {
				$step = 'host_vitals';
			}
		} elsif ($last_step eq 'host_attribs') {
			$step = 'host_attribs2';
			my %values;
			my $name = $query->param('name');
			my $task = $query->param('submit');
			my $template = $query->param('host_template');
			my %w = ('name' => $template);
			my %t = StorProc->fetch_one_where('host_templates',\%w);
			$values{'hosttemplate_id'} = $t{'hosttemplate_id'};
			my $file = $query->param('file');
			my %f = StorProc->fetch_one('files','name',$file);
			my $file_id = $f{'file_id'};
			my @parents = $query->param('parents');
			if (!$values{'hosttemplate_id'}) { 
				$required{'host_template'} = 1;
				push @errors, "Required: host template.";
			}
			if (!$file_id) { 
				$required{'file'} = 1;
				push @errors, "Required: Assign host to a file.";
			}
			unless (@errors) {
				my $result = StorProc->update_obj('hosts','host_id',$host_id,\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				%values = ('serviceprofile' => $hidden{'service_profile'});
				$result = StorProc->update_obj('stage_hosts','name',$name,\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				$result = StorProc->delete_all('host_parent','host_id',$host_id);
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $parent (@parents) { 
					if (!$parent) { next }
					my %p = StorProc->fetch_one('hosts','name',$parent);
					my @values = ($host_id,$p{'host_id'});
					my $result = StorProc->insert_obj('host_parent',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
				my @values = ($file_id,$host_id);
				$result = StorProc->insert_obj('file_host',\@values);
				if ($result =~ /^Error/) { push @errors, $result }	
			}
			if (@errors) {
				$step = 'host_attribs';
			}
		} elsif ($last_step eq 'host_attribs2') {
			$step = 'service_list';
			my %values;
			my $name = $query->param('name');
			my $task = $query->param('submit');
			my @hostgroups = $query->param('hostgroups');
			my $coords2d = $query->param('coords2d');
			my $coords3d = $query->param('coords3d');
			my $extended_info = $query->param('extended_info');
			my %w = ('name' => $extended_info);
			my %t = StorProc->fetch_one_where('extended_host_info_templates',\%w);
			$values{'hostextinfo_id'} = $t{'hostextinfo_id'};
			my $service_profile = $query->param('service_profile');
			%w = ('name' => $service_profile);
			%t = StorProc->fetch_one_where('profiles_service',\%w);
			$values{'serviceprofile_id'} = $t{'serviceprofile_id'};
			my $host_escalation = $query->param('host_escalation');
			%w = ('name' => $host_escalation,'type' => 'host');
			%t = StorProc->fetch_one_where('escalation_trees',\%w);
			$values{'host_escalation_id'} = $t{'tree_id'};
			my $service_escalation = $query->param('service_escalation');
			%w = ('name' => $service_escalation,'type' => 'service');
			%t = StorProc->fetch_one_where('escalation_trees',\%w);
			$values{'service_escalation_id'} = $t{'tree_id'};
			$hidden{'service_profile'} = $query->param('service_profile');
			unless (@errors) {
				my $result = StorProc->update_obj('hosts','host_id',$host_id,\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				%values = ('serviceprofile' => $hidden{'service_profile'});
				$result = StorProc->update_obj('stage_hosts','name',$name,\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				$result = StorProc->delete_all('hostgroup_host','host_id',$host_id);
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $hg (@hostgroups) { 
					if (!$hg) { next }
					my %h = StorProc->fetch_one('hostgroups','name',$hg);
					my @values = ($h{'hostgroup_id'},$host_id);
					my $result = StorProc->insert_obj('hostgroup_host',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
				if ($coords2d || $coords3d) { 
					my $data = "<?xml version=\"1.0\" ?>\n<data>";
					if ($coords2d) { $data .= "\n  <prop name=\"2d_coords\"><![CDATA[$coords2d]]>\n  </prop>" }
					if ($coords3d) { $data .= "\n  <prop name=\"3d_coords\"><![CDATA[$coords3d]]>\n  </prop>" }
					$data .= "\n</data>";
					my @vals = ($host_id,$data);
					$result = StorProc->insert_obj('extended_info_coords',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
			}
			if (@errors) {
				$step = 'host_attribs2';
			}
		} elsif ($last_step eq 'service_list') {
			my $file = $query->param('file');
			if ($file) {
				foreach my $service ($query->param) {
				if ($query->param($service) eq 'add') {
						my %s = StorProc->fetch_one('service_names','name',$service);
						my @values = ('',$host_id,$s{'servicename_id'},$s{'template'},$s{'extinfo'},$s{'escalation'},'1',$s{'check_command'},$s{'command_line'},'');
						my $id = StorProc->insert_obj_id('services',\@values,'service_id');
						if ($id =~ /^Error/) { push @errors, $id }	
						my %f = StorProc->fetch_one('files','name',$file);
						@values = ($f{'file_id'},$id);
						my $result = StorProc->insert_obj('file_service',\@values);
						if ($result =~ /^Error/) { push @errors, $result }	
						@values = ($service,$user_acct,$name,$view,'1',$id);
						$result = StorProc->insert_obj('stage_host_services',\@values);
						if ($result =~ /^Error/) { push @errors, $result }	
						if ($s{'dependency'}) {
							my %t =  StorProc->fetch_one('service_dependency_templates','name',$s{'dependency'});
							@values = ('',$id,$host_id,$host_id,$s{'dependency'},'');
							$result = StorProc->insert_obj('service_dependency',\@values);
							if ($result =~ /^Error/) { push @errors, $result }	
						}
					} elsif ($query->param($service) eq 'edit') {
						my @values = ($service,$user_acct,$name,$view,'2','');
						my $result = StorProc->insert_obj('stage_host_services',\@values);
						if ($result =~ /^Error/) { push @errors, $result }	
					}
				}
				my %values = ('user_acct' => $user_acct,'status' => '2','type' => $view,'host' => $name);
				my %service_list = StorProc->fetch_list_hash_array('stage_host_services',\%values);
				my @services;
				foreach my $svc (keys %service_list) { unless ($svc =~ /HASH/) { push @services, $svc } }
				@services = sort { $b cmp $a } @services;
				$service_next = pop @services;
				if ($service_next) {
					$step = 'service_detail';
				} else {
					$step = 'completed';
					if ($view eq 'wizard_design') {
						my $result = StorProc->delete_all('stage_hosts','name',$name);
						if ($result =~ /^Error/) { push @errors, $result }
					} else {
						my %values = ('status' => 'completed');
						my $result = StorProc->update_obj('stage_hosts','name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					my $result = StorProc->delete_all('stage_host_services','host',$name);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				if (@errors) {
					$step = 'service_list';
				}
			} else {
				push @errors, "Required: File name";
				$required{'file'} = 1;	
				$step = 'service_list';
			}
		} elsif ($last_step eq 'service_detail') {
			my $service = $query->param('service_name');
			my %s = StorProc->fetch_one('service_names','name',$service);
			my $template = $query->param('template');
			my %t = StorProc->fetch_one('service_templates','name',$template);
			my $command = $query->param('check_command');
			my %c = StorProc->fetch_one('commands','name',$command);
			my $command_line = $query->param('command_line');
			if ($query->param('use_template_command')) {
				delete $c{'command_id'};
				$command_line = undef;
			}
			my $ext_info = $query->param('ext_info');
			my %x = StorProc->fetch_one('extended_service_info_templates','name',$ext_info);
			my $escalation = $query->param('esclation');
			my %e = StorProc->fetch_one('escalation_trees','name',$escalation);
			my @values = ('',$host_id,$s{'servicename_id'},$t{'servicetemplate_id'},$x{'serviceextinfo_id'},$e{'tree_id'},'1',$c{'command_id'},$command_line,'');
			my $id = StorProc->insert_obj_id('services',\@values,'service_id');
			if ($id =~ /^Error/) { push @errors, $id }	
			my $file = $query->param('file');
			my %f = StorProc->fetch_one('files','name',$file);
			@values = ($f{'file_id'},$id);
			my $result = StorProc->insert_obj('file_service',\@values);
			if ($result =~ /^Error/) { push @errors, $result }	
			my %where = ('name' => $service,'user_acct' => $user_acct,'host' => $name);
			my %values = ('status' => '3','service_id' => $id);
			$result = StorProc->update_obj_where('stage_host_services',\%values,\%where);
			if ($result =~ /^Error/) { push @errors, $result }	
			# insert dependency
			my $dependency = $query->param('dependency');
			if ($dependency) {
				my %d =StorProc->fetch_one('service_dependency_templates','name',$dependency);
				@values = ('',$id,$host_id,$host_id,$d{'id'},'');
				$result = StorProc->insert_obj('service_dependency',\@values);
				if ($result =~ /^Error/) { push @errors, $result }	
			}
			if (@errors) {
				$step = 'service_detail';
			} else {
				my %values = ('user_acct' => $user_acct,'status' => '2','type' => $view,'host' => $name);
				my %service_list = StorProc->fetch_list_hash_array('stage_host_services',\%values);
				my @services;
				foreach my $svc (keys %service_list) { unless ($svc =~ /HASH/) { push @services, $svc } }
				@services = sort { $b cmp $a } @services;
				$service_next = pop @services;
				if ($service_next) {
					$step = 'service_detail';
				} else {
					$step = 'completed';
					if ($view eq 'wizard_design') {
						my $result = StorProc->delete_all('stage_hosts','name',$name);
						if ($result =~ /^Error/) { push @errors, $result }
					} else {
						my %values = ('status' => 'completed');
						my $result = StorProc->update_obj('stage_hosts','name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					my $result = StorProc->delete_all('stage_host_services','host',$name);
					if ($result =~ /^Error/) { push @errors, $result }
				}
			}
		}
	} elsif ($submit eq 'Add to list') {
		$last_step = 'host_attribs';
		$step = 'service_list';
	} else {
		if (!$step) { $step = 'host_vitals'}
		$hidden{'step'} = $step;
	}

#############################################################################
# Pages
#
	if ($step eq 'host_vitals') {
		my %docs = Doc->host_wizard_vitals();
		delete $hidden{'name'};
		delete $hidden{'host'};
		$form .= Forms->form_top('Host Vitals');
		if (!$properties{'host_profile'}) { $properties{'host_profile'} = $query->param('host_profile') }
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->text_box('Name:','name',$properties{'name'},$textsize{'name'},$required{'name'});
		$form .= Forms->doc($docs{'alias'});
		$form .= Forms->text_box('Alias:','alias',$properties{'alias'},$textsize{'alias'},$required{'alias'});
		$form .= Forms->doc($docs{'address'});
		$form .= Forms->text_box('Address:','address',$properties{'address'},$textsize{'address'},$required{'address'});
		my @profiles =  StorProc->fetch_list('profiles_host','name'); 
		$form .= Forms->doc($docs{'host_profile'});
		$form .= Forms->list_box('Host profile:','host_profile',\@profiles,$properties{'host_profile'},$required{'host_profile'});
		$hidden{'last_step'} = 'host_vitals';
		$hidden{'step'} = 'host_attribs'; 
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%next);
	} elsif ($step eq 'host_attribs') {	
		my %docs = Doc->host_wizard_attribs_1();
		if (!$hidden{'host_profile'}) { $hidden{'host_profile'} = $query->param('host_profile') }
		$form .= Forms->form_top('Host Attributes 1','/cgi-bin/monarch.cgi onsubmit="selIt();"');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		my %p = StorProc->fetch_one('profiles_host','name',$hidden{'host_profile'});
		$hidden{'hostprofile_id'} = $p{'hostprofile_id'};
		my %w = ('hosttemplate_id' => $p{'host_template_id'});
		my %t = StorProc->fetch_one_where('host_templates',\%w);
		my $template = $t{'name'};
		my %f = StorProc->fetch_one('files','file_id',$p{'file_id'});
		my $file = $f{'name'};
		my @parents = StorProc->get_profile_parent($p{'hostprofile_id'});
		$form .= Forms->display_hidden('Name:','name',$name);
		my @members = StorProc->fetch_list('host_templates','name'); 
		$form .= Forms->doc($docs{'host_template'});
		$form .= Forms->list_box('Host template:','host_template',\@members,$template,$required{'host_template'});
		my @nonmembers = StorProc->fetch_list('hosts','name');
		$form .= Forms->doc($docs{'parents'});
		$form .= Forms->members('Parents:','parents',\@parents,\@nonmembers);
		my %where = ('type' => 'host');
		my @files = StorProc->fetch_list_where('files','name',\%where); 
		$form .= Forms->doc($docs{'file'});
		$form .= Forms->list_box('File:','file',\@files,$file,$required{'file'});
		$hidden{'last_step'} = 'host_attribs';
		$hidden{'step'} = 'host_attribs2'; 
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_three_button(\%back,\%cancel,\%next);
	} elsif ($step eq 'host_attribs2') {	
		my %docs = Doc->host_wizard_attribs_2();
		if (!$hidden{'host_profile'}) { $hidden{'host_profile'} = $query->param('host_profile') }
		$form .= Forms->form_top('Host Attributes 2','/cgi-bin/monarch.cgi onsubmit="selIt();"');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		my %p = StorProc->fetch_one('profiles_host','name',$hidden{'host_profile'});
		$hidden{'hostprofile_id'} = $p{'hostprofile_id'};
		my %w = ('hostextinfo_id' => $p{'host_extinfo_id'});
		my %t = StorProc->fetch_one_where('extended_host_info_templates',\%w);
		my $extended_info = $t{'name'};
		%w = ('serviceprofile_id' => $p{'serviceprofile_id'});
		%t = StorProc->fetch_one_where('profiles_service',\%w);
		my $service_profile = $t{'name'};
		%w = ('tree_id' => $p{'host_escalation_id'},'type' => 'host');
		%t = StorProc->fetch_one_where('escalation_trees',\%w);
		my $host_escalation = $t{'name'};
		%w = ('tree_id' => $p{'service_escalation_id'},'type' => 'service');
		%t = StorProc->fetch_one_where('escalation_trees',\%w);
		my $service_escalation = $t{'name'};
		my @hostgroups = StorProc->get_profile_hostgroup($p{'hostprofile_id'});
		my $coords2d = $query->param('coords2d');
		my $coords3d = $query->param('coords3d');
		$form .= Forms->display_hidden('Name:','name',$name);
		my @nonmembers = StorProc->fetch_list('hostgroups','name'); 
		$form .= Forms->doc($docs{'hostgroups'});
		$form .= Forms->members('Hostgroups:','hostgroups',\@hostgroups,\@nonmembers);
		my @members = StorProc->fetch_list('extended_host_info_templates','name'); 
		$form .= Forms->doc($docs{'extinfo'});
		$form .= Forms->list_box('Extended host info template:','extended_info',\@members,$extended_info);
		$form .= Forms->doc($docs{'coords2d'});
		$form .= Forms->text_box('2d status map coords:','coords2d',$coords2d,'10');
		$form .= Forms->doc($docs{'coords3d'});
		$form .= Forms->text_box('3d status map coords:','coords3d',$coords3d,'10');
		my %where = ('type' => 'host');
		@members = StorProc->fetch_list_where('escalation_trees','name',\%where); 
		$form .= Forms->doc($docs{'host_escalation_tree'});
		$form .= Forms->list_box('Host escalation tree:','host_escalation',\@members,$host_escalation);
		%where = ('type' => 'service');
		@members = StorProc->fetch_list_where('escalation_trees','name',\%where); 
		$form .= Forms->doc($docs{'service_escalation_tree'});
		$form .= Forms->list_box('Service escalation tree:','service_escalation',\@members,$service_escalation);
		@members = StorProc->fetch_list('profiles_service','name'); 
		$form .= Forms->doc($docs{'service_profile'});
		$form .= Forms->list_box('Service profile:','service_profile',\@members,$service_profile,$required{'service_profile'});	
		%where = ('type' => 'host');
		$hidden{'last_step'} = 'host_attribs2';
		$hidden{'step'} = 'service_list'; 
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_three_button(\%back,\%cancel,\%next);
	} elsif ($step eq 'service_list') {
		my %docs = Doc->host_wizard_select_services();
		$hidden{'host_profile'} = $query->param('host_profile');
		$hidden{'service_profile'} = $query->param('service_profile');
		my %p = StorProc->fetch_one('profiles_service','name',$hidden{'service_profile'});
		my %selected = ();
		my @service_list = ();
		my %services = ();
		foreach my $service ($query->param) {
			if ($query->param($service) eq 'add') { 
				$selected{$service} = 'add'; push @service_list, $service;
			} elsif ($query->param($service) eq 'edit') { 
				$selected{$service} = 'edit'; push @service_list, $service;
			} elsif ($query->param($service) eq 'discard') { 
				$selected{$service} = 'discard'; push @service_list, $service;
			} elsif ($query->param('add_service')) { 
				$selected{$service} = 'add'; push @service_list, $query->param('add_service');
			}
		}	
		if (!$service_list[0]) { 
			my %w = ('serviceprofile_id' => $p{'serviceprofile_id'});
			my @list = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
			foreach (@list) {
				my %sn = StorProc->fetch_one('service_names','servicename_id',$_);
				push @service_list, $sn{'name'};
			}
		}
		foreach my $s (@service_list) {
			my %p = StorProc->fetch_one('service_names','name',$s);
			my %w = ('command_id' => $p{'check_command'});
			my %c = StorProc->fetch_one_where('commands',\%w);
			my $check_command = $c{'name'};
			if ($p{'command_line'}) { $check_command = $p{'command_line'} }
			if (!$check_command) {
				my %service_props = StorProc->fetch_one('service_templates','servicetemplate_id',$p{'template'});
				if ($service_props{'command_line'}) {
					$check_command = $service_props{'command_line'}
				} else {
					$p{'check_command'} = $service_props{'check_command'};
					%w = ('command_id' => $service_props{'check_command'});
					my %c = StorProc->fetch_one_where('commands',\%w);
					$check_command = $c{'name'};
				}
			}
			my %w = ('servicetemplate_id' => $p{'template'});
			my %s = StorProc->fetch_one_where('service_templates',\%w);
			my $template = $s{'name'};
			%w = ('id' => $p{'dependency'});
			my %d = StorProc->fetch_one_where('service_dependency_templates',\%w);
			my $dependency = $d{'name'};
			%w = ('serviceextinfo_id' => $p{'extinfo'});
			my %e = StorProc->fetch_one_where('extended_service_info_templates',\%w);
			my $ext_info = $e{'name'};
			my @vals = ($p{'description'},$template,$check_command,$dependency,$ext_info);
			$services{$p{'name'}} = [ @vals ];
			unless ($selected{$p{'name'}}) { $selected{$p{'name'}} = 'add' }
		}
		my %f = StorProc->fetch_one('files','file_id',$p{'file_id'});

		my $file = $f{'name'};
		$form .= Forms->form_top('Select Host Services','','100%');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$hidden{'last_step'} = 'service_list';
		$hidden{'step'} = 'service_detail';
		$form .= Forms->display_hidden('Host name:','name',$name);
		$form .= Forms->display_hidden('Service profile:','service_profile',$hidden{'service_profile'});
		my %where = ('type' => 'service');
		my @files = StorProc->fetch_list_where('files','name',\%where); 
		$form .= Forms->doc($docs{'file'});
		$form .= Forms->list_box('File:','file',\@files,$file,$required{'file'});
		$form .= Forms->doc($docs{'services'});
		my @service_names = StorProc->fetch_list('service_names','name');
		@service_list = ();
		foreach my $s (@service_names) { unless ($services{$s}) { push @service_list, $s } }
		@service_list = sort { $a <=> $b } @service_list;
		$form .= Forms->service_select(\%services,\%selected,\@service_list);
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_three_button(\%back,\%cancel,\%next);
	} elsif ($step eq 'service_detail') {
		my %docs = Doc->host_wizard_service_detail();
		my $template = $query->param('template');
		my $check_command = $query->param('check_command');
		my $command_line = $query->param('command_line');
		my $dependency = $query->param('dependency');
		my $ext_info = $query->param('ext_info');
		my $escalation = $query->param('escalation');
		if (!$hidden{'host_profile'}) { $hidden{'host_profile'} = $query->param('host_profile') }
		if (!$hidden{'service_profile'}) { $hidden{'service_profile'} = $query->param('service_profile') }
		if (!$hidden{'file'}) { $hidden{'file'} = $query->param('file') }
		if ($service_next) {
			$template = undef;
			$hidden{'service_name'} = $service_next;
		}
		if (!$hidden{'service_name'}) { $hidden{'service_name'} = $query->param('service_name') }
		$hidden{'last_step'}  = 'service_detail';
		$hidden{'step'} = 'service_detail';
		my %p = StorProc->fetch_one('service_names','name',$hidden{'service_name'});
		my %s = ();
		my $use_template = 0;
		if ($template) {
			my %w = ('name' => $template);
			%s = StorProc->fetch_one_where('service_templates',\%w);
			if ($s{'check_command'}) {			
				%w = ('command_id' => $s{'check_command'});
				my %c = StorProc->fetch_one_where('commands',\%w);
				$check_command = $c{'name'};
				$command_line = $s{'command_line'};
				$use_template = 1;
			}
		} else {
			my %w = ('servicetemplate_id' => $p{'template'});
			%s = StorProc->fetch_one_where('service_templates',\%w);
			$template = $s{'name'};
			%w = ('id' => $p{'dependency'});
			my %d = StorProc->fetch_one_where('service_dependency_templates',\%w);
			$dependency = $d{'name'};
			%w = ('serviceextinfo_id' => $p{'extinfo'});
			my %e = StorProc->fetch_one_where('extended_service_info_templates',\%w);
			$ext_info = $e{'name'};
			if ($p{'check_command'}) {
				%w = ('command_id' => $p{'check_command'});
				my %c = StorProc->fetch_one_where('commands',\%w);
				$check_command = $c{'name'};
				$command_line = $p{'command_line'};
			} elsif ($s{'check_command'}) {			
				%w = ('command_id' => $s{'check_command'});
				my %c = StorProc->fetch_one_where('commands',\%w);
				$check_command = $c{'name'};
				$command_line = $s{'command_line'};
				$use_template = 1;
			}
		}
		$form .= Forms->form_top('Service Name:');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Service name:','service_name',$p{'name'});
		my @members = StorProc->fetch_list('service_templates','name'); 
		$form .= Forms->doc($docs{'template'});
		$form .= Forms->list_box_submit('Service template:','template',\@members,$template);
		@members = StorProc->fetch_list('commands','name'); 
		$form .= Forms->doc($docs{'use_template_command'});
		$form .= Forms->checkbox('Use template command:','use_template_command',$use_template);
		$form .= Forms->doc($docs{'check_command'});
		$form .= Forms->list_box('Check command:','check_command',\@members,$check_command);
		$form .= Forms->doc($docs{'command_line'});
		$form .= Forms->text_area('Command line:','command_line',$command_line,'',$textsize{'command_line'});
		@members = StorProc->fetch_list('service_dependency_templates','name'); 
		$form .= Forms->doc($docs{'dependency'});
		$form .= Forms->list_box('Service dependency template:','dependency',\@members,$dependency);
		@members = StorProc->fetch_list('extended_service_info_templates','name'); 
		$form .= Forms->doc($docs{'extinfo'});
		$form .= Forms->list_box('Extended info template:','ext_info',\@members,$ext_info);
		my %where = ('type' => 'service');
		@members = StorProc->fetch_list_where('escalation_trees','name',\%where); 
		$form .= Forms->doc($docs{'escalation'});
		$form .= Forms->list_box('Service escalation tree:','escalation',\@members,$escalation);
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_three_button(\%back,\%cancel,\%next);
	} elsif ($step eq 'completed') {
		$form .= Forms->form_top('Completed','');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Host name:','name',$name);
		my @services = StorProc->get_host_services($hidden{'host_id'});
		$form .= Forms->form_message('Services:',\@services,'row1');
		my %save = ('name' => 'submit','value' => 'Save As Profile');
		$form .= Forms->hidden(\%hidden);		
		$form .= Forms->form_bottem_two_button(\%save,\%continue);
	} elsif ($step eq 'save_to_profile') {
		$form .= Forms->form_top('Save Host As Profile','');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Host name:','name',$name);
		$form .= Forms->text_box('Host profile name:','host_profile',$name,'50');
		$form .= Forms->text_box('Service profile name:','service_profile',$name,'50');
		my %bail = ('name' => 'bail','value' => 'Cancel');
		$form .= Forms->hidden(\%hidden);		
		$form .= Forms->form_bottem_two_button(\%bail,\%save);
	} elsif ($step eq 'saved') {
		$form .= Forms->form_top('Saved','','50%');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Profile name:','name',$name);
		$form .= Forms->hidden(\%hidden);		
		$form .= Forms->form_bottem_one_button(\%continue);
	}
	return $form;
}

#
###########################################################################################################################
# Design
#

sub design() {
foreach my $name ($query->param) {
	my $v = $query->param($name);
#	error_out("$name $v");
}

	
	my %files = StorProc->fetch_file_hash();
	my $page = Forms->left_page('Design');
	my @menus;
	foreach my $menu (@design_menus) {
		if ($auth_add{$menu}) { push @menus, $menu }
	}
	my $selected = $obj;
	if ($obj =~ /escalation/) { $selected = 'escalations' }
	$page .= Forms->left_menu($user_acct,$view,\@menus,$selected);
	my $got_form = undef;
	my $title = undef;
	my @t_parse = split(/_/, $obj);
	foreach (@t_parse) { $title .= "\u$_ " }
	unless ($query->param('cancel')) { 
		if ($query->param('profile')) {
			$page .= show_profile();
			$got_form = 1;
		} elsif ($obj eq 'externals') {
			$page .= externals();
			$got_form = 1;
		} elsif ($query->param('children')) {
			my $name = $query->param('name');
			my @children = $query->param('children');
			my %p = StorProc->fetch_one('hosts','name',$name);
			my %w = ('host_id' => $p{'host_id'});
			my $result = StorProc->delete_one_where('host_parent',\%w);
			if ($result =~ /^Error/) { push @errors, $result }
			foreach my $child (@children) {
				if (!$child) { next }
				my %h = StorProc->fetch_one('hosts','name',$child);
				my @vals = ($h{'host_id'},$p{'host_id'});
				my $result = StorProc->insert_obj('host_parent',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			unless (@errors) { 
				$page .= Forms->main_page('Parent Child');
				$page .= Forms->form_top('Saved','');
				$page .= Forms->display_hidden('Parent:','name',$name);
				$page .= Forms->hidden(\%hidden);		
				$page .= Forms->form_bottem_one_button(\%continue);
				$got_form = 1;
			}
		} elsif ($submit eq 'Add') {
			my $result = undef;
			$table = $obj;
			if ($obj =~ /escalation/) { $table = 'escalation_templates' }
			my %data = parse_query($table,$obj);
			my $field_ck = check_fields();
			if ($field_ck == 0) {
				my @values;
				unless ($obj =~ /host_dependencies/) { push @values, ''}
				$data{'name'} =~ s/ /_/g;
				my @data_cols = split(/,/, $db_values{$table});
				foreach my $val (@data_cols) {
					if ($val eq 'comment') { 
						push @values, "# $obj $properties{'name'}";
					} else {
						push @values, $data{$val};
					}
				}
				my $id = StorProc->insert_obj_id($table,\@values,$obj_id{$table});
				if ($id =~ /^Error/) { 
					if ($id =~ /duplicate/i) {
						$id =~ s/ies/y/;
						my $ltitle = $obj;
						$ltitle =~ s/_/ /g;
						$ltitle =~ s/ies$/y/;
						push @errors, "Error: \u$ltitle already exists";
					} else {
						push @errors, $id; 		
					}
				} else {
					if ($data{'members'}) {
						my @mems = split(/,/, $data{'members'});
						foreach (@mems) {
							my %m = StorProc->fetch_one('hosts','name',$_);
							my @vals = ($id,$m{'host_id'});
							$result = StorProc->insert_obj('hostgroup_host',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}

					if ($data{'contact'}) {
						my @mems = split(/,/, $data{'contact'});
						foreach (@mems) {
							my %c = StorProc->fetch_one('contacts','name',$_);
							my @vals = ($id,$c{'contact_id'});
							$result = StorProc->insert_obj('contactgroup_contact',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}

					if ($data{'contactgroup'}) {
						my %o = StorProc->fetch_one($table,'name',$data{'name'});
						my @mems = split(/,/, $data{'contactgroup'});
						foreach (@mems) {
							my %cg = StorProc->fetch_one('contactgroups','name',$_);
							my @vals = ($cg{'contactgroup_id'},$obj,$id);
							$result = StorProc->insert_obj('contactgroup_assign',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}

					if ($data{'host_notification_commands'}) {
						my %o = StorProc->fetch_one($table,'name',$data{'name'});
						my %w = ('contacttemplate_id' => $o{'contacttemplate_id'},'type' => 'host');
						my $result = StorProc->delete_one_where('contact_command',\%w);
						my @c = split(/,/, $data{'host_notification_commands'});		
						foreach (@c) {
							my @vals = ($o{'contacttemplate_id'},'host',$_);
							my $result = StorProc->insert_obj('contact_command',\@vals);
							if ($result =~ /Error/) { push @errors, $result }
						}	
					}

					if ($data{'service_notification_commands'}) {
						my %o = StorProc->fetch_one($table,'name',$data{'name'});
						my %w = ('contacttemplate_id' => $o{'contacttemplate_id'},'type' => 'service');
						my $result = StorProc->delete_one_where('contact_command',\%w);
						my @c = split(/,/, $data{'service_notification_commands'});		
						foreach (@c) {
							my @vals = ($o{'contacttemplate_id'},'service',$_);
							my $result = StorProc->insert_obj('contact_command',\@vals);
							if ($result =~ /Error/) { push @errors, $result }
						}	
					}
				}
				unless (@errors) {
					my $message = "$data{'name'} has been saved.";
					if ($obj eq 'host_dependencies') { $message = "Host dependency has been saved" }
					#if ($obj =~ /escalation/) { $hidden{'obj'} = 'escalations' }
					$hidden{'name'} = undef;
					$hidden{'task'} = undef;
					$page .= Forms->main_page($title);
					$page .= Forms->success('Added',$message,'submit',\%hidden);
					$got_form = 1;
				} else {
					unless ($obj eq 'host_dependencies') {
						$page .= Forms->main_page($title);
						$page .= build_form();
						$got_form = 1;
					}	
				}
			} elsif ($field_ck == 1) {
				unless ($obj =~ /host_dependencies|escalation_template/) {
					$page .= Forms->main_page($title);
					$page .= build_form();
					$got_form = 1;
				} elsif ($obj =~ /escalation_template/) {
					$page .= Forms->main_page($title);
					$page .= escalations();
					$got_form = 1;
				}
			}
		}
		unless ($got_form) {
			if ($obj) {
				my $title = undef;
				my $l_title = undef;
				my @t_parse = split(/_/, $obj);
				foreach (@t_parse) { 
					$l_title .= "$_ ";
					$title .= "\u$_ ";
				}
				$l_title =~ s/s\s$//;
				$l_title =~ s/ie$/y/;
				my $template = $query->param('source');
				if ($obj eq 'contacts' || $task || $template) {
					if ($obj =~ /escalation/) {
						$page .= Forms->main_page('Escalations');
						if ($submit eq 'Done') {
							my %source = ();
							$source{'escalation_template'} = "Escalation template";
							$source{'escalation_tree'} = "Escalation tree";
							$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
						} else {
							$page .= escalations();
						}
					} elsif (!$template && $task =~ /copy|use/) {
						$page .= Forms->main_page($title);
						$page .= Forms->form_top('Select','');
						my @templates = StorProc->fetch_list($table,'name'); 
						$page .= Forms->list_box("\u$l_title:",'source',\@templates);
						$hidden{'task'} = $task;
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%next);
					} else {
						$page .= Forms->main_page($title);
						$page .= build_form();
					}
				} elsif ($obj =~ /service_templates/) {
					$page .= Forms->main_page($title);
					my %source;
					$source{'use'} = "Use an existing $l_title";
					$source{'copy'} = "Copy from an existing $l_title";
					$source{'new'} = "New $l_title";
					$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);
				} elsif ($obj eq 'contacts') {
					$page .= Forms->main_page($title);
					$page .= Forms->form_top('Select','');
					my @templates = StorProc->fetch_list('contact_templates','name'); 
					$page .= Forms->list_box('Contact template:','source',\@templates);
					$hidden{'task'} = 'use';
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%next);
				} elsif ($obj eq 'parent_child') {
					$page .= Forms->main_page("Parent Child");
					my @parents = StorProc->fetch_list('hosts','name');
					my @hosts = StorProc->fetch_list('hosts','name');
					my @children = ();
					$page .= Forms->form_top('Design Parent Host','/cgi-bin/monarch.cgi onsubmit="selIt();"');
					$page .= Forms->list_box("Parent host:",'name',\@parents);
					$page .= Forms->members('Children:','children',\@children,\@hosts,'','10');
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%save);			
				} elsif ($obj eq 'host_dependencies') {
					my @hosts = StorProc->fetch_list('hosts','name');
					$page .= Forms->main_page('Host Dependencies');
					$page .= Forms->form_top('Host Dependency Properties','');
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					$page .= Forms->list_box("Dependent host:",'dependent_host',\@hosts,$properties{'dependent_host'},$required{'dependent_host'});
					$page .= Forms->list_box("Parent:",'parent_host',\@hosts,$properties{'parent_host'},$required{'parent_host'});
					my @opts = split(/,/, $properties{'notification_failure_criteria'});
					$page .= Forms->failure_criteria('notification_failure_criteria',\@opts,$required{'notification_failure_criteria'},'host_dependencies');
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%add);
				} elsif ($obj =~ /profiles/) { 
					$page .= Forms->main_page($title);
					my %profile;
					$profile{'service'} = "Design/Manage Service Profiles";
					$profile{'host'} = "Design/Manage Host Profiles";
					$profile{'service_name'} = "Design/Manage Service Names";
					$page .= Forms->table_profile_links($user_acct,$view,$obj,\%profile);
				} elsif ($obj =~ /^hosts$/) { 
					$page .= Forms->main_page($title);
					my %source = ();
					$source{'wizard_design'} = "New $l_title wizard";
					$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);
				} elsif ($obj =~ /escalation/) {
					$page .= Forms->main_page('Escalations');
					my %source = ();
					$source{'escalation_template'} = "Escalation template";
					$source{'escalation_tree'} = "Escalation tree";
					$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
				} else {
					$page .= Forms->main_page($title);
					my %source = ();
					$source{'copy'} = "Copy from an existing $l_title";
					$source{'new'} = "New $l_title";
					$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);
				}
			} else {
				$page .= Forms->main_page('');
			}
		}
	}
	return $page;
}

###########################################################################################################################
# Externals
#

sub externals() {
	my $form = undef;
	my $type = $query->param('type');
	$hidden{'type'} = $type;
	my $name = $query->param('name');
	my $id = $query->param('id');
	$hidden{'id'} = $id;
	my $display =  $query->param('display');
	$form .= Forms->main_page("Externals");
	my $got_form = 0;
	%continue = ('name' => 'continue','value' => 'Continue');
	if ($query->param('add')) {
		if ($name && $type) {
			my %e = StorProc->fetch_one('externals','name',$name);
			unless ($e{'name'}) {
				my @vals = ('',$name,'',$type,$display,'');
				my $result = StorProc->insert_obj('externals',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			} else {
				push @errors, "Record $name already exists.";		
			}
		} else {
			push @errors, "Please fill in the required fields";		
			$required{'name'} = 1;
			$required{'type'} = 1;
		}
		unless (@errors) { 
			$form .= Forms->form_top('Saved','');
			$form .= Forms->display_hidden('External:','name',$name);
			$form .= Forms->hidden(\%hidden);		
			$form .= Forms->form_bottem_one_button(\%continue);
			$got_form = 1;
		}
	} elsif ($query->param('save')) {
		if ($type) {
			my %values = ('type' => $type,'display' => $display);
			my $result = StorProc->update_obj('externals','name',$name,\%values);
			if ($result =~ /^Error/) { push @errors, $result }
		} else {
			push @errors, "Please fill in the required fields";		
			$required{'type'} = 1;
		}
		unless (@errors) { 
			$form .= Forms->form_top('Saved','');
			$form .= Forms->display_hidden('External:','name',$name);
			$form .= Forms->hidden(\%hidden);
			my %apply = ('name' => 'apply','value' => 'Apply to Services');
			if ($type eq 'host') {
				%apply = ('name' => 'apply','value' => 'Apply to Hosts');
			}
			$form .= Forms->form_bottem_two_button(\%apply,\%continue);
			$got_form = 1;
		}
	} elsif ($query->param('apply')) {
		my %w = ('external_id' => $id);
		my %e = StorProc->fetch_one_where('externals',\%w);
		my %values = ('data' => $e{'display'});
		if ($type eq 'service') {
			my $result = StorProc->update_obj_where('external_service',\%values,\%w);			
			if ($result =~ /^Error/) { push @errors, $result }
		} else {
			my $result = StorProc->update_obj_where('external_host',\%values,\%w);			
			if ($result =~ /^Error/) { push @errors, $result }
		}
		unless (@errors) {
			$form .= Forms->form_top('Applied','');
			my @message = ("$name applied to $type\s");
			$form .= Forms->form_message('Saved:',\@message,'row1');			
			$form .= Forms->hidden(\%hidden);
			$form .= Forms->form_bottem_one_button(\%continue);
			$got_form = 1;
		}
	} elsif ($query->param('delete') || $query->param('confirm_delete')) {
		if ($query->param('confirm_delete')) {
			my $result = StorProc->delete_all('externals','external_id',$id);
			if ($result =~ /^Error/) { push @errors, $result }
			unless (@errors) { 
				$form .= Forms->form_top('Deleted','');
				my @message = ("$name");
				$form .= Forms->form_message('Removed:',\@message,'row1');			
				$form .= Forms->form_bottem_one_button(\%continue);
				$name = undef;
				$got_form = 1;	
			}
		} elsif ($query->param('task') eq 'No') {
			$got_form = 0;	
		} else {
			foreach my $name ($query->param) {
				$hidden{$name} = $query->param($name);
			}
			$hidden{'delete'} = 1;
			my $message = qq(Are you sure you want to remove $name? (Warning: $name will be removed from all $type\s and profiles).);
			$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
			$name = undef;
			$got_form = 1;
		}
	} elsif ($query->param('continue')) {
		$name = undef;
	}
	unless ($got_form) {
		if (@errors || $name || $query->param('add_new')) {
			if ($query->param('add_new')) { $name = undef;	}
			my %p =  StorProc->fetch_one('externals','name',$name);
			$type = $p{'type'};
			$hidden{'type'} = $p{'type'};
			$hidden{'id'} = $p{'external_id'};
			$display = $p{'display'};
			$form .= Forms->form_top('Design External','');
			if (@errors) { $form .= Forms->form_errors(\@errors) }
			if ($query->param('add_new')) {
				$form .= Forms->text_box('Name:','name',$name,$textsize{'name'},$required{'name'});
			} else {
				$form .= Forms->display_hidden('Name:','name',$name);
			}
	#		$form .= Forms->text_box('Description:','description','',$textsize{'description'});
			my @list = ('host','service');
			$form .= Forms->list_box("Type:",'type',\@list,$type,$required{'type'});
			$form .= Forms->text_area('Detail:','display',$display,'30','140');
	#		$form .= Forms->text_area('Handler:','handler',$handler,'15','70');
			$hidden{'externals'} = 1;
			$form .= Forms->hidden(\%hidden);
			if ($query->param('add_new')) {
				%add = ('name' => 'add','value' => 'Add');
				$form .= Forms->form_bottem_two_button(\%cancel,\%add);
			} else {
				%delete = ('name' => 'delete','value' => 'Delete');
				%save = ('name' => 'save','value' => 'Save');
				$form .= Forms->form_bottem_three_button(\%delete,\%cancel,\%save);
			}
		} else {
			if (!$type) { $type = 'host' }
			%add = ('name' => 'add_new','value' => 'Add New External');
			$form .= Forms->form_top('Add/Modify/Delete:');
			my @types = ('host','service');
			$form .= Forms->list_box_submit('Type:','type',\@types,$type);
			my %where = ('type' => $type);
			my @externals = StorProc->fetch_list_where('externals','name',\%where); 
			@externals = sort @externals;
			$form .= Forms->list_box('External:','name',\@externals);
			$form .= Forms->hidden(\%hidden);
			$form .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);
		}
	}	
	return $form;
}


###########################################################################################################################
# Escalations
#


sub escalations() {
	my $page = undef;
	my $type = $query->param('type');
	my $name = $query->param('name');
	$table = "escalation_templates";
	my $escalation = $query->param('escalation');
	if ($submit =~ /Add Escalation/) {
		my $escalation = $query->param('escalation');
		my %tree = StorProc->fetch_one('escalation_trees','name',$name);
		my %esc = StorProc->fetch_one('escalation_templates','name',$escalation);
		my @values = ($tree{'tree_id'},$esc{'template_id'});
		my $result = StorProc->insert_obj('escalation_tree_template',\@values);
		if ($result =~ /^Error/) { push @errors, $result }
		my $type = "$tree{'type'}_escalation_templates";
		my @cgs = StorProc->get_contactgroups($type,$esc{'template_id'});
		unless ($cgs[0]) {
			$task = 'contact_groups';
			$hidden{'id'} = $esc{'template_id'};
		}
		if ($errors[0]) { 
			@errors = eval_errors(@errors);
		}
	} elsif ($name && $view eq 'design' && $task eq 'escalation_tree' && $submit =~ /Next/) {
		my $description = $query->param('description');
		my %t = StorProc->fetch_one('escalation_trees','name',$name);
		if ($t{'name'}) {
			push @errors,  "Duplicate: Escalation tree $name already exists.";
			$name = undef;
		} else {
			my @values = ('',$name,'',$type);
			my $result = StorProc->insert_obj('escalation_trees',\@values);
			if ($result =~ /^Error/) { push @errors, $result }
		}
	} elsif ($query->param('update')) {
		my @cgs = $query->param('contactgroups');
		my $global_group = $query->param('global_group');
		my $id = $query->param('id');
		my %tree = StorProc->fetch_one('escalation_trees','name',$name);
		if ($cgs[0] || $global_group) {
			my %w = ('template_id' => $id,'tree_id' => $tree{'tree_id'});
			my $result = StorProc->delete_one_where('tree_template_contactgroup',\%w);
			if ($result =~ /^Error/) { push @errors, $result }
			foreach my $cg (@cgs) {
				my %c = StorProc->fetch_one('contactgroups','name',$cg);
				my @values = ($tree{'tree_id'},$id,$c{'contactgroup_id'});
				my $result = StorProc->insert_obj('tree_template_contactgroup',\@values);
				if ($result =~ /^Error/) { push @errors, $result }
			}
		} else {
			$task = 'contact_groups';
			$required{'contactgroup'} = 1;
			push @errors, "Contact group required.";
		}
		unless (@errors) { 
			$task = 'escalation_tree';
		} else {
			@errors = eval_errors(@errors);
			unless ($errors[0]) { $task = 'escalation_tree' }
		}
	} elsif ($task eq 'remove') {
		my $id = $query->param('id');
		my %tree = StorProc->fetch_one('escalation_trees','name',$name);
		my %w = ('template_id' => $id,'tree_id' => $tree{'tree_id'});
		my $result = StorProc->delete_one_where('escalation_tree_template',\%w);
		if ($result =~ /^Error/) { push @errors, $result }
		%w = ('template_id' => $id,'tree_id' => $tree{'tree_id'});
		$result = StorProc->delete_one_where('tree_template_contactgroup',\%w);
		if ($result =~ /^Error/) { push @errors, $result }
		unless (@errors) { $task = 'escalation_tree' }
	}
	if ($task && !$type) {
		my %docs = Doc->escalation_select_type();
		$hidden{'task'} = $task;
		$page .= Forms->form_top('Select:','');
		my @list = ('hostgroup','host','service');
		$page .= Forms->list_box('Escalation type:','type',\@list,'','',$docs{'escalation type'});
		$page .= Forms->hidden(\%hidden);
		$page .= Forms->form_bottem_two_button(\%cancel,\%next);
	} elsif ($task eq 'escalation_template') {
		if ($view eq 'design') {
			if ($type) {
				$obj = "$type\_escalation_templates";
				$hidden{'obj'} = $obj;
				$hidden{'type'} = $type;
				$hidden{'task'} = 'escalation_template';
				$task = 'new';
				$page .= build_form();
			}
		} elsif ($view eq 'manage') {
			if ($name) {
				$obj = "$type\_escalation_templates";
				$hidden{'obj'} = $obj;
				$hidden{'type'} = $type;
				$hidden{'task'} = 'escalation_template';
				$task = 'modify';
				$page .= build_form();
			} elsif ($type) {
				$hidden{'type'} = $type;
				my $table = "escalation_templates";
				my %w = ('type' => $type);
				my @list = StorProc->fetch_list_where($table,'name',\%w);
				$page .= Forms->form_top('Select:','');
				$page .= Forms->list_box('Escalation template:','name',\@list);
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%next);
			} else {
				$page .= Forms->form_top('Select:','');
				my @list = ('hostgroup','host','service');
				$page .= Forms->list_box('Escalation type:','type',\@list);
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%next);
			}
		}
	} elsif ($task eq 'contact_groups') {
		my %docs = Doc->escalation_contact_groups();
		my $escalation = $query->param('escalation');
		my %esc = StorProc->fetch_one('escalation_templates','name',$escalation);
		if (!$hidden{'id'}) { $hidden{'id'} = $query->param('id') }
		$hidden{'type'} = $type;
		my %tree = StorProc->fetch_one('escalation_trees','name',$name);
		my @cgs = StorProc->get_contactgroups($type,$hidden{'id'});
		$page .= Forms->form_top('Contact Group Assignment','/cgi-bin/monarch.cgi onsubmit="selIt();"');
		if (@errors) { $page .= Forms->form_errors(\@errors) }
		$page .= Forms->display_hidden('Escalation tree:','name',$name);
		$page .= Forms->display_hidden('Escalation:','escalation',$escalation,$docs{'escalation'});
		my @cgs = StorProc->get_contactgroups("$tree{'type'}_escalation_templates",$hidden{'id'});
		my $cgstr = undef;
		my @xcgs;
		foreach (@cgs) { $cgstr .= "$_,"; push @xcgs, $_ } 
		chop $cgstr;
		$page .= Forms->display_hidden('Global groups:','global_group',$cgstr,$docs{'global_groups'});
		my @contact_groups;
		@cgs = StorProc->fetch_list('contactgroups','name');
		foreach my $y (@cgs) {
			my $got_cg = undef;
			foreach my $x (@xcgs) { if ($x eq $y) { $got_cg = 1 } }
			unless ($got_cg) { push @contact_groups, $y }
		}		
		my @assigned = StorProc->get_tree_template_contactgroup($tree{'tree_id'},$esc{'template_id'});
		$page .= Forms->members('Contact groups:','contactgroups',\@assigned,\@contact_groups,$required{'contactgroup'},'',$docs{'contact_groups'});
		my %update = ('name' => 'update', 'value' => 'Save');
		$page .= Forms->hidden(\%hidden);
		$page .= Forms->form_bottem_one_button(\%update);
	} elsif ($type && $task eq 'escalation_tree') {
		if ($name) {
			my %tree = StorProc->fetch_one('escalation_trees','name',$name);
			my %members = StorProc->get_tree_templates($tree{'tree_id'});
			my %w = ('type' => $tree{'type'});
			my @nonmembers = StorProc->fetch_list_where('escalation_templates','name',\%w);
			my %ids;
			my %contact_groups;
			my @members;
			foreach my $id (keys %members) {
				if ($id =~ /HASH/) { next }
				my %cg;
				my $type = "$tree{'type'}_escalation_templates";
				my @cgs = StorProc->get_contactgroups($type,$id);
				foreach (@cgs) { 
					$contact_groups{$id} .= "$_, ";
					$cg{$_} = 1;	
				}
				@cgs = StorProc->get_tree_template_contactgroup($tree{'tree_id'},$id);
				foreach (@cgs) { 
					unless ($cg{$_}) { $contact_groups{$id} .= "$_, " }
				}
				$contact_groups{$id} =~ s/,\s$//;
				push @members, $members{$id}[1];
				$ids{$members{$id}[1]} = $id;
			}
			$page .= Forms->manage_escalation_tree($user_acct,$view,$type,$name,$tree{'tree_id'},\%ids,\@members,\@nonmembers,\%contact_groups,\@errors,$auth_delete{'escalations'});
		} elsif ($view eq 'design') {
			$page .= Forms->form_top('Select:','');
			if (@errors) { $page .= Forms->form_errors(\@errors) }
			$page .= Forms->text_box('Name:','name','',$textsize{'name'});
			$hidden{'type'} = $type;
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_two_button(\%cancel,\%next);
		} elsif ($view eq 'manage') {
			my %where = ('type' => $type);
			my @trees = StorProc->fetch_list_where('escalation_trees','name',\%where);
			$page .= Forms->form_top('Select','');
			$page .= Forms->list_box("Escalation tree:",'name',\@trees);
			$hidden{'type'} = $type;
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_two_button(\%cancel,\%select);				
		}
	}
	return $page;
}



###########################################################################################################################
# Profiles
#

sub show_profile() {
	my ($name, $description) = undef;
	my $profile = $query->param('profile');
	my @members;
	my @nonmembers;
	my %rename = ('name' => 'rename','value' => 'Rename');
	my $form = undef;
	my $got_form = 0;
	if ($profile) {
		$hidden{'profile'} = $profile;
###############################################
# Rename profile
#	
		if ($query->param('rename')) {
			my $title = undef;
			my $obj_type = undef;
			my $new_name = $query->param('new_name');
			if ($name eq $new_name) { $new_name = undef }
			my $saved = 0;
			if ($profile eq 'service') {
				$form .= Forms->main_page("Profiles - Service");
				$table = 'profiles_service';
				$name = $query->param('service_profile');
				$obj_type = 'service_profile';
				$title = 'Service Profile';
			} elsif ($profile eq 'host') {
				$form .= Forms->main_page("Profiles - Host");
				$table = 'profiles_host';
				$name = $query->param('name');
				$obj_type = 'name';
				$title = 'Host Profile';
			} elsif ($profile eq 'service_name') {
				$form .= Forms->main_page("Profiles - Service Name");
				$table = 'service_names';
				$name = $query->param('service_name');
				$obj_type = 'service_name';
				$title = 'Service Name';
			}
			if ($new_name) {
				my $ltitle = lc($title);
				my %n = StorProc->fetch_one($table,'name',$new_name);
				if ($n{'name'}) {
					push @errors, "Cannot rename. Another $ltitle has name $new_name.";
				} else {
					my %values = ('name' => $new_name);
					my $result = StorProc->update_obj($table,'name',$name,\%values);
					if ($result =~ /^Error/) { 
						push @errors, $result;
					} else {
						$name = $new_name;
						$saved = 1;
					}
				}
			}
			if ($saved) {
				$form .= Forms->form_top("Rename $title",'');
				my @message = ("$name");
				$form .= Forms->form_message('Renamed:',\@message,'row1');			
				$form .= Forms->hidden(\%hidden);
				$form .= Forms->form_bottem_one_button(\%continue);
			} else {
				$form .= Forms->form_top("Rename $title",'');
				if (@errors) { $form .= Forms->form_errors(\@errors) }
				$form .= Forms->display_hidden("Name:",$obj_type,$name);
				$form .= Forms->text_box('Rename to:','new_name','',$textsize{'name'});
				$form .= Forms->hidden(\%hidden);
				$form .= Forms->form_bottem_two_button(\%cancel,\%rename);
			}

###############################################
# Host
#		
		} elsif ($profile eq 'host') {
			@errors = ();
			%save = ('name' => 'save','value' => 'Save');
			my %apply = ('name' => 'apply','value' => 'Apply to Hosts');
			my $name = $query->param('name');
			if (!$obj_view && $name) { $obj_view = 'profile' }
			$hidden{'obj_view'} = $obj_view;
			my $id = $query->param('id');
			$hidden{'id'} = $id;
			my %p = StorProc->fetch_one('profiles_host','name',$name);
			$form .= Forms->main_page("Profiles - Host");
			if (!$id) {
				$id = $p{'hostprofile_id'};
				$hidden{'id'} = $id;
			}
			if ($query->param('add')) {
				unless ($p{'name'} || $name eq '') {
					my @values = ('',$name,'','','','','','','');
					$id = StorProc->insert_obj_id('profiles_host',\@values,'hostprofile_id');
					unless ($id =~ /^Error/) { 
						$hidden{'id'} = $id;
						$obj_view = 'profile';
						$hidden{'obj_view'} = 'profile';
					} else { 	
						push @errors, $id;
					}
				} else {
					push @errors, "Check name field. It's either blank or a record already exists";
				}
			} elsif ($query->param('save') && $obj_view eq 'profile') {
				my %values = ();
				my $description = $query->param('description');
				$values{'description'} = $description;
				my $extended_info = $query->param('extended_info');
				my %w = ('name' => $extended_info);
				my %t = StorProc->fetch_one_where('extended_host_info_templates',\%w);
				$values{'host_extinfo_id'} = $t{'hostextinfo_id'};
				my $file = $query->param('file');
				my %f = StorProc->fetch_one('files','name',$file);
				$values{'file_id'} = $f{'file_id'};
				my $result = StorProc->update_obj('profiles_host','name',$name,\%values);
				if ($result =~ /^Error/) { 
					push @errors, $result;
				} else {
					$hidden{'apply'} = 0;
					$hidden{'obj_view'} = 'profile';
					$obj_view = 'saved';
				}
			} elsif ($query->param('save') && $obj_view eq 'template') {
				my %values = ();
				my $template = $query->param('host_template');
				my %w = ('name' => $template);
				my %t = StorProc->fetch_one_where('host_templates',\%w);
				$values{'host_template_id'} = $t{'hosttemplate_id'};
				my $result = StorProc->update_obj('profiles_host','name',$name,\%values);
				if ($result =~ /^Error/) { 
					push @errors, $result;
				} else {
					$hidden{'apply'} = 0;
					$hidden{'obj_view'} = 'template';
					$obj_view = 'saved';
				}
			} elsif ($query->param('save') && $obj_view eq 'parents') {
				my @parents = $query->param('parents');
				my $result = StorProc->delete_all('profile_parent','hostprofile_id',$id);
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $p (@parents) {
					if (!$p) { next }
					my %h = StorProc->fetch_one('hosts','name',$p);
					my @vals = ($id,$h{'host_id'});
					$result = StorProc->insert_obj('profile_parent',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				unless (@errors) { 
					$obj_view = 'saved';
					$hidden{'obj_view'} = 'parents';
					$hidden{'apply'} = 0;
				}
			} elsif ($query->param('save') && $obj_view eq 'hostgroups') {
				my @hostgroups = $query->param('hostgroups');
				my $result = StorProc->delete_all('profile_hostgroup','hostprofile_id',$id);
				if ($result =~ /^Error/) { push @errors, $result }
					foreach my $hg (@hostgroups) {
					if (!$hg) { next }
					my %h = StorProc->fetch_one('hostgroups','name',$hg);
					my @vals = ($id,$h{'hostgroup_id'});
					$result = StorProc->insert_obj('profile_hostgroup',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				unless (@errors) { 
					$obj_view = 'saved';
					$hidden{'obj_view'} = 'hostgroups';
					$hidden{'apply'} = 0;
				}
			} elsif ($query->param('save') && $obj_view eq 'contactgroups') {

			} elsif ($query->param('save') && $obj_view eq 'escalations') {
				my %values = ();
				my $host_escalation = $query->param('host_escalation');
				my %w = ('name' => $host_escalation,'type' => 'host');
				my %t = StorProc->fetch_one_where('escalation_trees',\%w);
				$values{'host_escalation_id'} = $t{'tree_id'};
				my $service_escalation = $query->param('service_escalation');
				%w = ('name' => $service_escalation,'type' => 'service');
				%t = StorProc->fetch_one_where('escalation_trees',\%w);
				$values{'service_escalation_id'} = $t{'tree_id'};
				my $result = StorProc->update_obj('profiles_host','name',$name,\%values);
				if ($result =~ /^Error/) { 
					push @errors, $result;
				} else {
					$obj_view = 'saved';
				}
			} elsif ($query->param('save') && $obj_view eq 'externals') {
				my @externals = $query->param('externals');
				my $result = StorProc->delete_all('external_host_profile','hostprofile_id',$id);
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $e (@externals) {
					my %e = StorProc->fetch_one('externals','name',$e);
					my @vals = ($e{'external_id'},$id);
					$result = StorProc->insert_obj('external_host_profile',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				unless (@errors) { 
					$obj_view = 'saved';
					$hidden{'obj_view'} = 'externals';
					$hidden{'apply'} = 1;
				}
			} elsif ($query->param('save') && $obj_view eq 'services') {
				my %values = ();
				my $service_profile = $query->param('service_profile');
				my %w = ('name' => $service_profile);
				my %t = StorProc->fetch_one_where('profiles_service',\%w);
				$values{'serviceprofile_id'} = $t{'serviceprofile_id'};
				my $result = StorProc->update_obj('profiles_host','name',$name,\%values);
				if ($result =~ /^Error/) { 
					push @errors, $result;
				} else {
					$obj_view = 'saved';
					$hidden{'obj_view'} = 'services';
					$hidden{'service_profile'} = $service_profile;
					$hidden{'apply'} = 1;
				}
			} elsif ($query->param('apply')) {
				my %w = ('hostprofile_id' => $id);
				my @hosts = StorProc->fetch_list_where('hosts','host_id',\%w);
				if ($obj_view eq 'externals') {
					my @externals = StorProc->fetch_list_where('external_host_profile','external_id',\%w);
					foreach my $hid (@hosts) {
						my $result = StorProc->delete_all('external_host','host_id',$hid);
						if ($result =~ /^Error/) { push @errors, $result }
						foreach my $ext (@externals) {
							my %e = StorProc->fetch_one('externals','external_id',$ext);
							my @vals = ($ext,$hid,$e{'display'});
							$result = StorProc->insert_obj('external_host',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}
				} elsif ($obj_view eq 'services') {
					my $host_profile = $query->param('host_profile');
					my $service_profile = $query->param('service_profile');
					my %sp = StorProc->fetch_one('profiles_service','name',$service_profile);
					my %w = ('serviceprofile_id' => $sp{'serviceprofile_id'});
					my @services = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
					my %services = ();
					my %externals = ();
					my %depends = ();
					foreach my $sid (@services) {
						my %sn = StorProc->fetch_one('service_names','servicename_id',$sid);
						$services{$sid} = {%sn};
						%w = ('servicename_id' => $sid);
						my @externals = StorProc->fetch_list_where('external_service_names','external_id',\%w);
						$externals{$sid} = [ @externals ];
						$depends{$sid} = $sn{'dependency'};
					}
					foreach my $hid (@hosts) {
						my $result = StorProc->delete_all('services','host_id',$hid);
						if ($result =~ /^Error/) { push @errors, $result }
						foreach my $sid (keys %services) {
							my @vals = ('',$hid,$sid,$services{$sid}->{'template'},$services{$sid}->{'extinfo'},$services{$sid}->{'escalation'},'1',$services{$sid}->{'check_comand'},$services{$sid}->{'command_line'},'');
							my $service_id = StorProc->insert_obj_id('services',\@vals,'service_id');
							if ($service_id =~ /^Error/) { push @errors, $service_id }
							@vals = ($sp{'file_id'},$service_id);
							$result = StorProc->insert_obj('file_service',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
							if ($depends{$sid}) {
								@vals = ('',$service_id,$hid,$hid,$depends{$sid},'');
								$result = StorProc->insert_obj('service_dependency',\@vals);
								if ($result =~ /^Error/) { push @errors, $result }
							}
							foreach my $ext (@{$externals{$sid}}) {
								my %e = StorProc->fetch_one('externals','external_id',$ext);
								my @vals = ($ext,$hid,$service_id,$e{'display'});
								$result = StorProc->insert_obj('external_service',\@vals);
								if ($result =~ /^Error/) { push @errors, $result }
							}
						}
					}
				}
			} elsif ($query->param('delete') || $query->param('confirm_delete')) {
				my %w = ('hostprofile_id' => $id);
				my @hids = StorProc->fetch_list_where('hosts','host_id',\%w);
				unless ($hids[0]) {
					if ($query->param('confirm_delete')) {
						my $result = StorProc->delete_all('profiles_host','hostprofile_id',$id);
						if ($result =~ /^Error/) { push @errors, $result }
						unless (@errors) { 
							($task,$name) = undef;
							delete $hidden{'name'};
							delete $hidden{'id'};
							delete $hidden{'obj_view'};
							$obj_view = undef;
						}
					} elsif ($query->param('task') eq 'No') {
						$hidden{'name'} = undef;
						$task = undef;
					} else {
						foreach my $name ($query->param) {
							$hidden{$name} = $query->param($name);
						}
						$hidden{'delete'} = 1;
						my $message = qq(Are you sure you want to remove $name?);
						$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
						$name = undef;
						$task = 'Delete';
						$got_form = 1;
					}
				} else {
					push @errors, "Cannot delete $name while it is in use.";
				}
			}	
			unless ($got_form) {
				my %url_vals = ('profile' => 'host');
				my %p = StorProc->fetch_one('profiles_host','name',$name);
				$hidden{'name'} = $name;
				if ($obj_view eq 'Add New Profile') {
					$form .= Forms->form_top('Host Profile:','');
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					$form .= Forms->text_box('Name:','name',$name,$textsize{'name'});
					$hidden{'obj_view'} = 'Add New Profile';
					%add = ('name' => 'add','value' => 'Add');
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_two_button(\%cancel,\%add);

				} elsif ($obj_view eq 'profile') {
					my %docs = Doc->host_profile_profile();
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					$form .= Forms->text_box('Description:','description',$p{'description'},$textsize{'description'},'',$docs{'description'});
					my @members = StorProc->fetch_list('extended_host_info_templates','name'); 
					my %w = ('hostextinfo_id' => $p{'host_extinfo_id'});
					my %t = StorProc->fetch_one_where('extended_host_info_templates',\%w);
					$form .= Forms->list_box('Extended host info template:','extended_info',\@members,$t{'name'},'',$docs{'extended_host_info_template'});
					my %where = ('type' => 'host');
					my @files = StorProc->fetch_list_where('files','name',\%where); 
					my %f = StorProc->fetch_one('files','file_id',$p{'file_id'});
					$form .= Forms->list_box('File:','file',\@files,$f{'name'},'',$docs{'file'});
					$form .= Forms->hidden(\%hidden);
					%delete = ('name' => 'delete','value' => 'Delete');
					$form .= Forms->form_bottem_three_button(\%delete,\%rename,\%save);

				} elsif ($obj_view eq 'template') {
					my %docs = Doc->host_profile_template();
					my $template = $query->param('host_template');
					my %t = ();
					unless ($template) {
						my %w = ('hosttemplate_id' => $p{'host_template_id'});
						%t = StorProc->fetch_one_where('host_templates',\%w);
						$template = $t{'name'}
					} else {
						my %w = ('name' => $template);
						%t = StorProc->fetch_one_where('host_templates',\%w);
					}
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					my @members = StorProc->fetch_list('host_templates','name');
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					$form .= Forms->list_box_submit('Host template:','host_template',\@members,$t{'name'},'',$docs{'host_template'});
					my %np = StorProc->fetch_one('time_periods','timeperiod_id',$t{'notification_period'});
					if ($template) {
						my %np = StorProc->fetch_one('time_periods','timeperiod_id',$t{'notification_period'});
						$t{'notification_period'} = $np{'name'};
						my %c = StorProc->fetch_one('commands','command_id',$t{'check_command'});
						$t{'check_command'} = $c{'name'};
						my %c = StorProc->fetch_one('commands','command_id',$t{'event_handler'});
						$t{'event_handler'} = $c{'name'};
						$form .= Forms->display_template(\%t,$property_list{'host_templates'});
					}	
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);

		
				} elsif ($obj_view eq 'parents') {
					my %docs = Doc->host_profile_parents();
					my @parents = StorProc->get_profile_parent($p{'hostprofile_id'});
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					my @nonmembers = StorProc->fetch_list('hosts','name');
					$form .= Forms->members('Parents:','parents',\@parents,\@nonmembers,'','',$docs{'parents'});
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);
			
				} elsif ($obj_view eq 'hostgroups') {
					my %docs = Doc->host_profile_hostgroups();
					my @hostgroups = StorProc->get_profile_hostgroup($p{'hostprofile_id'});

					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					my @nonmembers = StorProc->fetch_list('hostgroups','name'); 
					$form .= Forms->members('Hostgroups:','hostgroups',\@hostgroups,\@nonmembers,'','',$docs{'hostgroups'});
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);
		
				} elsif ($obj_view eq 'contact_groups') {
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);

				} elsif ($obj_view eq 'escalations') {
					my %docs = Doc->host_profile_escalations();
					my $host_escalation = $query->param('host_escalation');
					my $service_escalation = $query->param('service_escalation');
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					unless ($host_escalation) {
						my %w = ('tree_id' => $p{'host_escalation_id'});
						my %t = StorProc->fetch_one_where('escalation_trees',\%w);
						$host_escalation = $t{'name'};
					}
					my %where = ('type','host');
					my @members = StorProc->fetch_list_where('escalation_trees','name',\%where);
					$form .= Forms->list_box_submit('Host escalation:','host_escalation',\@members,$host_escalation,'',$docs{'host_escalation'});
					if ($host_escalation) {
						my ($ranks, $templates) = StorProc->get_tree_detail($host_escalation);
						my %ranks = %{$ranks};
						my %templates = %{$templates};
						$form .= Forms->escalation_tree(\%ranks,\%templates,'escalations');
					}
					unless ($service_escalation) {
						my %w = ('tree_id' => $p{'service_escalation_id'});
						my %t = StorProc->fetch_one_where('escalation_trees',\%w);
						$service_escalation = $t{'name'};
					}
					my %where = ('type','service');
					@members = StorProc->fetch_list_where('escalation_trees','name',\%where);
					$form .= Forms->list_box_submit('Service escalation:','service_escalation',\@members,$service_escalation,'',$docs{'service_escalation'});
					if ($service_escalation) {
						my ($ranks, $templates) = StorProc->get_tree_detail($service_escalation);
						my %ranks = %{$ranks};
						my %templates = %{$templates};
						$form .= Forms->escalation_tree(\%ranks,\%templates,'escalations');
					}
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);

				} elsif ($obj_view eq 'externals') {
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					my @members = StorProc->get_profile_external($hidden{'id'});
					my %where = ('type' => 'host');
					my @nonmembers = StorProc->fetch_list_where('externals','name',\%where);
					$form .= Forms->members('External:','externals',\@members,\@nonmembers);
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);
				} elsif ($obj_view eq 'services') {
					my %docs = Doc->host_profile_services();
					my $service_profile = $query->param('service_profile');
					my %sp = ();
					if ($service_profile) {
						my %w = ('name' => $service_profile);
						%sp = StorProc->fetch_one_where('profiles_service',\%w);
					} else {
						my %w = ('serviceprofile_id' => $p{'serviceprofile_id'});
						%sp = StorProc->fetch_one_where('profiles_service',\%w);
					}
					my %w = ('serviceprofile_id' => $p{'serviceprofile_id'});
					my %t = StorProc->fetch_one_where('profiles_service',\%w);
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					my @members = StorProc->fetch_list('profiles_service','name'); 
					$form .= Forms->list_box_submit('Service profile:','service_profile',\@members,$sp{'name'},'',$docs{'service_profile'});		
					my @services = ();
					if ($sp{'serviceprofile_id'}) {
						my %w = ('serviceprofile_id' => $sp{'serviceprofile_id'});
						my @sids = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
						foreach (@sids) {
							my %s = StorProc->fetch_one('service_names','servicename_id',$_);
							push @services, $s{'name'};
						}
					}
					$form .= Forms->form_message('Services:',\@services,'row1');
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%save);
				} elsif ($obj_view eq 'saved') {
					my %apply = ('name' => 'apply','value' => 'Apply to Hosts');
					$form .= Forms->host_profile_top($name,$user_acct,$obj_view,$auth_add{'externals'},\%url_vals);
					
					my $message = "Changes to profile accepted.";
					$form .= Forms->display_hidden('Saved','',$message);				

					$form .= Forms->hidden(\%hidden);
					if ($hidden{'apply'}) {
						$form .= Forms->form_bottem_one_button(\%apply);
					} else {
						$form .= Forms->form_bottem_no_button();
					}
				} else {
					%add = ('name' => 'obj_view','value' => 'Add New Profile');
					$form .= Forms->form_top('Add/Modify/Delete:');
					@members = StorProc->fetch_list('profiles_host','name'); 
					$form .= Forms->list_box('Host profile:','name',\@members);
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);
				}
			}
###############################################
# Service
#		
		} elsif ($profile eq 'service') {
			my %doc = Doc->service_profiles();
			@errors = ();
			my %values = ();
			%continue = ('name' => 'continue','value' => 'Continue');
			my $got_form = 0;
			my $obj_view = $query->param('obj_view');
			my $name = $query->param('service_profile');
			if ($name || $query->param('add_new')) { $obj_view = 'main' }
			my $description = $query->param('description');
			my $file = $query->param('file');
			my %f = StorProc->fetch_one('files','name',$file);
			$values{'file_id'} = $f{'file_id'};
			my $escalation = $query->param('escalation');
			my $task = $query->param('submit');
			$form .= Forms->main_page("Profiles - Service");
			if ($query->param('add')) {
				my %p = StorProc->fetch_one('profiles_service','name',$name);
				unless ($p{'name'} || $name eq '') {
					if ($values{'file_id'}) {
						my @values = ('',$name,$description,$values{'file_id'});
						my $id = StorProc->insert_obj_id('profiles_service',\@values,'serviceprofile_id');
						unless ($id =~ /^Error/) { 
							my @services = $query->param('services');
							foreach my $service (@services) {
								if ($service =~ /^\s+$/) { next	}
								my %s = StorProc->fetch_one('service_names','name',$service);
								my @vals = ($s{'servicename_id'},$id);
								my $result = StorProc->insert_obj('serviceprofile',\@vals);
								if ($result =~ /^Error/) { push @errors, $result }
							}
							unless (@errors) {
								$obj_view = 'added';
							} else {
								$obj_view = 'main';
							}
						} else {
							push @errors, $id;
							$obj_view = 'main';
						}
					} else {
						push @errors, "Required. You must select a default file name.";
						$required{'file'} = 1;
						$obj_view = 'main';
					}
				} else {
					push @errors, "Check name field. It's either blank or a record exists";
					$name = undef;
					$obj_view = 'main';
				}
				unless (@errors) { ($task,$name) = undef }
			} elsif ($query->param('apply')) {
				my $id = $query->param('id');
				my %w = ('serviceprofile_id' => $id);
				my @hosts = StorProc->fetch_list_where('hosts','host_id',\%w);
				my $host_profile = $query->param('host_profile');
				my $service_profile = $query->param('service_profile');
				my %sp = StorProc->fetch_one('profiles_service','name',$service_profile);
				my %w = ('serviceprofile_id' => $sp{'serviceprofile_id'});
				my @services = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
				my %services = ();
				my %externals = ();
				my %depends = ();
				foreach my $sid (@services) {
					my %sn = StorProc->fetch_one('service_names','servicename_id',$sid);
					$services{$sid} = {%sn};
					%w = ('servicename_id' => $sid);
					my @externals = StorProc->fetch_list_where('external_service_names','external_id',\%w);
					$externals{$sid} = [ @externals ];
					$depends{$sid} = $sn{'dependency'};
				}
				foreach my $hid (@hosts) {
					my $result = StorProc->delete_all('services','host_id',$hid);
					if ($result =~ /^Error/) { push @errors, $result }
					foreach my $sid (keys %services) {
						my @vals = ('',$hid,$sid,$services{$sid}->{'template'},$services{$sid}->{'extinfo'},$services{$sid}->{'escalation'},'1',$services{$sid}->{'check_comand'},$services{$sid}->{'command_line'},'');
						my $service_id = StorProc->insert_obj_id('services',\@vals,'service_id');
						if ($service_id =~ /^Error/) { push @errors, $service_id }
						@vals = ($sp{'file_id'},$service_id);
						$result = StorProc->insert_obj('file_service',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
						if ($depends{$sid}) {
							@vals = ('',$service_id,$hid,$hid,$depends{$sid},'');
							$result = StorProc->insert_obj('service_dependency',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
						foreach my $ext (@{$externals{$sid}}) {
							my %e = StorProc->fetch_one('externals','external_id',$ext);
							my @vals = ($ext,$hid,$service_id,$e{'display'});
							$result = StorProc->insert_obj('external_service',\@vals);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}
				}
				if (@errors) {
					$form .= Forms->form_top('Errors:');
					$form .= Forms->form_errors(\@errors);
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%continue);
					$got_form = 1;
				} else {
					$obj_view = 'applied';
				}
			} elsif ($query->param('save')) {
				my $id = $query->param('id');
				$values{'description'} = $description;
				if ($values{'file_id'}) {
					my $result = StorProc->update_obj('profiles_service','name',$name,\%values);
					if ($result =~ /^Error/) { push @errors, $result}
					$result = StorProc->delete_all('serviceprofile','serviceprofile_id',$id);
					if ($result =~ /^Error/) { push @errors, $result }
					my @services = $query->param('services');
					foreach my $service (@services) {
						if ($service =~ /^\s+$/) { next	}
						my %s = StorProc->fetch_one('service_names','name',$service);
						my @vals = ($s{'servicename_id'},$id);
						my $result = StorProc->insert_obj('serviceprofile',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					if (@errors) {
						$obj_view = 'main';
					} else {
						$hidden{'id'} = $id;
						$hidden{'service_profile'} = $name;
						$obj_view = 'saved';
					}
				} else {
						push @errors, "Required. You must select a default file name.";
						$required{'file'} = 1;
				}
				unless (@errors) { 
					($task,$name) = undef;
				}
			} elsif ($query->param('delete') || $query->param('confirm_delete')) {
				my $id = $query->param('id');
				my %w = ('serviceprofile_id' => $id);
				my @hp = StorProc->fetch_list_where('profiles_host','hostprofile_id',\%w);
				my @hids = StorProc->fetch_list_where('hosts','host_id',\%w);
				unless ($hids[0] || $hp[0]) {
					if ($query->param('confirm_delete')) {
						my $result = StorProc->delete_all('profiles_service','serviceprofile_id',$id);
						if ($result =~ /^Error/) { push @errors, $result }
						unless (@errors) { 
							$obj_view = undef;
						} else {
							$obj_view = 'main';
						}
					} elsif ($query->param('task') eq 'No') {
						$obj_view = 'main';
					} else {
						foreach my $name ($query->param) {
							$hidden{$name} = $query->param($name);
						}
						$hidden{'delete'} = 1;
						my $message = qq(Are you sure you want to remove $name?);
						$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
						$name = undef;
						$got_form = 1;
					}
				} else {
					push @errors, "Cannot delete $name while it is in use.";
				}
			} elsif ($query->param('continue')) {
				$obj_view = undef;
			}	
			unless ($got_form) {
				if ($obj_view eq 'main') {
					if ($query->param('add_new')) { $name = undef }
					my @members;
					$form .= Forms->form_top('Service Profile:','/cgi-bin/monarch.cgi onsubmit="selIt();"');
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					my %p = StorProc->fetch_one('profiles_service','name',$name);
					if ($p{'name'}) {
						$hidden{'id'} = $p{'serviceprofile_id'};
						my %w = ('serviceprofile_id' => $p{'serviceprofile_id'});
						my @sids = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
						foreach (@sids) {
							my %s = StorProc->fetch_one('service_names','servicename_id',$_);
							push @members, $s{'name'};
						}
						$form .= Forms->display_hidden('Service profile name:','service_profile',$name);
						$description = $p{'description'};
						my %f = StorProc->fetch_one('files','file_id',$p{'file_id'});
						$file = $f{'name'};
					} else {
						$form .= Forms->text_box('Service profile name:','service_profile',$name,$textsize{'name'});
					}
					$form .= Forms->text_box('Description:','description',$description,$textsize{'description'},'',$doc{'description'});
					@nonmembers = StorProc->fetch_list('service_names','name'); 
					$form .= Forms->members('Services:','services',\@members,\@nonmembers,'','30',$doc{'services'});
					my %where = ('type' => 'service');
					my @files = StorProc->fetch_list_where('files','name',\%where); 
					$form .= Forms->list_box('File:','file',\@files,$file,$required{'file'},$doc{'file'});
					$form .= Forms->hidden(\%hidden);
					if ($p{'name'}) {
						%save = ('name' => 'save','value' => 'Save');
						%delete = ('name' => 'delete','value' => 'Delete');
						$form .= Forms->form_bottem_three_button(\%delete,\%rename,\%save);
					} else {
						%add = ('name' => 'add','value' => 'Add');
						$form .= Forms->form_bottem_two_button(\%cancel,\%add);
					}
				} elsif ($obj_view eq 'applied') {
					$form .= Forms->form_top('Applied:');
					my @message = ("Changes to $name applied to hosts.");
					$form .= Forms->form_message('Updated:',\@message,'row1');					
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%continue);
				} elsif ($obj_view eq 'saved') {
					$form .= Forms->form_top('Saved:');
					my @message = ("Changes to $name accepted");
					$form .= Forms->form_message('Updated:',\@message,'row1');					
					$form .= Forms->doc("'Apply to Services' will override all service definitions using this service name. If you wish to keep the existing service definitions select 'Continue'.");
					my %apply = ('name' => 'apply','value' => 'Apply to Hosts');
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_two_button(\%apply,\%continue);
				} else {
					%add = ('name' => 'add_new','value' => 'Add New Profile');
					$form .= Forms->form_top('Add/Modify/Delete:');
					@members = StorProc->fetch_list('profiles_service','name'); 
					$form .= Forms->list_box('Service profile:','service_profile',\@members);
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);
				}
			}
###############################################
# Service Names
#		
		} elsif ($profile eq 'service_name') {
			my %values = ();
			my $got_form = 0;
			my $obj_view = $query->param('obj_view');
			my $name = $query->param('service_name');
			if ($name || $query->param('add_new')) { $obj_view = 'main' }
			my $id = $query->param('id');
			$hidden{'id'} = $id;
			my $description = $query->param('description');
			$values{'description'} = $description;
			my $template = $query->param('template');
			my %w = ('name' => $template);
			my %s = StorProc->fetch_one_where('service_templates',\%w);
			$values{'template'} = $s{'servicetemplate_id'};
			my $check_command = $query->param('check_command');
			%w = ('name' => $check_command);
			my %c = StorProc->fetch_one_where('commands',\%w);
			$values{'check_command'} = $c{'command_id'};
			my $command_line = $query->param('command_line');
			$values{'command_line'} = $command_line;
			my $dependency = $query->param('dependency');
			%w = ('name' => $dependency);
			my %d = StorProc->fetch_one_where('service_dependency_templates',\%w);
			$values{'dependency'} = $d{'id'};
			my $ext_info = $query->param('ext_info');
			%w = ('name' => $ext_info);
			my %e = StorProc->fetch_one_where('extended_service_info_templates',\%w);
			$values{'extinfo'}	= $e{'serviceextinfo_id'};
			my $escalation = $query->param('escalation');
			if ($escalation eq 'no-escalation') {
				$values{'escalation'} = '';
			} else {
				%w = ('name' => $escalation);
				%e = StorProc->fetch_one_where('escalation_trees',\%w);
				$values{'escalation'} = $e{'tree_id'};
			}
			my @externals = $query->param('externals');
			my $task = $query->param('submit');
			if ($query->param('add')) { $task = 'Add' }
			if ($query->param('save')) { $task = 'Save' }
			if ($query->param('delete')) { $task = 'Delete' }
			$form .= Forms->main_page("Profiles - Service Names");
			if ($query->param('add')) {
				if ($name) {
					if ($query->param('use_template_command') == 1) {
						$values{'check_command'} = '';
						$command_line = undef;
					}
					my %p = StorProc->fetch_one('service_names','name',$name);
					unless ($p{'name'}) {
						if ($values{'template'}) {
							my @values = ('',$name,$description,$values{'template'},$values{'check_command'},$command_line,$values{'dependency'},$values{'escalation'},$values{'extinfo'});
							my $id = StorProc->insert_obj_id('service_names',\@values,'servicename_id');
							if ($id =~ /^Error/) { 
								push @errors, $id;
								$obj_view = 'main';
							} else {
								foreach my $ext (@externals) {
									my %e = StorProc->fetch_one('externals','name',$ext);
									@values = ($e{'external_id'},$id);
									my $result = StorProc->insert_obj('external_service_names',\@values);
									if ($result =~ /^Error/) { 
										push @errors, $result;
										$obj_view = 'main';
									}						
								}
							}
						} else {
							push @errors, "Template required";
							$obj_view = 'main';
						}
					} else {
						push @errors, "Service name $name already exists";
						$obj_view = 'main';
					}
				} else {					
					push @errors, "Service name required";
					$obj_view = 'main';
				}
				unless (@errors) { $obj_view = undef }
			} elsif ($query->param('apply')) {
				my %sp = StorProc->fetch_one('service_names','servicename_id',$id);				
				my %vals = ('servicetemplate_id' => $sp{'template'},'serviceextinfo_id' => $sp{'extinfo'},'escalation_id' => $sp{'escalation'},
					'check_command' => $sp{'check_command'},'command_line' => $sp{'command_line'});
				my %w = ('servicename_id' => $id);
				my $result = StorProc->update_obj_where('services',\%vals,\%w);
				if ($result =~ /^Error/) { push @errors, $result }						
				if ($auth_add{'externals'}) {
					my %w = ('servicename_id' => $id);
					my @externals = StorProc->fetch_list_where('external_service_names','external_id',\%w);
					my %services = StorProc->fetch_list_hash_array('services',\%w);
					foreach my $sid (keys %services) {
						$result = StorProc->delete_all('external_service','service_id',$id);
						foreach my $ext (@externals) {
							my %external = StorProc->fetch_one('externals','external_id',$ext);	
							my @vals = ($ext,$services{$sid}[1],$sid,$external{'display'});
							my $result = StorProc->insert_obj('external_service',\@vals);
						}
					}
				}
				$obj_view = 'applied';
			} elsif ($query->param('save')) {
				if ($query->param('use_template_command')) {
					$values{'check_command'} = '';
					$values{'command_line'} = '';
				}
				my $result = StorProc->update_obj('service_names','name',$name,\%values);
				if ($result =~ /^Error/) { push @errors, $result}
				unless (@errors) { $name = undef }
				$result = StorProc->delete_all('external_service_names','servicename_id',$id);
				if ($result =~ /^Error/) { push @errors, $result }						
				foreach my $ext (@externals) {
					my %e = StorProc->fetch_one('externals','name',$ext);
					my @values = ($e{'external_id'},$id);
					$result = StorProc->insert_obj('external_service_names',\@values);
					if ($result =~ /^Error/) { push @errors, $result }						
				}
				unless (@errors) { 
					$hidden{'service_name'} = $name;	
					$obj_view = 'saved';
				} else {
					$obj_view = 'main';
				}
			} elsif ($query->param('delete') || $query->param('confirm_delete')) {
				my %sn = StorProc->fetch_one('service_names','name',$name);
				my %w = ('servicename_id' => $sn{'servicename_id'});
				my @hids = StorProc->fetch_list_where('services','host_id',\%w);
				unless ($hids[0]) {
					if ($query->param('confirm_delete')) {
						my $result = StorProc->delete_all('service_names','name',$name);
						if ($result =~ /^Error/) { push @errors, $result }
						unless (@errors) { 
							($task,$name) = undef;
							$hidden{'name'} = undef;
						}
					} elsif ($query->param('task') eq 'No') {
						$hidden{'name'} = undef;
						$task = undef;
					} else {
						foreach my $name ($query->param) {
							$hidden{$name} = $query->param($name);
						}

						$hidden{'delete'} = 1;
						my $message = qq(Are you sure you want to remove $name?);
						$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
						$name = undef;
						$task = 'Delete';
						$got_form = 1;
					}
				} else {
					push @errors, "Cannot delete $name while it is in use.";
				}
			}
			unless ($got_form) {
				if ($obj_view eq 'main') {
					my %doc = Doc->service_names();
					if ($query->param('add_new')) { $name = undef }
					my @members;
					my $use_template = 0;
					my %p = StorProc->fetch_one('service_names','name',$name);
					if ($p{'name'} && $task =~ /Add/i) {
						push @errors, "Service name $name already exists";
						$name = undef;
					}
					if ($p{'name'}) {
						my %p = StorProc->fetch_one('service_names','name',$name);
						$hidden{'id'} = $p{'servicename_id'}; 
						$description = $p{'description'};
						my %s = ();
						if ($template) {
							my %w = ('name' => $template);
							%s = StorProc->fetch_one_where('service_templates',\%w);
							if ($s{'check_command'}) {			
								%w = ('command_id' => $s{'check_command'});
								my %c = StorProc->fetch_one_where('commands',\%w);
								$check_command = $c{'name'};
								$command_line = $s{'command_line'};
								$use_template = 1;
							}
						} else {
							my %w = ('servicetemplate_id' => $p{'template'});
							%s = StorProc->fetch_one_where('service_templates',\%w);
							$template = $s{'name'};
							if ($p{'check_command'}) {
								%w = ('command_id' => $p{'check_command'});
								my %c = StorProc->fetch_one_where('commands',\%w);
								$check_command = $c{'name'};
								$command_line = $p{'command_line'};
							} elsif ($s{'check_command'}) {			
								%w = ('command_id' => $s{'check_command'});
								my %c = StorProc->fetch_one_where('commands',\%w);
								$check_command = $c{'name'};
								$command_line = $s{'command_line'};
								$use_template = 1;
							}
						}
						if ($query->param('escalation')) {
							$escalation = $query->param('escalation');
						} else {	
							my %where = ('tree_id' => $p{'escalation'});
							my %t = StorProc->fetch_one_where('escalation_trees',\%where); 
							$escalation = $t{'name'};
						}
						%w = ('id' => $p{'dependency'});
						my %d = StorProc->fetch_one_where('service_dependency_templates',\%w);
						$dependency = $d{'name'};
						%w = ('serviceextinfo_id' => $p{'extinfo'});
						my %e = StorProc->fetch_one_where('extended_service_info_templates',\%w);
						$ext_info = $e{'name'};
					} else {
						my %w = ('name' => $template);
						my %s = StorProc->fetch_one_where('service_templates',\%w);
						%w = ('command_id' => $s{'check_command'});
						my %c = StorProc->fetch_one_where('commands',\%w);
						$check_command = $c{'name'};
						$command_line = $s{'command_line'};
						if ($check_command) {$use_template = 1 }
					}
					$form .= Forms->form_top('Service Name:','/cgi-bin/monarch.cgi onsubmit="selIt();"');
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					if ($p{'name'}) {
						$form .= Forms->display_hidden('Service name:','service_name',$name);
					} else {
						$form .= Forms->text_box('Service name:','service_name',$name,$textsize{'name'});
					}
					$form .= Forms->text_box('Description:','description',$description,$textsize{'description'},'',$doc{'description'});
					@members = StorProc->fetch_list('service_templates','name'); 
					$form .= Forms->list_box_submit('Service template:','template',\@members,$template,'',$doc{'service_template'});
					@members = StorProc->fetch_list('commands','name'); 
					$form .= Forms->checkbox('Use template command:','use_template_command',$use_template,$doc{'use_template_command'});
					$form .= Forms->list_box('Check command:','check_command',\@members,$check_command,'',$doc{'check_command'});
					$form .= Forms->text_area('Command line:','command_line',$command_line,'',$textsize{'command_line'},'',$doc{'command_line'});
					@members = StorProc->fetch_list('service_dependency_templates','name'); 
					$form .= Forms->list_box('Service dependency template:','dependency',\@members,$dependency,'',$doc{'dependency'});
					@members = StorProc->fetch_list('extended_service_info_templates','name'); 
					$form .= Forms->list_box('Extended info template:','ext_info',\@members,$ext_info,'',$doc{'ext_info'});
					my %where = ('type' => 'service');
					@members = ('no-escalation');
					my @mems = StorProc->fetch_list_where('escalation_trees','name',\%where); 
					push (@members,@mems);
					$form .= Forms->list_box_submit('Service escalation tree:','escalation',\@members,$escalation,'',$doc{'escalation'});
					if ($escalation) {
						my ($ranks, $templates) = StorProc->get_tree_detail($escalation);
						my %ranks = %{$ranks};
						my %templates = %{$templates};
						$form .= Forms->escalation_tree(\%ranks,\%templates,'service_names');
					}

					if ($auth_add{'externals'}) {
						my @members = StorProc->get_servicename_external($p{'servicename_id'});
						my %where = ('type' => 'service');
						my @nonmembers = StorProc->fetch_list_where('externals','name',\%where);
						$form .= Forms->members('Externals:','externals',\@members,\@nonmembers,'','',$doc{'externals'});
					}
					$form .= Forms->hidden(\%hidden);
					if ($p{'name'}) {
						my %delete = ('name' => 'delete','value' => 'Delete');
						my %save = ('name' => 'save','value' => 'Save');
						$form .= Forms->form_bottem_three_button(\%delete,\%rename,\%save);
					} else {
						my %add = ('name' => 'add','value' => 'Add');
						$form .= Forms->form_bottem_two_button(\%cancel,\%add);
					}


				} elsif ($obj_view eq 'applied') {
					$form .= Forms->form_top('Applied:');
					my @message = ("Changes to $name applied to services.");
					if (@errors) { $form .= Forms->form_errors(\@errors) }
					$form .= Forms->form_message('Updated:',\@message,'row1');					
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_one_button(\%continue);
				} elsif ($obj_view eq 'saved') {
					$form .= Forms->form_top('Saved:');
					my @message = ("Changes to $hidden{'service_name'} accepted.");				 
					$form .= Forms->form_message('Updated:',\@message,'row1');	
					$form .= Forms->doc("'Apply to Services' will override all service definitions using this service name. If you wish to keep the existing service definitions select 'Continue'.");
					my %apply = ('name' => 'apply','value' => 'Apply to Services');
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_two_button(\%apply,\%continue);
				} else {
					%add = ('name' => 'add_new','value' => 'Add New Service Name');
					$form .= Forms->form_top('Add/Modify/Delete:','');
					my @members = StorProc->fetch_list('service_names','name'); 
					$form .= Forms->list_box('Service name:','service_name',\@members);
					$form .= Forms->hidden(\%hidden);
					$form .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);	
				}
			}
		}
	}
	return $form;
}


#
###########################################################################################################################
# Discover
#


sub match_wizard() {
	my $page = undef;
	my $name = $query->param('name');
	my $string = $query->param('string');
	$string =~ s/\"//g;
	my $type = $query->param('type');
	my $class = $query->param('class');
	$hidden{'match_set'} = $query->param('match_set');
	$hidden{'obj_view'} = 'match_wizard';
	my $done = undef;
#error_out("obj_view=$obj_view name=$name string=$string task=$task type=$type class=$class str=$string");
	if ($submit eq 'Done') {
		my %values = ('status' => 'matched');
		my %where = ('name' => $string,'user_acct' => $user_acct,'type' => 'import');
		if ($type eq 'service') {
			my $result = StorProc->update_obj_where('stage_host_services',\%values,\%where);
			if ($result =~ /^Error/) { push @errors, $result }
		} else {
			my $result = StorProc->update_obj_where('stage_hosts',\%values,\%where);
			if ($result =~ /^Error/) { push @errors, $result }
		}
		$page .= process_hosts();
		$done = 1;
	} elsif ($query->param('cancel')) {
		if ($task eq 'add_service') {
			$task = undef;
		} else {
			$page .= process_hosts();
			$done = 1;
		}
	} elsif ($class eq 'discard') {
		my @values = ('',$string,$type,'discard','discard');
		my $result = StorProc->insert_obj('match_strings',\@values);
		if ($result =~ /^Error/) { push @errors, $result }
		if ($type eq 'service') {
			$result = StorProc->delete_all('stage_host_services','name',$string);
			if ($result =~ /^Error/) { push @errors, $result }
		} else {
			my %values = ('status' => 'matched');
			my %where = ('name' => $string,'user_acct' => $user_acct,'type' => 'import');
			my $result = StorProc->update_obj_where('stage_hosts',\%values,\%where);
			if ($result =~ /^Error/) { push @errors, $result }		
		}
		$page .= process_hosts();
		$done = 1;
	} elsif ($task eq 'add_service') {
		my $description = $query->param('description');
		my $template = $query->param('template');
		my $check_command = $query->param('check_command');
		my $command_line = $query->param('command_line');
		my $dependency = $query->param('dependency');
		my $ext_info = $query->param('ext_info');
		my $escalation = $query->param('escalation');
		$hidden{'task'} = 'add_match';
		$hidden{'match_set'} = 1;
		my %p = StorProc->fetch_one('service_names','name',$name);
		unless ($p{'name'} || $name eq '') {
			my @values = ($name,$description,$template,$check_command,$command_line,$dependency,$ext_info);
			my $result = StorProc->insert_obj('service_names',\@values);
			if ($result =~ /^Error/) { push @errors, $result }
				
		} else {
			push @errors, "Check name field. It's either blank or a record exists";
		}
		$task = 'match_string';
	}
	
	if ($task eq 'match_string') {
		if (!$class) { $class = 'service-name' }
		my %where = ('string' => $string,'type' => $type,'class' => $class,'object' => $name);
		my %p = StorProc->fetch_one_where('match_strings',\%where);
		unless ($p{'id'}) {
			my @values = ('',$string,$type,$class,$name);
			my $result = StorProc->insert_obj('match_strings',\@values);
			if ($result =~ /^Error/) { push @errors, $result }
		}
		$hidden{'match_set'} = 1;
		$task = undef;
		$page .= process_hosts();
		$done = 1;
	}

	unless ($done) {
		$hidden{'type'} = $type;
		my %done = ('name' => 'submit', 'value' => 'Done');
		my %add_service = ('name' => 'submit', 'value' => 'Add Service Name');
		my %step_out = ('name' => 'submit', 'value' => 'Step Out');
		if ($submit eq 'Add Service Name') {
			$page .= Forms->form_top('Add Service Name:','');
			if (@errors) { $page .= Forms->form_errors(\@errors) }
			my @members;
			$hidden{'string'} = $string;
			my $name = $string;
			$name =~ s/\s/_/g;
			$page .= Forms->text_box('Service name:','name',$name,$textsize{'name'});
			$page .= Forms->text_box('Description:','description','',$textsize{'description'});
			@members = StorProc->fetch_list('service_templates','name'); 
			$page .= Forms->list_box('Service template:','template',\@members,'');
			@members = StorProc->fetch_list('commands','name'); 
			$page .= Forms->list_box('Check command:','check_command',\@members,'');
			$page .= Forms->text_area('Command line:','command_line','','',$textsize{'command_line'});
			@members = StorProc->fetch_list('service_dependency_templates','name'); 
			$page .= Forms->list_box('Service dependency template:','dependency',\@members,'');
			@members = StorProc->fetch_list('extended_service_info_templates','name'); 
			$page .= Forms->list_box('Extended info template:','ext_info',\@members,'');
			$hidden{'task'} = 'add_service';
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_two_button(\%cancel,\%add);
		} elsif ($class && $task eq 'match_object') {
			if ($class eq 'hostgroup') { $table = 'hostgroups' }
			if ($class eq 'host-profile') { $table = 'profiles_host' }
			if ($class eq 'service-profile') { $table = 'profiles_service' }
			if ($class eq 'service-name') { $table = 'service_names' }
			my @objects = StorProc->fetch_list($table,'name');
			$page .= Forms->form_top('Select','');
			if (@errors) { $page .= Forms->form_errors(\@errors) }
			$page .= Forms->list_box("$class:",'name',\@objects);
			$hidden{'obj_view'} = $obj_view;
			$hidden{'class'} = $class;
			$hidden{'task'} = 'match_string';
			$hidden{'string'} = $string;
			$page .= Forms->hidden(\%hidden);
#			if ($type eq 'service') {
#				if ($hidden{'match_set'}) {
#					$page .= Forms->form_bottem_three_button(\%add_service,\%done,\%select);
#				} else {
#					$page .= Forms->form_bottem_three_button(\%add_service,\%cancel,\%select);
#				}
#			} elsif ($hidden{'match_set'}) {
#				$page .= Forms->form_bottem_two_button(\%done,\%select);
#			} else {
				$page .= Forms->form_bottem_one_button(\%select);
#				$page .= Forms->form_bottem_two_button(\%cancel,\%select);
#			}
		} else {
			my @classes = ('host-profile','discard');
			$page .= Forms->form_top('Select','');
			if (@errors) { $page .= Forms->form_errors(\@errors) }
			my $title = $string; 
			$title =~ s/\s/\&nbsp\;/g;
			$title = "Match ".$title." to:";
			if (@errors) { $page .= Forms->form_errors(\@errors) }
			$page .= Forms->list_box($title,'class',\@classes);
			my %select = ('name' => 'submit', 'value' => 'Select');
			$hidden{'obj_view'} = $obj_view;
			$hidden{'task'} = 'match_object';
			$hidden{'string'} = $string;
			$page .= Forms->hidden(\%hidden);
#			if ($type eq 'service') {
#				if ($hidden{'match_set'}) {
#					$page .= Forms->form_bottem_three_button(\%add_service,\%done,\%select);
#				} else {
#					$page .= Forms->form_bottem_three_button(\%add_service,\%cancel,\%select);
#				}
#			} elsif ($hidden{'match_set'}) {
#				$page .= Forms->form_bottem_two_button(\%done,\%select);
#			} else {
#				$page .= Forms->form_bottem_two_button(\%cancel,\%select);
				$page .= Forms->form_bottem_one_button(\%select);
#			}
		}
	}
	return $page;
}

###############################################
# Process hosts
#		

sub process_hosts() {
	my @nomatch;
	my $page = undef;
	my @svcs = StorProc->fetch_distinct_list('stage_host_services','name');
	my $allmatch = $query->param('allmatch');
	unless ($allmatch) {
		foreach my $svc (@svcs) {
			my %where = ('string' => $svc);
			my @ids = StorProc->fetch_list_where('match_strings','id',\%where);
			unless ($ids[0]) { push @nomatch, $svc }
		}
		if ($nomatch[0]) {
			$page .= Forms->nomatch($user_acct,$view,$obj,\@nomatch,'service',\@errors);
		} else {
			my @ostypes = StorProc->fetch_distinct_list('stage_hosts','os');
			foreach my $os (@ostypes) {
				my %where = ('string' => $os);
				my @ids = StorProc->fetch_list_where('match_strings','id',\%where);
				unless ($ids[0]) { push @nomatch, $os }
			}		
			if ($nomatch[0]) {
				$page .= Forms->nomatch($user_acct,$view,$obj,\@nomatch,'os',\@errors);
			} else {
				my @ips = StorProc->fetch_distinct_list('stage_hosts','address');
				my %subnets;
				foreach my $ip (@ips) {
					if ($ip =~ /(\d+\.\d+\.\d+)\.\d+/) { $subnets{$1} = 1 }
				}
				my @subnets;
				foreach my $key (keys %subnets) { 
					my %where = ('string' => $key);
					my @ids = StorProc->fetch_list_where('match_strings','id',\%where);
					unless ($ids[0]) { push @nomatch, $key }
				}		
				if ($nomatch[0]) {
					$page .= Forms->nomatch($user_acct,$view,$obj,\@nomatch,'address',\@errors);
				} else {
					$allmatch = 1;
				}
			}
		}
	}
	if ($allmatch) {
		#$page .= Forms->form_top('Process Stage','');
		#if (@errors) { $page .= Forms->form_errors(\@errors) }
		

		my %where = ('user_acct' => $user_acct,'type' => 'import');
		my %stage_hosts = StorProc->fetch_list_hash_array('stage_hosts',\%where);
		foreach my $host (keys %stage_hosts) {
			my %host_profile;
			my %hostgroups;
			my %service_profile;
			my %services;
			my $subnet = undef;
			if ($stage_hosts{$host}[5] =~ /(\d+\.\d+\.\d+)\.\d+/) { $subnet = $1 }

# host-profile
			%where = ('type' => 'address','class' => 'host-profile','string' => $subnet);
			my @matches = StorProc->fetch_list_where('match_strings','object',\%where);
			foreach my $match (@matches) { $host_profile{$match} += 1 }

			%where = ('type' => 'os','class' => 'host-profile','string' => $stage_hosts{$host}[6]);
			my @matches = StorProc->fetch_list_where('match_strings','object',\%where);
			foreach my $match (@matches) { $host_profile{$match} += 1 }

			%where = ('type' => 'host-name','class' => 'host_profile','string' => $host);
			@matches = StorProc->fetch_list_like('match_strings','object',\%where);
			foreach my $match (@matches) { $host_profile{$match} += 1 }

			%where = ('type' => 'host-alias','class' => 'host_profile','string' => $stage_hosts{$host}[4]);
			@matches = StorProc->fetch_list_like('match_strings','object',\%where);
			foreach my $match (@matches) { $host_profile{$match} += 1 }


# service-profile
			%where = ('type' => 'address','class' => 'service-profile','string' => $subnet);
			my @matches = StorProc->fetch_list_where('match_strings','object',\%where);
			foreach my $match (@matches) { $host_profile{$match} += 1 }

			%where = ('type' => 'os','class' => 'service-profile','string' => $stage_hosts{$host}[6]);
			my @matches = StorProc->fetch_list_where('match_strings','object',\%where);
			foreach my $match (@matches) { $host_profile{$match} += 1 }

			%where = ('type' => 'host-name','class' => 'service-profile','string' => $host);
			@matches = StorProc->fetch_list_like('match_strings','object',\%where);
			foreach my $match (@matches) { $host_profile{$match} += 1 }

			%where = ('type' => 'host-alias','class' => 'service-profile','string' => $stage_hosts{$host}[4]);
			@matches = StorProc->fetch_list_like('match_strings','object',\%where);
			foreach my $match (@matches) { $host_profile{$match} += 1 }


# host-group
			%where = ('type' => 'address','class' => 'hostgroup','string' => $subnet);
			my @matches = StorProc->fetch_list_where('match_strings','object',\%where);
			foreach my $match (@matches) { $hostgroups{$match} = 1 }

			%where = ('type' => 'os','class' => 'hostgroup','string' => $stage_hosts{$host}[6]);
			my @matches = StorProc->fetch_list_where('match_strings','object',\%where);
			foreach my $match (@matches) { $hostgroups{$match} = 1 }

			%where = ('type' => 'host-name','class' => 'hostgroup','string' => $host);
			@matches = StorProc->fetch_list_like('match_strings','object',\%where);
			foreach my $match (@matches) { $hostgroups{$match} = 1 }

			%where = ('type' => 'host-alias','class' => 'hostgroup','string' => $stage_hosts{$host}[4]);
			@matches = StorProc->fetch_list_like('match_strings','object',\%where);
			foreach my $match (@matches) { $hostgroups{$match} = 1 }


# services
			my %services;
			%where = ('host' => $host);
			my @services = StorProc->fetch_list_where('stage_host_services','name',\%where);
			foreach my $service (@services) {
				%where = ('type' => 'service','class' => 'host-profile','string' => $service);
				@matches = StorProc->fetch_list_where('match_strings','object',\%where);
				foreach my $match (@matches) { $host_profile{$match} += 1 }
				%where = ('type' => 'service','class' => 'service-profile','string' => $service);
				@matches = StorProc->fetch_list_where('match_strings','object',\%where);
				foreach my $match (@matches) { $service_profile{$match} += 1 }
				%where = ('type' => 'service','class' => 'hostgroup','string' => $service);
				@matches = StorProc->fetch_list_where('match_strings','object',\%where);
				foreach my $match (@matches) { $hostgroups{$match} = 1 }

				%where = ('type' => 'service','class' => 'hostgroup','string' => $service);
				@matches = StorProc->fetch_list_where('match_strings','object',\%where);
				foreach my $match (@matches) { $hostgroups{$match} = 1 }

				%where = ('type' => 'service','class' => 'service-name','string' => $service);
				@matches = StorProc->fetch_list_where('match_strings','object',\%where);
				foreach my $match (@matches) { $services{$service} = $match }
			}	
			my $highval = 0;
			foreach my $hp (keys %host_profile) {
				if ($host_profile{$hp} > $highval) {
					$highval = $host_profile{$hp};
					$stage_hosts{$host}[7] = $hp;
				}
			}
			$highval = 0;
			foreach my $sp (keys %service_profile) {
				if ($service_profile{$sp} > $highval) {
					$highval = $service_profile{$sp};
					$stage_hosts{$host}[8] = $sp;
				}
			}

			foreach my $hg (keys %hostgroups) {
				if ($hg =~ /HASH/) { next }
				my @values = ($host,$user_acct,$hg);
				my $result = StorProc->insert_obj('stage_host_hostgroups',\@values);
				if ($result =~ /^Error/) { push @errors, $result }
			}

			foreach my $service (keys %services) {
				my %where = ('name' => $service,'user_acct' => $user_acct);
				my %values = ('name' => $services{$service});
				my $result = StorProc->update_obj_where('stage_host_services',\%values,\%where);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			if ($stage_hosts{$host}[7]) {
				if (!$stage_hosts{$host}[8]) {
					my %p = StorProc->fetch_one('profiles_host','name',$stage_hosts{$host}[7]);
					$stage_hosts{$host}[8] = $p{'service_profile'};
				}
			} else {
				$stage_hosts{$host}[7] = 'nomatch';
			}
			if (!$stage_hosts{$host}[8]) {
				my %p = StorProc->fetch_one('profiles_host','name',$stage_hosts{$host}[7]);
				$stage_hosts{$host}[8] = $p{'service_profile'};
			} else {
				$stage_hosts{$host}[8] = 'nomatch';
			}
			my %where = ('name' => $host,'user_acct' => $user_acct,'type' => 'import');
			my %values = ('hostprofile',$stage_hosts{$host}[7],'serviceprofile' => $stage_hosts{$host}[8]);
			my $result = StorProc->update_obj_where('stage_hosts',\%values,\%where);

		}
		$page .= Forms->process_hosts($user_acct,\%stage_hosts);
	} 
	return $page;
}

sub discover() {
	my $page = Forms->left_page('Discover');
	my @menus;
	foreach my $menu (@discover_menus) {
		if ($auth_add{$menu}) { push @menus, $menu }
	}
	my $obj_view = $query->param('obj_view');
	my %where = ('user_acct' => $user_acct,'type' => 'import');
	my @server_list = StorProc->fetch_list_where('stage_hosts','name',\%where);


	if (!$obj_view && $server_list[0]) {
		$obj = 'process_stage';
	}
# error_out("obj $obj ov $obj_view sub $submit list $server_list[0]");
	$page .= Forms->left_menu($user_acct,$view,\@menus,$obj);

	if (!$obj_view && $server_list[0]) { 
		$page .= Forms->main_page("Process Stage");
		$page .= process_hosts();
		$task = 'delete';
	} elsif ($obj eq 'process_stage' && !$server_list[0] && !$submit) {
		$page .= Forms->main_page("Process Stage");
		my $message = "No hosts have been staged. Upload an Nmap scan or an import a file.";
		$page .= Forms->success('Empty Stage',$message,'submit',\%hidden);

	} elsif ($submit eq 'Clear Stage') {
		if ($query->param('confirm_delete')) {
			my %where = ('user_acct' => $user_acct,'type' => 'import');
			my $result = StorProc->delete_one_where('stage_hosts',\%where);
			if ($result =~ /^Error/) { push @errors, $result }
			my $result = StorProc->delete_one_where('stage_host_services',\%where);
			if ($result =~ /^Error/) { push @errors, $result }
			unless (@errors) { 
				$obj_view = undef;
				$task = undef;
			} else {
				$page .= process_hosts();
				$task = 'delete';
			}
		} elsif ($query->param('task') eq 'No') {
			$page .= Forms->main_page("\u$obj");
			$page .= process_hosts();
			$task = 'delete';
		} else {
			$page .= Forms->main_page("Process Stage");
			foreach my $name ($query->param) {
				$hidden{$name} = $query->param($name);
			}
			my $message = qq(Are you sure you want to remove all hosts from the import stage?);
			$page .= Forms->are_you_sure('Confirm Clear Stage:',$message,'confirm_delete',\%hidden);
			$task = 'delete';
		}
	} elsif ($submit eq 'Discard') {
		if ($query->param('confirm_delete')) {
			my $type = $query->param('type');
			foreach my $name ($query->param) {
				if ($name =~ /^discard_(\S+)/) {
					my $sname = $1;
					$sname =~ s/\+/ /g;
					my %where = ('user_acct' => $user_acct,'type' => 'import','name' => $sname);
					my @values = ('',$sname,$type,'discard','discard');
					my $result = StorProc->insert_obj('match_strings',\@values);
					if ($result =~ /^Error/) { 
						push @errors, $result;
					} else {
						if ($type eq 'service') {
							$result = StorProc->delete_one_where('stage_host_services',\%where);
							if ($result =~ /^Error/) { push @errors, $result }
						} else {
							$result = StorProc->delete_one_where('stage_hosts',\%where);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}
				}			
			}
			$page .= Forms->main_page("\u$obj");
			$page .= process_hosts();
			$task = 'delete';
		} elsif ($query->param('task') eq 'No') {
			$page .= Forms->main_page("\u$obj");
			$page .= process_hosts();
			$task = 'delete';
		} else {
			$page .= Forms->main_page("Process Stage");
			my @discards;
			my $strings = undef;
			foreach my $name ($query->param) {
				if ($name =~ /^discard_(\S+)/) {
					my $sname = $1;
					$sname =~ s/\+/ /g;
					push @discards, $sname;
					$hidden{$name} = 1;
				} else {
					$hidden{$name} = $query->param($name);
				}
			}
			if (@discards) {
				foreach (@discards) { $strings .= "<br>&nbsp;-&nbsp;$_"}
				my $message = qq(Are you sure you want to match these $hidden{'type'} strings to discard?$strings);
				$page .= Forms->are_you_sure('Confirm Discard:',$message,'confirm_delete',\%hidden);
				$task = 'delete';
			} else {
				$page .= process_hosts();
				$task = 'delete';
			}
		}
	} elsif ($submit eq 'Add Hosts') {
		my %files = StorProc->fetch_file_hash();
		my @hosts;
		foreach my $param ($query->param) {
			if ($param =~ /discard_(.*)/) { push @hosts, $1 }
		}
		my @errs;
		foreach my $name (@hosts) {
			if (@errs) { push (@errors,@errs); @errs = () }
			my %where = ('user_acct' => $user_acct,'type' => 'import','name' => $name);
			my %h = StorProc->fetch_one_where('stage_hosts',\%where);
			if ($h{'host_profile'} eq 'nomatch') {
				push @errs, "Unable to process $name because it does not have a host profile match. (Hint: Use the wizard).";
				next;
			}
			my %sp;
			my %hp = StorProc->fetch_one('profiles_host','name',$h{'host_profile'});
			if ($h{'service_profile'} eq 'nomatch') { $h{'service_profile'} = $hp{'service_profile'} }
			if (!$h{'service_profile'}) {
				push @errs, "Unable to process $name because it does not have a service profile match and host profile $h{'host_profile'} does not have a service profile. (Hint: Use the wizard).";
				next;
			}
			my @hostgroups = StorProc->fetch_list('profile_hostgroup','hostgroup','profile',$h{'host_profile'});
			my %e = StorProc->fetch_one('hosts','name',$name);
			if ($e{'name'}) {
				push @errs, "Host $name is already in the system";
				next; 
# update
			} else {
				my @vals = ($h{'name'},$h{'alias'},$h{'address'},$hp{'host_template'},$empty_data,'');
				my $result = StorProc->insert_obj('hosts',\@vals);
				if ($result =~ /Error/) { push @errs, $result }
				if ($hp{'ext_info'}) { 
					my @values = ($name,$hp{'ext_info'},'','');
					my $result = StorProc->insert_obj('extended_host_info',\@values);
					if ($result =~ /^Error/) { push @errors, $result }
					@values = ($files{'extended_host_info'},'extended_host_info',$name);
					$result = StorProc->insert_obj('file_object',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
				my @values = ($hp{'file'},'hosts',$name);
				$result = StorProc->insert_obj('file_object',\@values);
				if ($result =~ /^Error/) { push @errors, $result }	

			}
			if (@errs) { next }
			my $result = StorProc->delete_all('hostgroup_host','host',$name);
			if ($result =~ /^Error/) { push @errs, $result }
			if (@errs) { next }
			foreach (@hostgroups) {
				my @vals = ($_,$name);
				$result = StorProc->insert_obj('hostgroup_host',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}			
			if (@errs) { next }
			%where = ('profile' => $hp{'service_profile'});
			my @services = StorProc->fetch_list_where('service_profile','service',\%where);
			my %sp = StorProc->fetch_one('profiles_service','name',$h{'service_profile'});
			foreach my $service_name (@services) {
				my %service_props = StorProc->fetch_one('service_names','name',$service_name);
				my $data = undef;
				if ($service_props{'command_line'}) {
					$data = qq(<?xml version="1.0" ?>
<data>
 <prop name="check_command"><![CDATA[$service_props{'command_line'}]]>
 </prop>
</data>);
				} elsif ($service_props{'check_command'}) {
					$data = qq(<?xml version="1.0" ?>
<data>
 <prop name="check_command"><![CDATA[$service_props{'check_command'}]]>
 </prop>
</data>);
				} else {
					$data = $empty_data;
				}
				my @values = ('',$service_name,$name,$service_props{'template'},$data,'');
				my $result = StorProc->insert_obj('services',\@values);
				if ($result =~ /^Error/) { push @errors, $result }	
				my $id = StorProc->fetch_last('services');
				@values = ($sp{'file'},'services',$id);
				$result = StorProc->insert_obj('file_object',\@values);
				if ($result =~ /^Error/) { push @errors, $result }	
				if ($service_props{'dependency'}) {
					@values = ('',$service_name,$name,$name,$service_props{'dependency'},'');
					$result = StorProc->insert_obj('service_dependency',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
					my $id = StorProc->fetch_last('service_dependency');
					@values = ($files{'service_dependency'},'service_dependency',$id);
					my $result = StorProc->insert_obj('file_object',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
				if ($service_props{'ext_info'}) {
				@values = ('',$service_name,$name,$service_props{'ext_info'},$empty_data,'');
					$result = StorProc->insert_obj('extended_service_info',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
					@values = ($files{'extended_service_info'},'extended_service_info',$id);
					my $result = StorProc->insert_obj('file_object',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
			}	
			if (@errs) { push (@errors,@errs) }
			unless (@errors) {
				%where = ('name' => $name,'type' => 'import','user_acct' => $user_acct);
				my $result = StorProc->delete_one_where('stage_hosts',\%where);
				if ($result =~ /^Error/) { push @errors, $result }
				%where = ('host' => $name,'type' => 'import','user_acct' => $user_acct);
				$result = StorProc->delete_one_where('stage_host_services',\%where);
				if ($result =~ /^Error/) { push @errors, $result }
			}
		}
		$page .= Forms->main_page("Process Stage");
		$page .= process_hosts();
		$task = 'delete';
	} elsif ($obj_view eq 'process_hosts') {
		$page .= Forms->main_page("Process Stage");
		$page .= process_hosts();
		$task = 'delete';
	} elsif ($obj_view eq 'match_wizard') {
		$page .= Forms->main_page("Process Stage");
		$page .= match_wizard();			
		$task = 'delete';

###############################################
# Nmap
#		
	} elsif ($obj eq 'nmap') {

foreach my $svc ($query->param) {
my $x = $query->param($svc);
# error_out("ok $svc $x");
}

		my $process = 0;
		my %upload = StorProc->fetch_one('setup','name','upload_home');
		if ($submit eq 'Upload') {
			my $file = $query->param('file');
			if ($file) {
				my $result = StorProc->upload($upload{'value'},$file);
				if ($result =~ /Error/) { push @errors, $result }	
			}
		} elsif ($query->param('select')) {
			my $file = $query->param('upload_file');
			if ($file) {
				@errors = StorProc->process_nmap($user_acct,$upload{'value'},$file);
				unless (@errors) {
					$page .= Forms->main_page('Process Stage');
					$page .= process_hosts();
					$process = 1;
				}
			}
		} elsif ($submit eq 'Delete') {
			my $file = $query->param('upload_file');
			my $result = StorProc->delete_file($upload{'value'},$file);		
			if ($result =~ /Error/) { push @errors, $result }	
		}
		unless ($process) {
			$page .= Forms->main_page('Nmap');
			$page .= Forms->form_top('Select','/cgi-bin/monarch.cgi enctype=multipart/form-data');
			if (@errors) { $page .= Forms->form_errors(\@errors) }
			my %upload = StorProc->fetch_one('setup','name','upload_home');
			my ($errors,$files) = StorProc->get_upload($upload{'value'},'nmap');
			@errors = @{$errors};
			my @files = @{$files};
			if (@errors) { $page .= Forms->form_errors(\@errors) }	
			$page .= Forms->display_hidden('Upload folder:','upload_home',$upload{'value'});
			$page .= Forms->form_files($user_acct,$obj,$upload{'value'},\@files);
			$page .= Forms->form_file();
			$page .= Forms->hidden(\%hidden);
			my %upload = ('name' => 'submit', 'value' => 'Upload');
			$page .= Forms->form_bottem_three_button(\%delete,\%upload,\%select);
		}

###############################################
# Import
#		
	} elsif ($obj eq 'import') {
		my $name = $query->param('schema_name');
		$page .= Forms->main_page('Import');
		
		if ($submit eq 'Add') {
			my $name = $query->param('schema_name');
			if ($name) {
				my %sname = StorProc->fetch_one('import_schemas','name',$name);
				if ($sname{'name'}) { 
					push @errors, "$sname{'name'} already exists.";
				} else {
					my @values = ($name,',','1','2','3','4','5','6');
					my $result = StorProc->insert_obj('import_schemas',\@values);
					if ($result =~ /Error/) { push @errors, $result }
				}
			} else {
				push @errors, "Schema name is required.";
			}
			if (@errors) {
				$submit = 'New Schema';
			} else {
				$submit = 'Edit Schema';
			}
		} elsif ($submit eq 'Upload') {
			my $schema = $query->param('schema_name');
			my $file = $query->param('file');
			my $write_file = StorProc->upload($file,$monarch_home);
			if ($write_file =~ /Error/) { 
				push @errors, $write_file;	
			}
			$submit = 'Select';
		} elsif ($submit eq 'process') {
			my $file = $query-param('file');
			my $schema = $query-param('schema_name');
			@errors = StorProc->process_schema($user_acct,$file,$schema);
			unless (@errors) {
				$page .= process_hosts();
			} else {
				$submit = 'Select';
			}
		} elsif ($submit eq 'Save') {
			my %values;
			my $name = $query->param('schema_name');
			$values{'field_separator'} = $query->param('separator');
			$values{'host'} = $query->param('host_pos');
			$values{'alias'} = $query->param('alias_pos');
			$values{'address'} = $query->param('address_pos');
			$values{'os'} = $query->param('os_pos');
			$values{'service'} = $query->param('service_pos');
			$values{'info'} = $query->param('info_pos');
			my $result = StorProc->update_obj('import_schemas','name',$name,\%values);
			if ($result =~ /Error/) { push @errors, $result }
			$submit = 'Select';
		} elsif ($submit eq 'Delete Schema' || $query->param('confirm_delete')) {
			my $name = $query->param('schema_name');
# error_out("ok $task");
			if ($query->param('confirm_delete')) {
				my $result = StorProc->delete_all('import_schemas','name',$name);
				if ($result =~ /^Error/) { push @errors, $result }
				unless (@errors) { 
					$hidden{'schema_name'} = undef;
					$task = undef;
				}
			} elsif ($query->param('task') eq 'No') {
				$hidden{'schema_name'} = undef;
				$task = undef;
			} else {
				foreach my $name ($query->param) {
					$hidden{$name} = $query->param($name);
				}
				my $message = qq(Are you sure you want to remove $name?);
				$page .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
				$task = 'delete';
			}
		}

		unless ($task eq 'delete' || $submit eq 'Upload') {
			if ($submit eq 'New Schema') {
				my $field_sep = $query->param('field_sep');
				$page .= Forms->form_top('New Import Schema','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->text_box('Schema name:','schema_name',$name,$textsize{'name'});
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%add);
			} elsif ($submit eq 'Edit Schema') {
				my %schema = StorProc->fetch_one('import_schemas','name',$name);
				$page .= Forms->form_top('Edit','');
				$page .= Forms->display_hidden('Schema:','schema_name',$schema{'name'});
				$page .= Forms->text_box('Field separator:','separator',$schema{'field_separator'},'4');
				$page .= Forms->text_box('Host name position:','host_pos',$schema{'host'},'2');
				$page .= Forms->text_box('Alias position:','alias_pos',$schema{'alias'},'2');
				$page .= Forms->text_box('Address position:','address_pos',$schema{'address'},'2');
				$page .= Forms->text_box('Os position:','os_pos',$schema{'os'},'2');
				$page .= Forms->text_box('Service position:','service_pos',$schema{'service'},'2');
				$page .= Forms->text_box('Information position:','info_pos',$schema{'info'},'2');
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%save);
			} elsif ($name && $submit eq 'Select') {
				my %schema = StorProc->fetch_one('import_schemas','name',$name);
				$page .= Forms->form_top('Select','/cgi-bin/monarch.cgi enctype=multipart/form-data');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->display_hidden('Schema:','schema_name',$schema{'name'});
				$hidden{'separator'} = $schema{'field_separator'};
				$hidden{'host_pos'} = $schema{'host'};
				$hidden{'alias_pos'} = $schema{'alias'};
				$hidden{'address_pos'} = $schema{'address'};
				$hidden{'os_pos'} = $schema{'os'};
				$hidden{'service_pos'} = $schema{'service'};
				$hidden{'info_pos'} = $schema{'info'};
				my %upload = StorProc->fetch_one('setup','name','upload_home');
				my ($errors,$files) = StorProc->get_upload($upload{'value'},'separated');
				@errors = @{$errors};
				my @files = @{$files};
				if (@errors) { $page .= Forms->form_errors(\@errors) }	
				$page .= Forms->display_hidden('Upload folder:','upload_home',$upload{'value'});
				$page .= Forms->form_files($user_acct,$obj,$upload{'value'},\@files);

				$page .= Forms->form_file();
				$page .= Forms->hidden(\%hidden);
				my %upload = ('name' => 'submit', 'value' => 'Upload');
				my %edit_schema = ('name' => 'submit', 'value' => 'Edit Schema');
				my %delete_schema = ('name' => 'submit', 'value' => 'Delete Schema');
				$page .= Forms->form_bottem_four_button(\%edit_schema,\%delete_schema,\%cancel,\%upload);
			} else {
				my @file_schemas = StorProc->fetch_list('import_schemas','name');
				$page .= Forms->form_top('Select','');
				$page .= Forms->list_box('File schema:','schema_name',\@file_schemas);
				my %new_schema = ('name' => 'submit', 'value' => 'New Schema');
				my %select = ('name' => 'submit', 'value' => 'Select');
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_three_button(\%new_schema,\%cancel,\%select);
			}
		}

###############################################
# Match Strings
#		
	} elsif ($obj eq 'match_strings') {
		$page .= Forms->main_page("Match Strings");
		my $type = $query->param('type');
		my $class = $query->param('class');
		my $string = $query->param('string');
		my $host = $query->param('host');
		my $id = $query->param('id');
		my $new_string = $query->param('new_string');
		my $object = $query->param('object');
		if ($submit eq 'Add String') {
			if ($new_string && $object) {
				my @values = ('',$new_string,$type,$class,$object);
				my $result = StorProc->insert_obj('match_strings',\@values);
				if ($result =~ /^Error/) { push @errors, $result }
			}
		} elsif ($submit eq 'Save') {
			if ($new_string && $object) {
				my %values;
				$values{'string'} = $new_string;
				$values{'object'} = $object;
				my $result = StorProc->update_obj('match_strings','id',$id,\%values);
				if ($result =~ /^Error/) { push @errors, $result}
			} else {
				if (!$new_string) { push @errors, "Required: String cannot be blank." }
				if (!$object) { push @errors, "Required: A $class must be selected." }
			}
			if (@errors) {
				$submit = 'edit';
			} else {
				$submit = undef;
			}
		} elsif ($submit eq 'delete' || $query->param('confirm_delete')) {
			if ($query->param('confirm_delete')) {
				my %where = ('id' => $id);
				my $result = StorProc->delete_one_where('match_strings',\%where);
				if ($result =~ /^Error/) { push @errors, $result }
				unless (@errors) { 
					($task,$id) = undef;
					$hidden{'string'} = undef;
				}
			} elsif ($query->param('task') eq 'No') {
				$hidden{'string'} = undef;
				$task = undef;
			} else {
				foreach my $name ($query->param) {
					$hidden{$name} = $query->param($name);
				}
				my $message = qq(Are you sure you want to remove this string definition?);
				$page .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
				$id = undef;
				$task = 'delete';
			}
		} elsif ($submit eq 'Done') {
			($type,$class) = undef;
		}
		unless ($task eq 'delete') {
			if ($submit eq 'edit') {
				my $table = undef;
				if ($class eq 'hostgroup') { $table = 'hostgroups' }
				if ($class eq 'host-profile') { $table = 'profiles_host' }
				if ($class eq 'service-profile') { $table = 'profiles_service' }
				if ($class eq 'service-name') { $table = 'service_names' }
				$page .= Forms->form_top('Define/Manage','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				my %string = StorProc->fetch_one('match_strings','id',$id);
				my @list =();
				$page .= Forms->text_box('Match string:','new_string',$string{'string'},$textsize{'name'});
				if ($class eq 'discard') {
					$page .= Forms->display_hidden("&nbsp;",'object',$string{'object'});
				} else {
					@list = StorProc->fetch_list($table,'name');
					$page .= Forms->list_box("$class:",'object',\@list,$string{'object'});
				}
				$hidden{'id'} = $id;
				$hidden{'type'} = $type;
				$hidden{'class'} = $class;
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%save);
			} elsif ($class) {
#error_out("okay $class and type $type");
				my $table = undef;
				if ($class eq 'hostgroup') { $table = 'hostgroups' }
				if ($class eq 'host-profile') { $table = 'profiles_host' }
				if ($class eq 'service-profile') { $table = 'profiles_service' }
				if ($class eq 'service-name') { $table = 'service_names' }
				$hidden{'class'} = $class;
				my @strs;
				my %values;
				my %where = ('class' => $class);
				my %strings = StorProc->fetch_list_hash_array('match_strings',\%where);
				foreach my $key (keys %strings) {
					if ($key =~ /HASH/) { next }
					$values{$strings{$key}[0]} = "$strings{$key}[1],$strings{$key}[4]";
				}
				$page .= Forms->form_top('Define/Manage','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				my @list =();
				unless ($class eq 'discard') { @list = StorProc->fetch_list($table,'name') }
				$page .= Forms->string_list($user_acct,$view,$type,$class,\%values,\@list);
				$hidden{'type'} = $type;
				$hidden{'class'} = $class;
				$page .= Forms->hidden(\%hidden);
				my %done = ('name' => 'submit','value' => 'Done');
				$page .= Forms->form_bottem_one_button(\%done);
			} elsif ($type) {
				my @classes = ('host-profile','discard');
				$page .= Forms->form_top('Select','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->list_box('Match to:','class',\@classes);
				my %select = ('name' => 'submit', 'value' => 'Select');
				$hidden{'type'} = $type;
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%select);

			} else {
				my @types = ('host-name','host-alias','host-address','operating-system','service');
				$page .= Forms->form_top('Select','');
				$page .= Forms->list_box('Match from:','type',\@types);
				my %select = ('name' => 'submit', 'value' => 'Select');
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%select);
			}	
		}

	}
	return $page;
}




#
###########################################################################################################################
# Manage
#

sub manage_host($) {

foreach my $svc ($query->param) {
my $x = $query->param($svc);
# error_out("ok $svc $x");
}

	my $name = shift;
	my $form = undef;
	my $message = undef;
	my $required = undef;
	%properties = StorProc->fetch_host($name);
	if ($query->param('apply')) {
		my $host_id = $query->param('id');
		my $hostprofile_id = $query->param('hostprofile_id');
		my $serviceprofile_id = $query->param('serviceprofile_id');
		my %sp = StorProc->fetch_one('profiles_service','serviceprofile_id',$serviceprofile_id);
		my %w = ('hostprofile_id' => $hostprofile_id);
		my @externals = StorProc->fetch_list_where('external_host_profile','external_id',\%w);
		my $result = StorProc->delete_all('external_host','host_id',$host_id);
		if ($result =~ /^Error/) { push @errors, $result }
		foreach my $ext (@externals) {
			my %e = StorProc->fetch_one('externals','external_id',$ext);
			my @vals = ($ext,$host_id,$e{'display'});
			$result = StorProc->insert_obj('external_host',\@vals);
			if ($result =~ /^Error/) { push @errors, $result }
		}
		my %w = ('serviceprofile_id' => $serviceprofile_id);
		my @services = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
		my $result = StorProc->delete_all('services','host_id',$host_id);
		if ($result =~ /^Error/) { push @errors, $result }
		foreach my $sid (@services) {
			my %sn = StorProc->fetch_one('service_names','servicename_id',$sid);
			%w = ('servicename_id' => $sid);
			@externals = StorProc->fetch_list_where('external_service_names','external_id',\%w);
			my @vals = ('',$host_id,$sid,$sn{'template'},$sn{'extinfo'},$sn{'escalation'},'1',$sn{'check_comand'},$sn{'command_line'},'');
			my $service_id = StorProc->insert_obj_id('services',\@vals,'service_id');
			if ($service_id =~ /^Error/) { push @errors, $service_id }
			@vals = ($sp{'file_id'},$service_id);
			$result = StorProc->insert_obj('file_service',\@vals);
			if ($result =~ /^Error/) { push @errors, $result }
			if ($sn{'dependency'}) {
				@vals = ('',$service_id,$host_id,$host_id,$sn{'template'},'');
				$result = StorProc->insert_obj('service_dependency',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			foreach my $ext (@externals) {
				my %e = StorProc->fetch_one('externals','external_id',$ext);
				@vals = ($ext,$host_id,$service_id,$e{'display'});
				$result = StorProc->insert_obj('external_service',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
		}
	} elsif ($query->param('external_add')) {	
		my $external_name = $query->param('external');
		my $service_id = $query->param('service_id');
		my $host_id = $query->param('id');
		my $type = $query->param('type');
		my %w = ('name' => $external_name,'type' => $type);
		my %e = StorProc->fetch_one_where('externals',\%w);
		if ($type eq 'service') {
			my @vals = ($e{'external_id'},$host_id,$service_id,$e{'display'});
			my $result = StorProc->insert_obj('external_service',\@vals);
			if ($result =~ /^Error/) { push @errors, $result }
		} else {
			my @vals = ($e{'external_id'},$host_id,$e{'display'});
			my $result = StorProc->insert_obj('external_host',\@vals);
			if ($result =~ /^Error/) { push @errors, $result }
		}
	} elsif ($query->param('save') || $submit eq 'Save') {	
		if ($obj_view eq 'host_vitals') {
			my $alias = $query->param('alias');
			my $address = $query->param('address');
			my $host_template = $query->param('host_template');
			my $extinfo = $query->param('extended_info');
			my $checks_enabled = $query->param('checks_enabled');
			my $coords2d = $query->param('coords2d');
			my $coords3d = $query->param('coords3d');
			my $file = $query->param('file');
			if ($alias && $address && $host_template && $file) {
				my %values = ('alias' => $alias,'address' => $address);
				my %t = StorProc->fetch_one('host_templates','name',$host_template);
				$values{'hosttemplate_id'} = $t{'hosttemplate_id'};
				my %e = StorProc->fetch_one('extended_host_info_templates','name',$extinfo);
				$values{'hostextinfo_id'} = $e{'hostextinfo_id'};
				my $result = StorProc->update_obj('hosts','host_id',$properties{'host_id'},\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				$result = StorProc->delete_all('file_host','host_id',$properties{'host_id'});
				if ($result =~ /^Error/) { push @errors, $result }
				my %f =  StorProc->fetch_one('files','name',$file,);
				my @vals = ($f{'file_id'},$properties{'host_id'});
				$result = StorProc->insert_obj('file_host',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
				if ($coords2d || $coords3d) { 
 					my $data = "<?xml version=\"1.0\" ?>\n<data>";
					if ($coords2d) { $data .= "\n  <prop name=\"2d_coords\"><![CDATA[$coords2d]]>\n  </prop>" }
					if ($coords3d) { $data .= "\n  <prop name=\"3d_coords\"><![CDATA[$coords3d]]>\n  </prop>" }
					$data .= "\n</data>";
					my %w = ('host_id' => $properties{'host_id'});
					my $result = StorProc->delete_one_where('extended_info_coords',\%w);
					if ($result =~ /^Error/) { push @errors, $result }
					my @vals = ($properties{'host_id'},$data);
					$result = StorProc->insert_obj('extended_info_coords',\@vals);
					if ($result =~ /^Error/) { push @errors, $result }	
				}
				if (!$checks_enabled) {
					$checks_enabled = '-zero-';
					my $data = "<?xml version=\"1.0\" ?>\n<data>";
					$data .= "\n  <prop name=\"checks_enabled\"><![CDATA[$checks_enabled]]>\n  </prop>";
					$data .= "\n</data>";
					%values = ('data' => $data);
					my $result = StorProc->update_obj('host_overrides','host_id',$properties{'host_id'},\%values);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				unless (@errors) {
					$obj_view = 'saved';
					$message = "Changes to $name accepted";
				}
			} else {
				push @errors, "Required: alias, address, host template, and file";
				$required = 1;
			}
		} elsif ($obj_view eq 'profile') {
			my $host_profile = $query->param('host_profile');
			my $service_profile = $query->param('service_profile');
			my %w = ('name' => $host_profile);
			my %h = StorProc->fetch_one_where('profiles_host',\%w);
			my %w = ('name' => $service_profile);
			my %s = StorProc->fetch_one_where('profiles_service',\%w);
			my %values = ('hostprofile_id' => $h{'hostprofile_id'},'serviceprofile_id' => $s{'serviceprofile_id'});
			my $result = StorProc->update_obj('hosts','host_id',$properties{'host_id'},\%values);
			if ($result =~ /^Error/) { push @errors, $result }	
			unless (@errors) {
				$obj_view = 'saved_apply';
				$hidden{'id'} = $properties{'host_id'};
				$hidden{'name'} = $name;
				$hidden{'hostprofile_id'} = $h{'hostprofile_id'};
				$hidden{'serviceprofile_id'} = $s{'serviceprofile_id'};
				$message = "Changes to $name accepted";
			}
		} elsif ($obj_view eq 'escalations') {
			my $host_escalation = $query->param('host_escalation');
			my $service_escalation = $query->param('service_escalation');
			my %w = ('name' => $host_escalation,'type' => 'host');
			my %he = StorProc->fetch_one_where('escalation_trees',\%w);
			%w = ('name' => $service_escalation,'type' => 'service');
			my %se = StorProc->fetch_one_where('escalation_trees',\%w);
			my %values = ('host_escalation_id' => $he{'tree_id'},'service_escalation_id' => $se{'tree_id'});
			my $result = StorProc->update_obj('hosts','host_id',$properties{'host_id'},\%values);
			if ($result =~ /^Error/) { push @errors, $result }	
			unless (@errors) {
				$obj_view = 'saved';
				$message = "Changes to $name accepted";
			}
		} elsif ($obj_view eq 'parents') {
			my @parents = $query->param('parents');
			my %w = ('host_id' => $properties{'host_id'});
			my $result = StorProc->delete_one_where('host_parent',\%w);
			if ($result =~ /^Error/) { push @errors, $result }
			my @parents = $query->param('parents');
			foreach my $parent (@parents) {
				if (!$parent) { next }
				my %h = StorProc->fetch_one('hosts','name',$parent);
				my @vals = ($properties{'host_id'},$h{'host_id'});
				my $result = StorProc->insert_obj('host_parent',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			unless (@errors) { 
				$obj_view = 'saved';
				$message = "Changes to parent accepted";
			}
		} elsif ($obj_view eq 'hostgroups') {
			my %w = ('host_id' => $properties{'host_id'});
			my $result = StorProc->delete_one_where('hostgroup_host',\%w);
			if ($result =~ /^Error/) { push @errors, $result }
			my @hostgroups = $query->param('members');
			foreach my $hg (@hostgroups) {
				if (!$hg) { next }
				my %h = StorProc->fetch_one('hostgroups','name',$hg);
				my @vals = ($h{'hostgroup_id'},$properties{'host_id'});
				my $result = StorProc->insert_obj('hostgroup_host',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			unless (@errors) { 
				$obj_view = 'saved';
				$message = "Changes to $name hostgroups accepted";
			}
		} elsif ($obj_view eq 'host_external_detail') {
			my $data = $query->param('data');
			my $external_id = $query->param('external_id');
			my %values = ('data' => $data);
			my $result = StorProc->update_obj('external_host','external_id',$external_id,\%values);
			if ($result =~ /^Error/) { push @errors, $result }	
			unless (@errors) { 
				$obj_view = 'saved';
				$message = "Changes to $name external accepted";
			}
		} elsif ($obj_view eq 'service_external_detail') {
			my $data = $query->param('data');
			my $external_id = $query->param('external_id');
			my $service_name = $query->param('service_name');
			my $service_id = $query->param('service_id');
			$hidden{'service_name'} = $service_name;
			$hidden{'service_id'} = $service_id;
			my %values = ('data' => $data);
			my %where = ('service_id' => $service_id,'external_id' => $external_id);
			my $result = StorProc->update_obj_where('external_service',\%values,\%where);
			if ($result =~ /^Error/) { push @errors, $result }	
			unless (@errors) { 
				$obj_view = 'saved';
				$message = "Changes to $name external accepted";
				$hidden{'service_detail'} = 1;
			}
		} elsif ($obj_view eq 'service_detail') {
			my %values = ();
			my $service_name = $query->param('service_name');
			my $service_id = $query->param('service_id');
			$hidden{'service_name'} = $service_name;
			$hidden{'service_id'} = $service_id;
			my %s = StorProc->fetch_one('service_names','name',$service_name);
			$values{'servicename_id'} = $s{'servicename_id'};
			my $template = $query->param('template');
			my %t = StorProc->fetch_one('service_templates','name',$template);
			$values{'servicetemplate_id'} = $t{'servicetemplate_id'};
			my $command = $query->param('check_command');
			my %c = StorProc->fetch_one('commands','name',$command);
			$values{'check_command'} = $c{'command_id'};
			my $command_line = $query->param('command_line');
			$values{'command_line'} = $command_line;
			$values{'servicename_id'} = $s{'servicename_id'};
			if ($query->param('use_template_command')) {
				$values{'check_command'} = '';
				$values{'command_line'} = '';
			}
			my $ext_info = $query->param('ext_info');
			my %x = StorProc->fetch_one('extended_service_info_templates','name',$ext_info);
			$values{'serviceextinfo_id'} = $x{'serviceextinfo_id'};
			my $escalation = $query->param('esclation');
			my %e = StorProc->fetch_one('escalation_trees','name',$escalation);
			$values{'escalation_id'} = $s{'tree_id'};
			my $result = StorProc->update_obj('services','service_id',$service_id,\%values);
			if ($result =~ /^Error/) { push @errors, $result }	
			unless (@errors) {
				$obj_view = 'saved';
				$message = "Changes to $service_name accepted";
				$hidden{'service_detail'} = 1;
			}
		}
	} elsif ($submit eq 'Add Dependency') {
		my $dependency = $query->param('add_dependency');
		my $service_name = $query->param('service_name');
		my $service_id = $query->param('service_id');
		$hidden{'service_name'} = $service_name;
		$hidden{'service_id'} = $service_id;
		my $parent = $query->param('depend_on_host');
		my %p = StorProc->fetch_one('hosts','name',$parent);
		my %d = StorProc->fetch_one('service_dependency_templates','name',$dependency);
		my %w = ('service_id' => $service_id,'host_id' => $properties{'host_id'},'depend_on_host_id' => $p{'host_id'},'template' => $d{'id'});
		my %check_dep = StorProc->fetch_one_where('service_dependency',\%w);	
		if ($dependency && $service_id && $parent) {
			unless ($check_dep{'id'}) {
				my @values = ('',$service_id,$properties{'host_id'},$p{'host_id'},$d{'id'},'');
				my $result = StorProc->insert_obj('service_dependency',\@values);
				if ($result =~ /^Error/) { push @errors, $result }	
			} else {
				push @errors, "Already defined. Check existing dependencies";
			}
		}
	} elsif ($submit =~ /remove_host_external/) {
		my $external_id = $query->param('external_id');
		my $result = StorProc->delete_all('external_host','external_id',$external_id);
		if ($result =~ /^Error/) { push @errors, $result }
	} elsif ($submit =~ /remove_service_external/) {
		my $external_id = $query->param('external_id');
		my $service_id = $query->param('service_id');
		my %where = ('service_id' => $service_id,'external_id' => $external_id);
		my $result = StorProc->delete_one_where('external_service',\%where);
		if ($result =~ /^Error/) { push @errors, $result }
	} elsif ($submit =~ /remove_dependency/) {
		my $dep_id = $query->param('dependency_id');
		my $result = StorProc->delete_all('service_dependency','id',$dep_id);
		if ($result =~ /^Error/) { push @errors, $result }
	} elsif ($submit eq 'remove_service') {
		my $service_id = $query->param('service_id');
		my $result = StorProc->delete_all('services','service_id',$service_id);
		if ($result =~ /^Error/) { push @errors, $result }
		$obj_view = 'services';
	} elsif ($submit eq 'Rename') {
		my $new_name = $query->param('new_name');
		if ($name eq $new_name) { $new_name = undef }
		if ($new_name) {
			my %n = StorProc->fetch_one('hosts','name',$new_name);
			if ($n{'name'}) {
				$obj_view = 'rename';
				push @errors, "Cannot rename. Another host has name $new_name.";
			} else {
				my %values = ('name' => $new_name);
				my $result = StorProc->update_obj('hosts','name',$name,\%values);
				if ($result =~ /^Error/) { 
					push @errors, $result;
					$obj_view = 'rename';
				} else {
					$name = $new_name;
					%properties = StorProc->fetch_host($name);
					$obj_view = 'host_vitals';
				}
			}
		} else {
			$obj_view = 'rename';
		}
	} elsif ($submit eq 'Add Service(s)') {
		my $file = $query->param('file');
		if ($file) {
			my @services = $query->param('add_service');
			foreach my $service (@services) {
				if ($service) {
					my %s = StorProc->fetch_one('service_names','name',$service);
					my @values = ('',$properties{'host_id'},$s{'servicename_id'},$s{'template'},$s{'extinfo'},$s{'escalation'},'1',$s{'check_command'},$s{'command_line'},'');
					my $id = StorProc->insert_obj_id('services',\@values,'service_id');
					if ($id =~ /^Error/) { push @errors, $id }	
					my $file = $query->param('file');
					my %f = StorProc->fetch_one('files','name',$file);
					@values = ($f{'file_id'},$id);
					my $result = StorProc->insert_obj('file_service',\@values);
					if ($result =~ /^Error/) { push @errors, $result }	
					if ($s{'dependency'}) {
						my %t =  StorProc->fetch_one('service_dependency_templates','name',$s{'dependency'});
						@values = ('',$id,$properties{'host_id'},$properties{'host_id'},$s{'dependency'},'');
						$result = StorProc->insert_obj('service_dependency',\@values);
						if ($result =~ /^Error/) { push @errors, $result }	
					}
				}
			}	
		} else {
			push @errors, "Required: Select a file.";
			$required{'file'} = 1;
		}
	} elsif ($submit eq 'Delete' || $query->param('confirm_delete_host') || $query->param('task') eq 'No') {
		if ($query->param('confirm_delete_host')) {
			my $result = StorProc->delete_all('hosts','name',$name);
			if ($result =~ /^Error/) { 
				push @errors, $result;
				$obj_view = 'host_vitals';
			} else {
				$obj_view = 'deleted';
			}
		} elsif ($query->param('task') eq 'No') {
			$obj_view = 'host_vitals';		
		} else {
			$obj_view = 'delete_host';
		}
	} elsif ($submit eq 'service_delete' || $query->param('confirm_delete_service')) {
		my $service_name = $query->param('service_name');
		if ($query->param('confirm_delete_service')) {
			my %where = ('name' => $service_name, 'host_name' => $name);
			my %sid = StorProc->fetch_one_where('services',\%where);
			my $result = StorProc->delete_all('services','service_id',$sid{'id'});
			if ($result =~ /^Error/) { push @errors, $result }
			$obj_view = 'Service List';
		} elsif ($query->param('task') eq 'No') {
			$obj_view = 'Service List';		
		} else {
			$hidden{'name'} = $name; 
			$hidden{'obj_view'} = $obj_view;
			$hidden{'submit'} = 'service_delete';
			$hidden{'service_name'} = $service_name;
			my $message = qq(Are you sure you want to remove service $service_name from host $name?);
			$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete_service',\%hidden);
		}
	}
	delete $hidden{'task'};
	delete $hidden{'obj_view'};
	if (!$obj_view || $obj_view eq 'host_vitals') {
		my %docs = Doc->manage_hosts_vitals();
		$obj_view = 'host_vitals';	
		$form .= Forms->host_top($name,$user_acct,$obj_view,'',$auth_add{'externals'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->text_box('Alias:','alias',$properties{'alias'},$textsize{'alias'},$required,$docs{'alias'});
		$form .= Forms->text_box('Address:','address',$properties{'address'},$textsize{'address'},$required,$docs{'address'});
		my @members = StorProc->fetch_list('host_templates','name'); 
		$form .= Forms->list_box('Host template:','host_template',\@members,$properties{'template'},$required,$docs{'host_template'});
		my @members = StorProc->fetch_list('extended_host_info_templates','name'); 
		my $checks_enabled = 1;
		if ($properties{'checks_enabled'}) { $checks_enabled = 0 }
		$form .= Forms->checkbox('Checks enabled:','checks_enabled',$checks_enabled,$docs{'checks_enabled'});
		push @members, 'remove_extended_info';
		$form .= Forms->list_box('Extended host info template:','extended_info',\@members,$properties{'ext_info'},'',$docs{'extinfo'});
		$form .= Forms->text_box('2d status coords:','coords2d',$properties{'coords2d'},'10','',$docs{'coords2d'});
		$form .= Forms->text_box('3d status coords:','coords3d',$properties{'coords3d'},'15','',$docs{'coords3d'});
		my $file = StorProc->get_file_name('file_host','host_id',$properties{'host_id'});
		my %w = ('type' => 'host');
		my @files = StorProc->fetch_list_where('files','name',\%w);
		$form .= Forms->list_box('File:','file',\@files,$file,$required,$docs{'file'});
		$hidden{'obj_view'} = 'host_vitals';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);		
		my %rename = ('name' => 'submit','value' => 'Rename');
		if ($auth_delete{$obj}) {
			$form .= Forms->form_bottem_three_button(\%delete,\%rename,\%save);
		} else {
			$form .= Forms->form_bottem_two_button(\%rename,\%save);
		}
	} elsif ($obj_view eq 'profile') {
		my %docs = Doc->manage_hosts_profile();
		my $host_profile = $query->param('host_profile');
		my $service_profile = $query->param('service_profile');
		my $host_profile_save = $query->param('host_profile_save');
		my $spid = undef;
		$form .= Forms->host_top($name,$user_acct,$obj_view,'',$auth_add{'externals'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		if (!$host_profile) {
			$spid = $properties{'serviceprofile_id'};
			my %h = StorProc->fetch_one('profiles_host','hostprofile_id',$properties{'hostprofile_id'});
			if (!$properties{'serviceprofile_id'}) { $spid = $h{'serviceprofile_id'} }
			my %s = StorProc->fetch_one('profiles_service','serviceprofile_id',$properties{'serviceprofile_id'});
			$host_profile = $h{'name'};
			$service_profile = $s{'name'};
		} else {
			my %h = StorProc->fetch_one('profiles_host','name',$host_profile);
			my %s = StorProc->fetch_one('profiles_service','name',$service_profile);
			if ($host_profile eq $host_profile_save) {
				if ($h{'serviceprofile_id'} ne $s{'serviceprofile_id'}) {
					$spid = $s{'serviceprofile_id'};
					$service_profile = $s{'name'};
				} else {
					$spid = $h{'serviceprofile_id'};
					%s = StorProc->fetch_one('profiles_service','serviceprofile_id',$h{'serviceprofile_id'});
					$service_profile = $s{'name'};
				}
			} else {
				$spid = $h{'serviceprofile_id'};
				%s = StorProc->fetch_one('profiles_service','serviceprofile_id',$h{'serviceprofile_id'});
				$service_profile = $s{'name'};
			}
		}
		$hidden{'host_profile_save'} = $host_profile;
		my @host_profiles = StorProc->fetch_list('profiles_host','name');
		$form .= Forms->list_box_submit('Host profile:','host_profile',\@host_profiles,$host_profile,'',$docs{'host_profile'});
		my @service_profiles = StorProc->fetch_list('profiles_service','name');
		$form .= Forms->list_box_submit('Service profile:','service_profile',\@service_profiles,$service_profile,'',$docs{'service_profile'});
		my @services = ();
		my %w = ('serviceprofile_id' => $spid);
		my @sids = StorProc->fetch_list_where('serviceprofile','servicename_id',\%w);
		foreach (@sids) {
			my %s = StorProc->fetch_one('service_names','servicename_id',$_);
			push @services, $s{'name'};
		}
		$form .= Forms->form_message('Services:',\@services,'row1');
		$hidden{'obj_view'} = 'profile';
		$hidden{'name'} = $name;
		my %save = ('name' => 'save','value' => 'Save');
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'parents') {
		my %docs = Doc->manage_hosts_parents();
		$form .= Forms->host_top($name,$user_acct,$obj_view,'',$auth_add{'externals'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		my @members = @{$properties{'parents'}};
		@members = sort @members;
		my @nonmembers = StorProc->get_parents();
		$form .= Forms->members('Parents:','parents',\@members,\@nonmembers,'','',$docs{'parents'});
		$hidden{'obj_view'} = 'parents';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'escalations') {
		my %docs = Doc->manage_hosts_escalations();
		my $host_escalation = $query->param('host_escalation');
		my $service_escalation = $query->param('service_escalation');
		if (!$host_escalation) {
			my %w = ('tree_id' => $properties{'host_escalation_id'} );
			my %t = StorProc->fetch_one_where('escalation_trees',\%w);
			$host_escalation = $t{'name'};
		}
		if (!$service_escalation) {
			my %w = ('tree_id' => $properties{'service_escalation_id'} );
			my %t = StorProc->fetch_one_where('escalation_trees',\%w);
			$service_escalation = $t{'name'};
		}
		$form .= Forms->host_top($name,$user_acct,$obj_view,'',$auth_add{'externals'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		my %where = ('type','host');
		my @members = StorProc->fetch_list_where('escalation_trees','name',\%where);
		$form .= Forms->list_box_submit('Host escalation:','host_escalation',\@members,$host_escalation,'',$docs{'host_escalation_tree'});
		if ($host_escalation) {
			my ($ranks, $templates) = StorProc->get_tree_detail($host_escalation);
			my %ranks = %{$ranks};
			my %templates = %{$templates};
			$form .= Forms->escalation_tree(\%ranks,\%templates,'escalations');
		}
		my %where = ('type','service');
		@members = StorProc->fetch_list_where('escalation_trees','name',\%where);
		$form .= Forms->list_box_submit('Service escalation:','service_escalation',\@members,$service_escalation,'',$docs{'service_escalation_tree'});
		if ($service_escalation) {
			my ($ranks, $templates) = StorProc->get_tree_detail($service_escalation);
			my %ranks = %{$ranks};
			my %templates = %{$templates};
			$form .= Forms->escalation_tree(\%ranks,\%templates,'escalations');
		}
		$hidden{'obj_view'} = 'escalations';
		$hidden{'name'} = $name;
		my %save = ('name' => 'save','value' => 'Save');
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'hostgroups') {
		my %docs = Doc->manage_hosts_hostgroups();
		$form .= Forms->host_top($name,$user_acct,$obj_view,'',$auth_add{'externals'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		my @members = StorProc->get_hostgroup_host($name);
		my @nonmembers = StorProc->fetch_list('hostgroups','name'); 
		@members = sort @members;
		@nonmembers = sort @nonmembers;
		$form .= Forms->members('Hostgroups:','members',\@members,\@nonmembers,'','',$docs{'hostgroups'}); 
		$hidden{'obj_view'} = 'hostgroups';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'services') {
		$form .= Forms->host_top($name,$user_acct,$obj_view,'',$auth_add{'externals'});
		my %services = ();
		my %where = ('host_id' => $properties{'host_id'});
		my @services = StorProc->fetch_list_where('services','service_id',\%where);
		my $fsid = undef;
		foreach my $sid (@services) {
			my $service_name = StorProc->get_service_name($sid);
			$service_name =~ s/\s/+/g;
			$services{$service_name} = $sid;
			$fsid = $sid;
		}
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		if (@messages) { $form .= Forms->form_message('Status:',\@messages,'msg') }
		my @service_names = StorProc->fetch_list('service_names','name');
		my @service_list = ();
		foreach my $s (@service_names) { $s =~ s/\s/+/g; unless ($services{$s}) { $s =~ s/\+/ /g; push @service_list, $s } }
		@service_list = sort { $a <=> $b } @service_list;
		my $file = StorProc->get_file_name('file_service','service_id',$fsid);
		my %w = ('type' => 'service');
		my @files = StorProc->fetch_list_where('files','name',\%w);
		$form .= Forms->service_list($user_acct,$name,\%services,\@service_list,\@files,$file);
		$hidden{'obj_view'} = 'services';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_no_button();
	} elsif ($obj_view eq 'host_externals') {
		$form .= Forms->host_top($name,$user_acct,$obj_view,'',$auth_add{'externals'});
		my %externals = ();
		my %where = ('host_id' => $properties{'host_id'});
		my @externals = StorProc->fetch_list_where('external_host','external_id',\%where);
		foreach my $eid (@externals) {
			my %e = StorProc->fetch_one('externals','external_id',$eid);
			$externals{$e{'name'}} = $eid;
		}
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		if (@messages) { $form .= Forms->form_message('Status:',\@messages,'msg') }
		my %w = ('type' => 'host');
		my @external_names = StorProc->fetch_list_where('externals','name',\%w);
		my @external_list = ();
		foreach my $s (@external_names) { unless ($externals{$s}) { push @external_list, $s } }
		@external_list = sort { $a <=> $b } @external_list;
		$form .= Forms->external_list($user_acct,$name,\%externals,\@external_list,'host');
		$hidden{'type'} = 'host';
		$hidden{'obj_view'} = 'host_externals';
		$hidden{'name'} = $name;
		$hidden{'id'} = $properties{'host_id'};
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_no_button();
	} elsif ($obj_view eq 'host_external_detail') {
		my $external_name = $query->param('external_name');	
		my $external_id = $query->param('external_id');	
		$hidden{'external_id'} = $external_id;
		my %e = StorProc->fetch_one('external_host','external_id',$external_id);
		$form .= Forms->host_top($name,$user_acct,$obj_view,'',$auth_add{'externals'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('External:','host_external',$external_name);
		$form .= Forms->text_area('Detail:','data',$e{'data'},'30','140');
		$hidden{'obj_view'} = 'host_external_detail';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		my %save = ('name' => 'save','value' => 'Save');
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'service_detail') {
		my %docs = Doc->manage_hosts_service_detail();
		$hidden{'service_id'} = $query->param('service_id');
		my $service_name = $query->param('service_name');
		my $template = $query->param('template');
		my $check_command = $query->param('check_command');
		my $command_line = $query->param('command_line');
		my $dependency = $query->param('dependency');
		my $ext_info = $query->param('ext_info');
		my $escalation = $query->param('escalation');
		if (!$hidden{'service_name'}) { $hidden{'service_name'} = $query->param('service_name') }
		my %p = StorProc->fetch_one('services','service_id',$hidden{'service_id'});
		my %s = ();
		my $template_command = 0;
		my $use_template = 0;
		if ($template) {
			my %w = ('name' => $template);
			%s = StorProc->fetch_one_where('service_templates',\%w);
			if ($p{'servicetemplate_id'} eq $s{'servicetemplate_id'}) {$template = undef}
		}
		if ($template or $escalation) {
			if ($s{'check_command'}) {			
				my %w = ('command_id' => $s{'check_command'});
				my %c = StorProc->fetch_one_where('commands',\%w);
				$check_command = $c{'name'};
				$command_line = $s{'command_line'};
				$template_command = 1;			
				$use_template = 1;
			}
		} else {
			my %w = ('servicetemplate_id' => $p{'servicetemplate_id'});
			%s = StorProc->fetch_one_where('service_templates',\%w);
			$template = $s{'name'};
			%w = ('id' => $p{'dependency'});
			my %d = StorProc->fetch_one_where('service_dependency_templates',\%w);
			$dependency = $d{'name'};
			%w = ('serviceextinfo_id' => $p{'serviceextinfo_id'});
			my %e = StorProc->fetch_one_where('extended_service_info_templates',\%w);
			$ext_info = $e{'name'};
			%w = ('tree_id' => $p{'escalation_id'});
			my %esc = StorProc->fetch_one_where('escalation_trees',\%w);
			$escalation = $esc{'name'};
			if ($p{'check_command'}) {
				%w = ('command_id' => $p{'check_command'});
				my %c = StorProc->fetch_one_where('commands',\%w);
				$check_command = $c{'name'};
				$command_line = $p{'command_line'};
			} 
			if ($s{'check_command'}) {			
				%w = ('command_id' => $s{'check_command'});
				my %c = StorProc->fetch_one_where('commands',\%w);
				$template_command = 1;			
				if (!$p{'check_command'}) { 
					$check_command = $c{'name'};
					$command_line = $s{'command_line'};
					$use_template = 1; 
				}
			}
		}
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $service_name);
		$form .= Forms->host_top($name,$user_acct,$obj_view,\%objs,$auth_add{'externals'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Service name:','service_name',$service_name);
		my @members = StorProc->fetch_list('service_templates','name'); 
		$form .= Forms->list_box_submit('Service template:','template',\@members,$template,'',$docs{'template'});
		@members = StorProc->fetch_list('commands','name'); 
		if ($template_command) {
			$form .= Forms->checkbox('Use template command:','use_template_command',$use_template,'',$docs{'use_template_command'});
		}
		$form .= Forms->list_box('Check command:','check_command',\@members,$check_command,'',$docs{'check_command'});
		$form .= Forms->text_area('Command line:','command_line',$command_line,'',$textsize{'command_line'},'',$docs{'command_line'});
		@members = StorProc->fetch_list('extended_service_info_templates','name'); 
		$form .= Forms->list_box('Extended info template:','ext_info',\@members,$ext_info,'',$docs{'extinfo'});
		my %where = ('type' => 'service');
		@members = StorProc->fetch_list_where('escalation_trees','name',\%where); 
		$form .= Forms->list_box_submit('Escalation tree:','escalation',\@members,$escalation,'',$docs{'escalation'});
		if ($escalation) {
			my ($ranks, $templates) = StorProc->get_tree_detail($escalation);
			my %ranks = %{$ranks};
			my %templates = %{$templates};
			$form .= Forms->escalation_tree(\%ranks,\%templates,'service_detail');
		}
		$hidden{'obj_view'} = 'service_detail';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		my %save = ('name' => 'save','value' => 'Save');
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'service_dependencies') {
		$hidden{'service_id'} = $query->param('service_id');
		my $service_name = $query->param('service_name');
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $service_name);
		$form .= Forms->host_top($name,$user_acct,$obj_view,\%objs,$auth_add{'externals'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Service name:','service_name',$service_name);
		my %dependencies = StorProc->get_dependencies($hidden{'service_id'});
		$form .= Forms->dependency_list($name,$hidden{'service_id'},$service_name,$user_acct,\%dependencies);
		my @hosts = StorProc->fetch_list('hosts','name');
		my @dep_templates = StorProc->fetch_list('service_dependency_templates','name');
		$form .= Forms->dependency_add($name,$hidden{'service_id'},$service_name,$user_acct,'service_dependencies',\@dep_templates,\@hosts);
		$hidden{'obj_view'} = 'service_dependencies';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_no_button();
	} elsif ($obj_view eq 'service_externals') {
		$hidden{'service_id'} = $query->param('service_id');
		$hidden{'service_name'} = $query->param('service_name');
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $hidden{'service_name'});
		$form .= Forms->host_top($name,$user_acct,$obj_view,\%objs,$auth_add{'externals'});
		my %externals = ();
		my %where = ('service_id' => $hidden{'service_id'});
		my @externals = StorProc->fetch_list_where('external_service','external_id',\%where);
		foreach my $eid (@externals) {
			my %e = StorProc->fetch_one('externals','external_id',$eid);
			$externals{$e{'name'}} = $eid;
		}
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		if (@messages) { $form .= Forms->form_message('Status:',\@messages,'msg') }
		my %w = ('type' => 'service');
		my @external_names = StorProc->fetch_list_where('externals','name',\%w);
		my @external_list = ();
		foreach my $s (@external_names) { unless ($externals{$s}) { push @external_list, $s } }
		@external_list = sort { $a <=> $b } @external_list;
		$form .= Forms->external_list($user_acct,$name,\%externals,\@external_list,'service',$hidden{'service_id'},$hidden{'service_name'});
		$hidden{'type'} = 'service';
		$hidden{'id'} = $properties{'host_id'};
		$hidden{'obj_view'} = 'service_externals';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_no_button();
	} elsif ($obj_view eq 'service_external_detail') {
		my $service_name = $query->param('service_name');
		$hidden{'service_id'} = $query->param('service_id');
		my $external_name = $query->param('external_name');	
		my $external_id = $query->param('external_id');	
		$hidden{'external_id'} = $external_id;
		my %w = ('service_id' => $hidden{'service_id'},'external_id' => $external_id);
		my %e = StorProc->fetch_one_where('external_service',\%w);
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $service_name);
		$form .= Forms->host_top($name,$user_acct,$obj_view,\%objs,$auth_add{'externals'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden('Service name:','service_name',$service_name);
		$form .= Forms->display_hidden('External:','service_external',$external_name);
		$form .= Forms->text_area('Detail:','data',$e{'data'},'30','140');
		$hidden{'type'} = 'service';
		$hidden{'id'} = $properties{'host_id'};
		$hidden{'obj_view'} = 'service_external_detail';
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		my %save = ('name' => 'save','value' => 'Save');
		$form .= Forms->form_bottem_one_button(\%save);
	} elsif ($obj_view eq 'saved') {
		if ($hidden{'service_name'}) { $obj_view = 'service_detail' }
		my %objs = ('service_id' => $hidden{'service_id'},'service_name' => $hidden{'service_name'});
		$form .= Forms->host_top($name,$user_acct,$obj_view,\%objs,$auth_add{'externals'});
		$form .= Forms->display_hidden('Saved:','',$message);
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_no_button();
	} elsif ($obj_view eq 'saved_apply') {
		$obj_view = 'profiles';
		$form .= Forms->host_top($name,$user_acct,$obj_view,'',$auth_add{'externals'});
		$form .= Forms->display_hidden('Saved:','',$message);
		$form .= Forms->hidden(\%hidden);
		my %apply = ('name' => 'apply','value' => 'Apply Profile to Host');
		$form .= Forms->form_bottem_one_button(\%apply);
	} elsif ($obj_view eq 'rename') {
		$form .= Forms->host_top($name,$user_acct,$obj_view,'',$auth_add{'externals'});
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->text_box('Rename to:','new_name','',$textsize{'name'},$required);
		$hidden{'name'} = $name;
		$form .= Forms->hidden(\%hidden);
		my %rename = ('name' => 'submit','value' => 'Rename');
		$form .= Forms->form_bottem_one_button(\%rename);
	} elsif ($obj_view eq 'delete_host') {
		$hidden{'name'} = $name; 
		$hidden{'obj_view'} = $obj_view;
		my $message = qq(Are you sure you want to remove host $name?);
		$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete_host',\%hidden);
	} elsif ($obj_view eq 'deleted') {
		$form .= Forms->form_top('Status','');
		my @message = ("Host $name.");
		$form .= Forms->form_message("Removed:",\@message ,'row1');
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%continue);		
	}
	return $form;
}

#
##################################################
# Sub Delete Object
#

sub delete_object($$) {
	my $id = shift;
	my $name = shift;
	my $form = undef;
	my $title = undef;
	my @t_parse = split(/_/, $obj);
	foreach (@t_parse) { $_ =~ s/ies/y/g; $title .= "\u$_ "; }
	$title =~ s/s\s$//;
	my %dep_templates = ();
	$dep_templates{'time_periods'}{'host_templates'} = [ ('notification_period') ];
	$dep_templates{'time_periods'}{'service_templates'} = [ ('notification_period','check_period') ];
	$dep_templates{'time_periods'}{'contact_templates'} = [ ('host_notification_period','service_notification_period') ];	
	$dep_templates{'commands'}{'host_templates'} = [ ('check_command','event_handler') ];
	$dep_templates{'commands'}{'service_templates'} = [ ('check_command','event_handler') ];
	$dep_templates{'commands'}{'services'} = [ ('check_command') ];
	$dep_templates{'host_templates'}{'hosts'} = [ ('hosttemplate_id') ];
	$dep_templates{'host_templates'}{'profiles_host'} = [ ('host_template_id') ];
	$dep_templates{'service_templates'}{'service_templates'} = [ ('parent_id') ];
	$dep_templates{'service_templates'}{'service_names'} = [ ('template') ];
	$dep_templates{'service_templates'}{'services'} = [ ('servicetemplate_id') ];
	$dep_templates{'contact_templates'}{'contacts'} = [ ('contacttemplate_id') ];
	$dep_templates{'service_dependency_templates'}{'service_dependency'} = [ ('template') ];
	$dep_templates{'contactgroups'}{'contactgroup_assign'} = [ ('contactgroup_id') ];
	$dep_templates{'contactgroups'}{'contactgroup_contact'} = [ ('contactgroup_id') ];
	$dep_templates{'contactgroups'}{'tree_template_contactgroup'} = [ ('contactgroup_id') ];
	$dep_templates{'escalation_templates'}{'escalation_tree_template'} = [ ('template_id') ];
	$dep_templates{'extended_service_info_templates'}{'services'} = [ ('serviceextinfo_id') ];
	$dep_templates{'extended_service_info_templates'}{'service_names'} = [ ('extinfo') ];
	$dep_templates{'extended_host_info_templates'}{'host'} = [ ('hostextinfo_id') ];
	$dep_templates{'extended_host_info_templates'}{'profiles_host'} = [ ('host_extinfo_id') ];
	unless ($id) {
		my $otable = $obj;
		if ($otable =~ /escalation_template/) { $otable = 'escalation_templates' }
		my %id = StorProc->fetch_one($otable,'name',$name);
		$id = $id{$obj_id{$otable}};
	}
	$hidden{'id'} = $id;
	my $all_clear = 1;
	my %dependencies = ();
	foreach my $table (keys %{$dep_templates{$obj}}) {
		foreach my $column (@{$dep_templates{$obj}{$table}}) {
			my @dep = ();
			if ($table =~ /services|service_dependency$/) {
				my @names = StorProc->get_hostname_servicename($table,$column,$id);
				for my $i ( 0 .. $#names ) {
					for my $name ( keys %{ $names[$i] } ) {
						push @dep, "$name - $names[$i]{$name}";
					}
				}
				$dependencies{'Host - Service'} = [ @dep ];
			} elsif ($table eq 'contactgroup_assign') {
				my @names = StorProc->get_contactgroup_object($id,\%obj_id);
				for my $i ( 0 .. $#names ) {
					for my $name ( keys %{ $names[$i] } ) {
						push @dep, "$name - $names[$i]{$name}";
					}
				}
				$dependencies{'Templates/Hostgroups'} = [ @dep ];
			} elsif ($table eq 'tree_template_contactgroup') {
				@dep = StorProc->get_tree_contactgroup($id);
				$dependencies{'Escalation trees'} = [ @dep ];
			} elsif ($table eq 'contactgroup_contact') {
				@dep = StorProc->get_contact_contactgroup($id);
				$dependencies{'Contacts'} = [ @dep ];
			} else {
				my %where = ($column => $id);
				@dep = StorProc->fetch_list_where($table,'name',\%where);
				$dependencies{$table} = [ @dep ];
			}
			if ($dep[0]) { $all_clear = 0 }
		}
	}		
	if ($all_clear) {
		if ($query->param('confirm_delete')) {
			my $otable = $obj;
			if ($otable =~ /escalation_template/) { $otable = 'escalation_templates' }
			my $result = StorProc->delete_all($otable,$obj_id{$obj},$id);
			$form .= Forms->form_top("Delete $title",'');
			if ($result =~ /^Error/) { 
				push @errors, "Unable to process request $result";
				$form .= Forms->form_errors(\@errors);
			} else {
				my @message = ("$name");
				$form .= Forms->form_message('Removed:',\@message,'row1');			
			}
			$form .= Forms->hidden(\%hidden);
			$form .= Forms->form_bottem_one_button(\%continue);
		} else {
			foreach my $name ($query->param) {
				$hidden{$name} = $query->param($name);
			}
			delete $hidden{'task'};
			delete $hidden{'submit'};
			if ($obj =~ /escalation_template/) {
				$hidden{'task'} = 'escalation_template';		
			} elsif ($obj =~ /escalation_trees/) {
				$hidden{'task'} = 'escalation_tree';		
			} else {
				$hidden{'task'} = 'modify';
			}
			my $message = qq(Are you sure you want to remove $name?);
			$form .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden,'bail');
			$task = 'delete';
		}
	} else {
		$form .= Forms->form_top("Delete $title",'');
		$form .= Forms->display_hidden('Name:','name',$name);
		my @message = ("Cannot delete until all dependencies are removed/reassigned.");
		$form .= Forms->form_errors(\@message);	
		foreach my $dep (keys %dependencies) {
			@message = ($dep);
			$form .= Forms->form_message('Object type:',\@message,'row1');	
			$form .= Forms->form_message('&nbsp;',\@{$dependencies{$dep}},'row1');		
		}
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%close);
	}
	return $form;
}

sub rename_object($$) {
	my $id = shift;
	my $name = shift;
	my $form = undef;
	my $title = undef;
	my $ltitle = undef;
	my @t_parse = split(/_/, $obj);
	foreach (@t_parse) { $_ =~ s/ies/y/g; $title .= "\u$_ "; $ltitle = "$_ " }
	$title =~ s/s\s$//;
	my $new_name = $query->param('new_name');
	if ($name eq $new_name) { $new_name = undef }
	my $saved = 0;
	$table = $obj;
	if ($table =~ /escalation_template/) { $table = 'escalation_templates'}
	if ($new_name) {
		my %n = StorProc->fetch_one($table,'name',$new_name);
		if ($n{'name'}) {
			$obj_view = 'rename';
			$ltitle =~ s/s\s$//;
			push @errors, "Cannot rename. Another $ltitle has name $new_name.";
		} else {
			my %values = ('name' => $new_name);
			my $result = StorProc->update_obj($table,'name',$name,\%values);
			if ($result =~ /^Error/) { 
				push @errors, $result;
			} else {
				$name = $new_name;
				$saved = 1;
			}
		}
	}
	if ($saved) {
		$form .= Forms->form_top("Rename $title",'');
		my @message = ("$name");
		$form .= Forms->form_message('Renamed:',\@message,'row1');			
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_one_button(\%continue);
	} else {
		my %rename = ('name' => 'submit','value' => 'Rename');
		$form .= Forms->form_top("Rename $title",'');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$form .= Forms->display_hidden("Name:",'name',$name);
		$form .= Forms->text_box('Rename to:','new_name','',$textsize{'name'});
		$form .= Forms->hidden(\%hidden);
		$form .= Forms->form_bottem_two_button(\%cancel,\%rename);
	}
	return $form;
}


#
##################################################
# Manage
#


sub manage() {
foreach my $svc ($query->param) {

my $x = $query->param($svc);
# error_out("ok $svc -$x-");
}

	my $page = Forms->left_page('Manage');
	my @menus;
	foreach my $menu (@manage_menus) {
		if ($auth_modify{$menu}) { push @menus, $menu }
	}
	my $selected = $obj;
	if ($obj =~ /escalation/) { $selected = 'escalations' }
	$page .= Forms->left_menu($user_acct,$view,\@menus,$selected);
	my $name = $query->param('name');	
	my $title = undef;
	my @t_parse = split(/_/, $obj);
	foreach (@t_parse) { $title .= "\u$_ " }
	unless ($query->param('cancel')) {
		my $task = $query->param('submit');
		if ($obj eq 'parent_child' && $task eq 'Save') {
			my $parent = $query->param('name');			
			my @children = $query->param('children');
			my %p = StorProc->fetch_one('hosts','name',$parent);
			my $result = StorProc->delete_all('host_parent','parent_id',$p{'host_id'});
			if ($result =~ /^Error/) { push @errors, $result }
			foreach my $child (@children) {
				my %c = StorProc->fetch_one('hosts','name',$child);
				my @vals = ($c{'host_id'},$p{'host_id'});
				$result = StorProc->insert_obj('host_parent',\@vals);
				if ($result =~ /^Error/) { push @errors, $result }
			}
			unless (@errors) {
				my $message = "Changes to $parent have been accepted.";
				$hidden{'name'} = undef;
				$page .= Forms->main_page($title);
				$page .= Forms->success('Updated',$message,'submit',\%hidden);
			} else {
				foreach (@errors) { error_out("errors $_") }
			}
		} elsif ($obj ne 'hosts' && $task eq 'Rename') {
			if ($obj =~ /escalation/) { $hidden{'type'} = $query->param('type')	}
			$page .= Forms->main_page($title);
			$page .= rename_object('',$name);
		} elsif ($obj ne 'hosts' && $task eq 'Delete' or $query->param('confirm_delete')) {
			if ($obj =~ /escalation/) { $hidden{'type'} = $query->param('type')	}
			$page .= Forms->main_page($title);
			$page .= delete_object('',$name);
		} elsif ($obj ne 'hosts' && $task eq 'Save') {
			my %values;
			if ($obj =~ /escalation/) { $table = 'escalation_templates' }
			my %data = parse_query($table,$obj);
			my $field_ck = check_fields();
			if ($field_ck == 0) {
				foreach my $key (keys %data) {
					unless ($key =~ /HASH|^name$|members|^contact$|^contactgroup$|^parents$|notification_commands/) {
						$values{$key} = $data{$key};					
					}
				}
				my $result = StorProc->update_obj($table,'name',$data{'name'},\%values);
				if ($result =~ /^Error/) { push @errors, $result }
				if ($data{'members'}) {
					my %n = StorProc->fetch_one('hostgroups','name',$name);
					my $result = StorProc->delete_all('hostgroup_host','hostgroup_id',$n{'hostgroup_id'});
					if ($result =~ /^Error/) { push @errors, $result }
					my @mems = split(/,/, $data{'members'});
					foreach (@mems) {
						my %m = StorProc->fetch_one('hosts','name',$_);
						my @vals = ($n{'hostgroup_id'},$m{'host_id'});
						$result = StorProc->insert_obj('hostgroup_host',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				if ($data{'contact'}) {
					my %cg = StorProc->fetch_one('contactgroups','name',$data{'name'});
					my $result = StorProc->delete_all('contactgroup_contact','contactgroup_id',$cg{'contactgroup_id'});
					if ($result =~ /^Error/) { push @errors, $result }
					my @mems = split(/,/, $data{'contact'});
					foreach (@mems) {
						my %c = StorProc->fetch_one('contacts','name',$_);
						my @vals = ($cg{'contactgroup_id'},$c{'contact_id'});
						$result = StorProc->insert_obj('contactgroup_contact',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				if ($data{'contactgroup'}) {
					my %o = StorProc->fetch_one($table,'name',$name);
					my $result = StorProc->delete_all('contactgroup_assign','object',$o{$obj_id{$obj}});
					if ($result =~ /^Error/) { push @errors, $result }
					my @mems = split(/,/, $data{'contactgroup'});
					foreach (@mems) {
						my %cg = StorProc->fetch_one('contactgroups','name',$_);
						my @vals = ($cg{'contactgroup_id'},$obj,$o{$obj_id{$obj}});
						$result = StorProc->insert_obj('contactgroup_assign',\@vals);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				if ($data{'host_notification_commands'}) {
					my %o = StorProc->fetch_one($table,'name',$name);
					my %w = ('contacttemplate_id' => $o{'contacttemplate_id'},'type' => 'host');
					my $result = StorProc->delete_one_where('contact_command',\%w);
					my @c = split(/,/, $data{'host_notification_commands'});		
					foreach (@c) {
						my @vals = ($o{'contacttemplate_id'},'host',$_);
						my $result = StorProc->insert_obj('contact_command',\@vals);
						if ($result =~ /Error/) { push @errors, $result }
					}	
				}

				if ($data{'service_notification_commands'}) {
					my %o = StorProc->fetch_one($table,'name',$name);
					my %w = ('contacttemplate_id' => $o{'contacttemplate_id'},'type' => 'service');
					my $result = StorProc->delete_one_where('contact_command',\%w);
					my @c = split(/,/, $data{'service_notification_commands'});		
					foreach (@c) {
						my @vals = ($o{'contacttemplate_id'},'service',$_);
						my $result = StorProc->insert_obj('contact_command',\@vals);
						if ($result =~ /Error/) { push @errors, $result }
					}	
				}
				unless (@errors) {
					my $message = "Changes to $name have been saved.";
					$hidden{'name'} = undef;
					$page .= Forms->main_page($title);
					$page .= Forms->success('Updated',$message,'submit',\%hidden);
				} else {
					foreach (@errors) { error_out("errors $_") }
				}
			} elsif ($field_ck == 1) {
				$page .= Forms->main_page($title);
				$page .= build_form();
			}
		} elsif ($obj =~ /escalation/) {
			$page .= Forms->main_page("Escalations");
			my $task = $query->param('task');
			if ($submit eq 'Done') { $task = undef }
			if ($task) {
				$page .= escalations();
			} else {
				my %source;
				$source{'escalation_template'} = "Escalation template";
				$source{'escalation_tree'} = "Escalation tree";
				$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
			}
		} elsif ($obj eq 'parent_child') {
			$page .= Forms->main_page("Parent Child");
			if ($name) {
				my @hosts = StorProc->fetch_list('hosts','name');
				my %pid = StorProc->fetch_one('hosts','name',$name);
				my @children = StorProc->get_children($pid{'host_id'});
				$page .= Forms->form_top('Select Child Hosts','/cgi-bin/monarch.cgi onsubmit="selIt();"');
				$page .= Forms->display_hidden("Parent:",'name',$name);
				$page .= Forms->members('Children:','children',\@children,\@hosts,'','10');
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%save);
			} else {
				my @parents = StorProc->get_parents();
				$page .= Forms->form_top('Select Parent','');
				$page .= Forms->list_box("Parent host:",'name',\@parents);
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%select);
			}
		} elsif ($obj eq 'host_dependencies') {
			my @parents = StorProc->fetch_list('hosts','name');
			$page .= Forms->main_page('Host Dependencies');
			if ($name) {
				my %n = StorProc->fetch_one('hosts','name',$name);
				%properties = StorProc->fetch_one('host_dependencies','host_id',$n{'host_id'});
				my %p = StorProc->fetch_one('hosts','host_id',$properties{'parent_id'});
				$page .= Forms->form_top('Host Dependency Properties','');
				$page .= Forms->display_hidden("Host:",'name',$name);
				$page .= Forms->list_box("Parent:",'name',\@parents,$p{'name'});
				my @opts = split(/,/, $properties{'notification_failure_criteria'});
				$page .= Forms->failure_criteria('notification_failure_criteria',\@opts,$required{'notification_failure_criteria'},'host_dependencies');
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_three_button(\%delete,\%cancel,\%save);
			} else {
				my @hosts = StorProc->get_names_in('host_id','hosts','host_dependencies');
				$page .= Forms->form_top('Select Dependent Host','');
				$page .= Forms->list_box("Host:",'name',\@hosts);
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%select);
			}
		} elsif ($obj eq 'export') {
			$page .= Forms->main_page("Export");
			my @results = ();
			use MonarchFile;
			my %nagios = StorProc->fetch_one('setup','name','nagios_home');
			my ($errors, $usefiles) = Files->build_files($user_acct,"$doc_root/monarch/download",\%property_list);
			@errors = @{$errors};
			my %use_file = %{$usefiles};
			@errors = Files->nagios_cfg($user_acct,'2',$nagios{'value'},"$doc_root/monarch/download",\%use_file); 
			$use_file{'nagios.cfg'} = 1;
			@errors = Files->nagios_cgi($user_acct,'2',$nagios{'value'},"$doc_root/monarch/download"); 
			$use_file{'cgi.cfg'} = 1;
			$use_file{'resource.cfg'} = 1;
			if (@errors) { foreach (@errors) { error_out($_) } }
			$page .= Forms->table_download_links($doc_root,\%use_file);
		} elsif ($obj eq 'hosts') {
			$hidden{'search'} = $query->param('task');
			if ($query->param('obj_view') eq 'Done') { $name = undef; $hidden{'search'} = undef; }
			$page .= Forms->main_page("Hosts");
			if ($name) {
				$page .= manage_host($name);
			} else {
				if ($hidden{'search'} eq 'host_name') {
					$hidden{'host_name'} = $query->param('host_name');
					if ($hidden{'host_name'}) {
						my @members = StorProc->fetch_list_start('hosts','name','name',$hidden{'host_name'});
						if ($members[0]) {
							if ($members[1]) {
								$page .= Forms->form_top('Select','');
								$page .= Forms->list_box("Host:",'name',\@members);
								$page .= Forms->hidden(\%hidden);
								$page .= Forms->form_bottem_two_button(\%cancel,\%select);
							} else {
								$page .= manage_host($members[0]);
							}
						} else {
							push @errors, "No match found.";
							delete $hidden{'host_name'};
						}
					}
					unless ($hidden{'host_name'}) {
						$page .= Forms->form_top('Enter','');
						if (@errors) { $page .= Forms->form_errors(\@errors) }
						$page .= Forms->text_box("Host name starts with:",'host_name','',$textsize{'name'});
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%select);
					}
				} elsif ($hidden{'search'} eq 'host_group') {
					$hidden{'hostgroup'} = $query->param('hostgroup');
					if ($hidden{'hostgroup'}) {
						$page .= Forms->form_top('Select','');
						my @members = StorProc->get_host_hostgroup($hidden{'hostgroup'});
						$page .= Forms->list_box("Host:",'name',\@members);
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%select);
					} else {
						$page .= Forms->form_top('Select','');
						my @members = StorProc->fetch_list('hostgroups','name'); 
						my @authhostgroups = ();
						foreach (@members) { if ($auth_modify{$_}) { push @authhostgroups, $_}	}
						$page .= Forms->list_box("Hostgroup:",'hostgroup',\@members);
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%select);
					}
				} elsif ($hidden{'search'} eq 'host_address') {
					$hidden{'host_address'} = $query->param('host_address');
					if ($hidden{'host_address'}) {
						$page .= Forms->form_top('Select','');
						my @members = StorProc->fetch_list_start('hosts','name','address',$hidden{'host_address'});
						$page .= Forms->list_box("Host:",'name',\@members);
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%select);
					} else {
						$page .= Forms->form_top('Enter','');
						$page .= Forms->text_box("Host address starts with:",'host_address','',$textsize{'address'});
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%select);
					}
				} else {
					my %source;
					$source{'host_name'} = "Find host by name";
					$source{'host_address'} = "Find host by address";
					$source{'host_group'} = "Find host by hostgroup";
					$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
				}
			}
		} elsif ($name) {
			$page .= Forms->main_page($title);
			my $title = undef;
			my @t_parse = split(/_/, $obj);
			foreach (@t_parse) { $title .= "\u$_ " }
			$title =~ s/s$//;
			$page .= build_form();
		} elsif ($obj) {
			$page .= Forms->main_page($title);
			$page .= Forms->form_top('Select','');
			my @members = StorProc->fetch_list($obj,'name'); 
			my $title = $obj;
			$title =~ s/_/ /g;
			$title =~ s/ies$/y/;
			$title =~ s/s$//g;
			$page .= Forms->list_box("\u$title:",'name',\@members);
			$hidden{'task'} = 'modify';
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_two_button(\%cancel,\%select);
		}
	}
	return $page;
}

#
##################################################
# Control Center
#

sub control() {
	my @menus; 
	foreach my $menu (@control_menus) {
		if ($auth_add{$menu}) { push @menus, $menu }
	}
	my $page = Forms->left_page('Control');
	$page .= Forms->left_menu($user_acct,$view,\@menus,$obj);
	unless ($query->param('cancel') || $query->param('submit') eq 'Close') {


foreach my $svc ($query->param) {
my $x = $query->param($svc);
# error_out("ok $svc $x");
}

#
##################################################
# Users
#
		if ($obj eq 'users') {
			@errors = ();
			$table = 'users';
			my $user = $query->param('mod_user');
			my $user_name = $query->param('user_name');
			my @password = $query->param('passwd');
			my $task = $query->param('submit');
			if ($query->param('task') eq 'No') { $task = undef }
			$page .= Forms->main_page("User Administration");
			if ($task eq 'Add' && $user) {
				my $id = undef;
				my %p = StorProc->fetch_one('users','user_acct',$user);
				if (!$password[1]) { $password[1] = 1 }
				unless ($authentication{'disabled'}) {
					if ($password[0] eq $password[1]) { $password[1] = undef }
				} else {
					$password[1] = undef;
				}
				unless ($p{'user_acct'} || $user eq '' || $password[1]) {
					my $now = time;
					$now = $now - 100000;
					my @values = ('',$user,$user_name,$password[0],$now);
					$id = StorProc->insert_obj_id($table,\@values,'user_id');
					if ($id =~ /^Error/) { push @errors, $id }
				} else {
					if ($p{'user_acct'}) { push @errors, "User id $user_acct already exists." }
					if ($user eq '') { push @errors, "Required: User id" }
					if ($password[1]) { push @errors, "Check password fields. They are either blank or a mismatch." }
				}
				unless (@errors) { 
					my @user_groups = $query->param('user_groups');
					my @ugs = StorProc->get_ids('usergroup_id','user_groups',\@user_groups);
					foreach (@ugs) {
						my @values = ($_,$id);
						my $result = StorProc->insert_obj('user_group',\@values);
						if ($result =~ /^Error/) { push @errors, $result }				
					}
				}
				unless (@errors) { ($task,$user) = undef }
			} elsif ($task eq 'Save') {
				my %values;
				if (!$password[1]) { $password[1] = 1 }
				if ($authentication{'enabled'} && $query->param('set_password')) {
					if ($password[0] eq $password[1]) { $password[1] = undef }
				} else {
					$password[1] = undef;
				}
				unless ($password[1]) {
					$values{'user_name'} = $user_name;
					$values{'password'} = $password[0];
					my $result = StorProc->update_obj('users','user_acct',$user,\%values);
					if ($result =~ /^Error/) { push @errors, $result }
					unless ($user eq 'super_user') {
						my %u = StorProc->fetch_one('users','user_acct',$user);
						$result = StorProc->delete_all('user_group','user_id',$u{'user_id'});
						if ($result =~ /^Error/) { push @errors, $result }
						my @user_groups = $query->param('user_groups');
						my @ugs = StorProc->get_ids('usergroup_id','user_groups',\@user_groups);
						foreach (@ugs) {
							my @values = ($_,$u{'user_id'});
							my $result = StorProc->insert_obj('user_group',\@values);
							if ($result =~ /^Error/) { push @errors, $result }				
						}
					}
				} else {
					push @errors, "Check password fields. It's either blank or a mismatch";
				}
				unless (@errors) { ($task,$user) = undef }
			} elsif ($task eq 'Delete' || $query->param('confirm_delete')) {
				if ($query->param('confirm_delete')) {
					my $result = StorProc->delete_all('users','user_acct',$user);
					if ($result =~ /^Error/) { push @errors, $result }
					unless (@errors) { ($task,$user) = undef }
				} else {
					$hidden{'user_acct'} = $user;
					my $message = qq(Are you sure you want to remove $user?);
					$page .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
					$user = undef;
					$task = 'Delete';
				}
			}
			unless ($task eq 'Delete') {
				if (@errors || $user || $task =~ /Add/) {
					my @members = $query->param('user_groups');
					$page .= Forms->form_top('User Account','/cgi-bin/monarch.cgi onsubmit="selIt();"');
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					if ($task =~ /Add/) {
						$page .= Forms->text_box('Userid:','mod_user',$user,$textsize{'short_name'},$required{'user_acct'});
						$page .= Forms->text_box('User name:','user_name',$user_name,$textsize{'long_name'});
						$hidden{'set_password'} = 1;
					} else {
						my %p = StorProc->fetch_one('users','user_acct',$user);
						if (!$members[0]) {
							@members = StorProc->get_names_in('usergroup_id','user_groups','user_group','user_id',$p{'user_id'}); 
						}
						$page .= Forms->display_hidden('User id:','mod_user',$user);
						$page .= Forms->text_box('User name:','user_name',$p{'user_name'},$textsize{'long_name'});
						$page .= Forms->checkbox('Set password:','set_password',$query->param('set_password'));
					}
					$page .= Forms->password_box('Password:','passwd',$textsize{'short_name'},$required{'password'});
					$page .= Forms->password_box('Password confirm:','passwd',$textsize{'short_name'},$required{'password'});
					unless ($user eq 'super_user') {
						my @nonmembers = StorProc->fetch_list('user_groups','name'); 
						$page .= Forms->members('User groups:','user_groups',\@members,\@nonmembers);
						$page .= Forms->hidden(\%hidden);
						if ($task =~ /Add/) {
							$page .= Forms->form_bottem_two_button(\%cancel,\%add);
						} else {
							$page .= Forms->form_bottem_three_button(\%delete,\%cancel,\%save);
						}
					} else {
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%save);
					}
				} else {
					$add{'value'} = 'Add New User';
					$page .= Forms->form_top('Add/Modify/Delete:','');
					my @members = StorProc->fetch_list('users','user_acct'); 
					$page .= Forms->list_box('User id:','mod_user',\@members);
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);
				}
			}
#
##################################################
# User Groups
#
		} elsif ($obj eq 'user_groups') {
			@errors = ();
			$table = 'user_groups';
			my $groupid = $query->param('groupid');
			my $description = $query->param('description');
			my $task = $query->param('submit');
			if ($query->param('task') eq 'No') { $task = undef }
			my $access_set = $query->param('access_set');
			my $access_type = $query->param('access_type');
			$page .= Forms->main_page("User Group Administration");
			my $update_assets = undef;
			my $saved = 0;
			my @message = ();
			if ($task eq 'Add' && $groupid) {
				my %p = StorProc->fetch_one('user_groups','name',$groupid);
				unless ($p{'name'}) {
					my @values = ('',$groupid,$description);
					my $result = StorProc->insert_obj($table,\@values);
					if ($result =~ /^Error/) { push @errors, $result }
				} else {
					push @errors, "Check name field. It's either blank or a record exists";
				}
				unless(@errors) {$task = 'access_list'}
			} elsif ($task eq 'Save') {
				my %values;
				$values{'description'} = $description;
				my $result = StorProc->update_obj($table,'name',$groupid,\%values);
				unless ($result =~ /^Error/) { push @errors, $result}
			} elsif ($groupid ne 'super_users' && ($task eq 'Delete Group' || $query->param('confirm_delete'))) {
				if ($query->param('confirm_delete')) {
					my $result = StorProc->delete_all('user_groups','name',$groupid);
					if ($result =~ /^Error/) { push @errors, $result }
					unless (@errors) { ($task,$groupid) = undef }
				} else {
					$hidden{'groupid'} = $groupid;
					my $message = qq(Are you sure you want to remove $groupid?);
					$page .= Forms->are_you_sure('Confirm Delete:',$message,'confirm_delete',\%hidden);
					$groupid = undef;
				}
			} elsif ($query->param('update_access')) {
				my %g = StorProc->fetch_one('user_groups','name',$groupid);
				my $type = undef;
				my %selected = ('usergroup_id' => $g{'usergroup_id'},'type' => $access_set);
				my $result = StorProc->delete_one_where('access_list',\%selected); 
				if ($result =~ /^Error/) { push @errors, $result }
				my %assets;
				my %vals;
				my @assets = $query->param('access_list');
				if ($access_set eq 'discover' || $access_set eq 'control') {
					foreach my $asset (@assets) {
						my @values = ($asset,$access_set,$g{'usergroup_id'},'full_control');
						my $result = StorProc->insert_obj('access_list',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				} else {
					foreach my $asset ($query->param) {
						if ($asset =~ /(^\S+)-(\S+)-(.*)/) {
							my $obj = $3;
							$assets{$obj} = $1;
							$vals{$obj} .= "$2,";
						}
					}
					foreach my $asset (keys %assets) {
						$vals{$asset} =~ s/,$//;
						my @values = ($asset,$assets{$asset},$g{'usergroup_id'},$vals{$asset});
						my $result = StorProc->insert_obj('access_list',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				unless (@errors) { 
					@message = ("Changes to access set $access_set accepted");	
					$saved = 1;
				}
			}
			unless ($task eq 'Delete Group') {
				if ($task eq 'Add' || $task eq 'Add New User Group') {
					$page .= Forms->form_top('User Group','');
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					$page .= Forms->text_box('Group id:','groupid','',$textsize{'short_name'},$required{'groupid'});
					$page .= Forms->text_box('Description:','description',$description,$textsize{'long_name'});
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%add);
				} elsif ($groupid && $task ne 'Save') {
					unless ($groupid eq 'super_users') {
						my %access_button = ();
						if (@errors) { $page .= Forms->form_errors(\@errors) }
						my %p = StorProc->fetch_one('user_groups','name',$groupid);
						$description = $p{'description'};
						my @radios = ('design_manage','discover','control');
						if (!$access_set) { $access_set = 'design_manage' }
						$hidden{'groupid'} = $groupid;
						$hidden{'access_set'} = $access_set;
						$page .= Forms->access_top($groupid,$user_acct,$access_set);
						my %g = StorProc->fetch_one('user_groups','name',$groupid);
						if ($saved) {
							$page .= Forms->hidden(\%hidden);
							$page .= Forms->form_message("Saved:",\@message,'row1');
						} elsif ($access_set eq 'discover') {
							$access_type = 'discover';
							my %values = ('usergroup_id' => $g{'usergroup_id'}, 'type' => 'discover');
							my @selected;
							my %selected_hash = StorProc->fetch_list_hash_array('access_list',\%values);
							foreach my $key (keys %selected_hash) { push @selected, $key }
							$page .= Forms->checkbox_list('Discover by:','access_list', \@discover_menus,\@selected);
							$page .= Forms->hidden(\%hidden);
							$page .= Forms->submit_button('update_access','Save Access Values');
						} elsif ($access_set eq 'control') {
							$access_type = 'control';
							my %assets_selected = undef;
							my %values = ('usergroup_id' => $g{'usergroup_id'}, 'type' => 'control');
							my @selected;
							my %selected_hash = StorProc->fetch_list_hash_array('access_list',\%values);
							foreach my $key (keys %selected_hash) { push @selected, $key }
							$page .= Forms->checkbox_list('Control list:','access_list', \@control_menus,\@selected);
							$page .= Forms->hidden(\%hidden);
							$page .= Forms->submit_button('update_access','Save Access Values');
						} elsif ($access_set eq 'hostgroup_hosts') {
							$access_type = 'hostgroup_hosts';
							my %assets_selected = undef;
							my @hostgroups = StorProc->fetch_list('hostgroups','name'); 
							my %values = ('usergroup_id' => $g{'usergroup_id'}, 'type' => $access_type);
							my %access_list_values = StorProc->fetch_list_hash_array('access_list',\%values);
							foreach my $key (keys %access_list_values) {
								$assets_selected{$key} = $access_list_values{$key}[3];
							}
							$page .= Forms->access_list('Hostgroup-hosts:',\@hostgroups,\%assets_selected,$access_type);
							$page .= Forms->hidden(\%hidden);
							$page .= Forms->submit_button('update_access','Save Access Values');
						} else {
							$access_type = 'design_manage';
							my %assets_selected = undef;
							my %values = ('usergroup_id' => $g{'usergroup_id'}, 'type' => $access_type);
							my %access_list_values = StorProc->fetch_list_hash_array('access_list',\%values);
							foreach my $key (keys %access_list_values) {
								$assets_selected{$key} = $access_list_values{$key}[3];
							}
							$page .= Forms->access_list('Design/Manage',\@design_menus,\%assets_selected,$access_type);
							$page .= Forms->hidden(\%hidden);
							$page .= Forms->submit_button('update_access','Save Access Values');
						}
						$delete{'value'} = 'Delete Group';
						$page .= Forms->form_bottem_one_button(\%delete);
					} else {
						my %p = StorProc->fetch_one('user_groups','name',$groupid);
						$description = $p{'description'};
						$page .= Forms->form_top('User Group','');
						$page .= Forms->display_hidden('Group id:','groupid',$groupid);
						$page .= Forms->text_box('Description:','description',$description,$textsize{'long_name'});
						$page .= Forms->hidden(\%hidden);
						$page .= Forms->form_bottem_two_button(\%cancel,\%save);					
					}
				} else {
					$add{'value'} = 'Add New User Group';
					$page .= Forms->form_top('Add/Modify/Delete:','');
					my @members = StorProc->fetch_list('user_groups','name'); 
					$page .= Forms->list_box('Group id:','groupid',\@members);
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_three_button(\%add,\%cancel,\%select);
				}
			}
#
##################################################
# Setup
#
		} elsif ($obj eq 'setup') {
			@errors = ();
			$table = 'setup';
			my $task = $query->param('submit');
			if ($task eq 'Save') {
				foreach my $name ($query->param) {
					my %values = ();
					my $value = $query->param($name);
					if ($name =~ /cgi_home|login_authentication|session_timeout|nagios_home|resource_home|import_workspace|nmap_integration|nmap_path|cvs_integration|csv_home/) {
						$values{'value'} = $value;
						my $result = StorProc->update_obj($table,'name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				if (!$query->param('nmap_integration')) {
					my %values;
					$values{'value'} = 0;
					my $result = StorProc->update_obj($table,'name','nmap_integration',\%values);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				if (!$query->param('cvs_integration')) {
					my %values;
					$values{'value'} = 0;
					my $result = StorProc->update_obj($table,'name','cvs_integration',\%values);
					if ($result =~ /^Error/) { push @errors, $result }
				}
			} else {
				my %docs = Doc->setup();
				$page .= Forms->main_page("Setup");
				$page .= Forms->form_top('Setup Options','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				my %p = StorProc->fetch_one('setup','name','login_authentication');
				my @members = ('active','passive','none');
				$page .= Forms->list_box('Login authentication:','login_authentication',\@members,$p{'value'},'',$docs{'login_authentication'});
				%p = StorProc->fetch_one('setup','name','session_timeout');
				$page .= Forms->text_box('Session timeout seconds:','session_timeout',$p{'value'},'5','',$docs{'session_timeout'});
				%p = StorProc->fetch_one('setup','name','nagios_home');
				$page .= Forms->text_box('Nagios nagios.cfg dir:','nagios_home',$p{'value'},$textsize{'long_name'},'',$docs{'nagios_home'});
				%p = StorProc->fetch_one('setup','name','cgi_home');
				$page .= Forms->text_box('Nagios cgi.cfg dir:','cgi_home',$p{'value'},$textsize{'long_name'},'',$docs{'cgi_home'});		
				%p = StorProc->fetch_one('setup','name','workspace_home');
				$page .= Forms->text_box('Workspace dir:','workspace_home',$p{'value'},$textsize{'long_name'},'',$docs{'workspace_home'});
				%p = StorProc->fetch_one('setup','name','backup_home');
				$page .= Forms->text_box('Backup dir:','backup_home',$p{'value'},$textsize{'long_name'},'',$docs{'backup_home'});
				%p = StorProc->fetch_one('setup','name','upload_home');
				$page .= Forms->text_box('Upload dir:','upload_home',$p{'value'},$textsize{'long_name'});
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%save);					
			}

#
##################################################
# Nagios			
#
		} elsif ($obj eq 'nagios_configuration') {
			my $step = $query->param('step');
			if ($query->param('next')) {
				my %nagios_set = StorProc->fetch_one('setup','name','log_file');
				if ($nagios_set{'name'}) {
					foreach my $name($query->param) {
						unless ($name =~ /^next$|user_acct|^obj$/) {
							if ($name eq 'radio_option') {
								my $val = $query->param($name);
								if ($step eq '1') {
									$name = 'inter_check_delay_method';
								} else {
									$name = 'service_interleave_factor';
								}
								if ($val eq 'other') {
									$val = $query->param('other_value');
								}
								my %values = ('value' => $val);
								my $result = StorProc->update_obj('setup','name',$name,\%values);
								if ($result =~ /^Error/) { push @errors, $result }
							} else {
								my $val = $query->param($name);
								my %values = ('value' => $val);
								my $result = StorProc->update_obj('setup','name',$name,\%values);
								if ($result =~ /^Error/) { push @errors, $result }
							}
						}
					}
				} else {
					my %nagios_defaults = StorProc->nagios_defaults();
					foreach my $name (keys %nagios_defaults) {
						my @values = ($name,'nagios',$nagios_defaults{$name});
						my $result = StorProc->insert_obj('setup',\@values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					$step = 0;
				}
				unless (@errors) {
					if ($step eq '0') {
						$step = 1;
					} elsif ($step eq '1') {
						$step = 2; 
					} elsif ($step eq '2') {
						$step = 3; 
					} elsif ($step eq '3') {
						$step = 4; 
					} elsif ($step eq '4') {
						$step = 'saved'; 
					}
				}
			} elsif ($query->param('back')) {
				$step = $step - 1;
			} elsif ($task eq 'set_defaults') {
				my %nagios_defaults = StorProc->nagios_defaults();
				my $result = StorProc->delete_all('setup','type','nagios');
				if ($result =~ /^Error/) { push @errors, $result }
				foreach my $name (keys %nagios_defaults) {
					my @values = ($name,'nagios',$nagios_defaults{$name});
					my $result = StorProc->insert_obj('setup',\@values);
					if ($result =~ /^Error/) { push @errors, $result }
				}
				$step = 1;
			} elsif ($task eq 'load_nagios_cfg') {

				@errors = StorProc->load_nagios_cfg(); 
				$step = 1;
			} elsif ($task eq 'view_edit') {
				$step = 1;
			}
			%next = ('name' => 'next', 'value' => 'Save and Next ->');
			%back = ('name' => 'back', 'value' => '<- Back');
			my %doc = Doc->nagios_cfg();
			my %where = ('type' => 'nagios');
			my %objects = StorProc->fetch_list_hash_array('setup',\%where);
			$page .= Forms->main_page("Nagios Configuration");

			if ($step eq '1') {
				$hidden{'step'} = 1;
				$page .= Forms->form_top('Nagios Options Page 1','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->text_box('Log file:','log_file',$objects{'log_file'}[2],$textsize{'long_name'},'',$doc{'log_file'});
				$page .= Forms->text_box('Resource file:','resource_file',$objects{'resource_file'}[2],$textsize{'long_name'},'',$doc{'resource_file'});
				$page .= Forms->text_box('Status file:','status_file',$objects{'status_file'}[2],$textsize{'long_name'},'',$doc{'status_file'});
				$page .= Forms->text_box('Nagios user:','nagios_user',$objects{'nagios_user'}[2],$textsize{'long_name'},'',$doc{'nagios_user'});
				$page .= Forms->text_box('Nagios group:','nagios_group',$objects{'nagios_group'}[2],$textsize{'long_name'},'',$doc{'nagios_group'});
				$page .= Forms->checkbox('Check external commands:','check_external_commands',$objects{'check_external_commands'}[2],$doc{'check_external_commands'});
				$page .= Forms->checkbox('Command check interval:','command_check_interval',$objects{'command_check_interval'}[2],$doc{'command_check_interval'});
				$page .= Forms->text_box('Downtime file:','downtime_file',$objects{'downtime_file'}[2],$textsize{'long_name'},'',$doc{'downtime_file'});
				$page .= Forms->text_box('Lock file:','lock_file',$objects{'lock_file'}[2],$textsize{'long_name'},'',$doc{'lock_file'});
				$page .= Forms->text_box('Temp file:','temp_file',$objects{'temp_file'}[2],$textsize{'long_name'},'',$doc{'temp_file'});
				$page .= Forms->log_rotation('Log rotation method:','log_rotation_method',$objects{'log_rotation_method'}[2],$doc{'log_rotation_method'});
				$page .= Forms->text_box('Log archive path:','log_archive_path',$objects{'log_archive_path'}[2],$textsize{'long_name'},'',$doc{'log_archive_path'});
				$page .= Forms->checkbox('Use syslog:','use_syslog',$objects{'use_syslog'}[2],$doc{'use_syslog'});
				$page .= Forms->checkbox('Log notifications:','log_notifications',$objects{'log_notifications'}[2],$doc{'log_notifications'});
				$page .= Forms->checkbox('Log host retries:','log_host_retries',$objects{'log_host_retries'}[2],$doc{'log_host_retries'});
				$page .= Forms->checkbox('Log service retries:','log_service_retries',$objects{'log_service_retries'}[2],$doc{'log_service_retries'});
				$page .= Forms->checkbox('Log event handlers:','log_event_handlers',$objects{'log_event_handlers'}[2],$doc{'log_event_handlers'});
				$page .= Forms->checkbox('Log initial states:','log_initial_states',$objects{'log_initial_states'}[2],$doc{'log_initial_states'});
				$page .= Forms->checkbox('Log external commands:','log_external_commands',$objects{'log_external_commands'}[2],$doc{'log_external_commands'});
				$page .= Forms->checkbox('Log passive service checks:','log_passive_service_checks',$objects{'log_passive_service_checks'}[2],$doc{'log_passive_service_checks'});
				$page .= Forms->text_box('Global host event handler:','global_host_event_handler',$objects{'global_host_event_handler'}[2],$textsize{'long_name'},'',$doc{'global_host_event_handler'});
				$page .= Forms->text_box('Global service event handler:','global_service_event_handler',$objects{'global_service_event_handler'}[2],$textsize{'long_name'},'',$doc{'global_service_event_handler'});
				$page .= Forms->radio_options('Inter check delay method:','inter_check_delay_method',$objects{'inter_check_delay_method'}[2],$doc{'inter_check_delay_method'});
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%next);					
			} elsif ($step eq '2') {
				$hidden{'step'} = 2;
				$page .= Forms->form_top('Nagios Options Page 2','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->radio_options('Service interleave factor:','service_interleave_factor',$objects{'service_interleave_factor'}[2],$doc{'service_interleave_factor'});
				$page .= Forms->text_box('Service reaper frequency:','service_reaper_frequency',$objects{'service_reaper_frequency'}[2],$textsize{'small'},'',$doc{'service_reaper_frequency'});
				$page .= Forms->text_box('Max concurrent checks:','max_concurrent_checks',$objects{'max_concurrent_checks'}[2],$textsize{'small'},'',$doc{'max_concurrent_checks'});
				$page .= Forms->text_box('Sleep time:','sleep_time',$objects{'sleep_time'}[2],$textsize{'small'},'',$doc{'sleep_time'});
				$page .= Forms->text_box('Service check timeout:','service_check_timeout',$objects{'service_check_timeout'}[2],$textsize{'small'},'',$doc{'timeout_values'});
				$page .= Forms->text_box('Host check timeout:','host_check_timeout',$objects{'host_check_timeout'}[2],$textsize{'small'});
				$page .= Forms->text_box('Event handler timeout:','event_handler_timeout',$objects{'event_handler_timeout'}[2],$textsize{'small'});
				$page .= Forms->text_box('Notification timeout:','notification_timeout',$objects{'notification_timeout'}[2],$textsize{'small'});
				$page .= Forms->text_box('Ocsp timeout:','ocsp_timeout',$objects{'ocsp_timeout'}[2],$textsize{'small'});
				$page .= Forms->text_box('Perfdata timeout:','perfdata_timeout',$objects{'perfdata_timeout'}[2],$textsize{'small'});
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%back,\%next);					
			} elsif ($step eq '3') {
				$hidden{'step'} = 3;
				$page .= Forms->form_top('Nagios Options Page 3','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->checkbox('Retain state information:','retain_state_information',$objects{'retain_state_information'}[2],$doc{'retain_state_information'});
				$page .= Forms->text_box('State retention file:','state_retention_file',$objects{'state_retention_file'}[2],$textsize{'state_retention_file'},'',$doc{'state_retention_file'});
				$page .= Forms->text_box('Retention update interval:','retention_update_interval',$objects{'retention_update_interval'}[2],$textsize{'small'},'',$doc{'retention_update_interval'});
				$page .= Forms->checkbox('Use retained program state:','use_retained_program_state',$objects{'use_retained_program_state'}[2],$doc{'use_retained_program_state'});
				$page .= Forms->text_box('Interval length:','interval_length',$objects{'interval_length'}[2],$textsize{'small'},'',$doc{'interval_length'});
				$page .= Forms->checkbox('Use agressive host checking:','use_agressive_host_checking',$objects{'use_agressive_host_checking'}[2],$doc{'use_agressive_host_checking'});
				$page .= Forms->checkbox('Execute service checks:','execute_service_checks',$objects{'execute_service_checks'}[2],$doc{'execute_service_checks'});
				$page .= Forms->checkbox('Accept passive service checks:','accept_passive_service_checks',$objects{'accept_passive_service_checks'}[2],$doc{'accept_passive_service_checks'});
				$page .= Forms->checkbox('Enable notifications:','enable_notifications',$objects{'enable_notifications'}[2],$doc{'enable_notifications'});
				$page .= Forms->checkbox('Enable event handlers:','enable_event_handlers',$objects{'enable_event_handlers'}[2],$doc{'enable_event_handlers'});
				$page .= Forms->checkbox('Process performance data:','process_performance_data',$objects{'process_performance_data'}[2],$doc{'process_performance_data'});
				$page .= Forms->text_box('Host perfdata command:','host_perfdata_command',$objects{'host_perfdata_command'}[2],$textsize{'long_name'},'',$doc{'host_perfdata_command'});
				$page .= Forms->text_box('Service perfdata command:','service_perfdata_command',$objects{'service_perfdata_command'}[2],$textsize{'long_name'},'',$doc{'service_perfdata_command'});
				$page .= Forms->checkbox('Obsess over services:','obsess_over_services',$objects{'obsess_over_services'}[2],$doc{'obsess_over_services'});
				$page .= Forms->text_box('OCSP command:','ocsp_command',$objects{'ocsp_command'}[2],$textsize{'long_name'},'',$doc{'ocsp_command'});
				$page .= Forms->checkbox('Check for orphaned services:','check_for_orphaned_services',$objects{'check_for_orphaned_services'}[2],$doc{'check_for_orphaned_services'});
				$page .= Forms->checkbox('Check service freshness:','check_service_freshness',$objects{'check_service_freshness'}[2],$doc{'check_service_freshness'});
				$page .= Forms->text_box('Freshness check interval:','freshness_check_interval',$objects{'freshness_check_interval'}[2],$textsize{'small'},'',$doc{'freshness_check_interval'});
				$page .= Forms->checkbox('Aggregate status updates:','aggregate_status_updates',$objects{'aggregate_status_updates'}[2],$doc{'aggregate_status_updates'});
				$page .= Forms->text_box('Status update interval:','status_update_interval',$objects{'status_update_interval'}[2],$textsize{'small'},'',$doc{'status_update_interval'});
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%back,\%next);					
			} elsif ($step eq '4') {
				$hidden{'step'} = 4;
				$page .= Forms->form_top('Nagios Options Page 4','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				$page .= Forms->checkbox('Enable flap detection:','enable_flap_detection',$objects{'enable_flap_detection'}[2],$doc{'enable_flap_detection'});
				$page .= Forms->text_box('Low host flap threshold:','low_host_flap_threshold',$objects{'low_host_flap_threshold'}[2],$textsize{'small'},'',$doc{'host_flap_detection_threshholds'});
				$page .= Forms->text_box('High host flap threshold:','high_host_flap_threshold',$objects{'high_host_flap_threshold'}[2],$textsize{'small'});
				$page .= Forms->text_box('Low service flap threshold:','low_service_flap_threshold',$objects{'low_service_flap_threshold'}[2],$textsize{'small'},'',$doc{'service_flap_detection_threshholds'});
				$page .= Forms->text_box('High service flap threshold:','high_service_flap_threshold',$objects{'high_service_flap_threshold'}[2],$textsize{'small'});
				$page .= Forms->date_format($objects{'date_format'}[2],$doc{'date_format'});
				$page .= Forms->text_box('Illegal object name chars:','illegal_object_name_chars',$objects{'illegal_object_name_chars'}[2],$textsize{'long_name'},'',$doc{'illegal_object_name_chars'});
				$page .= Forms->text_box('Admin email:','admin_email',$objects{'admin_email'}[2],$textsize{'long_name'},'',$doc{'admin_email'});
				$page .= Forms->text_box('Admin pager:','admin_pager',$objects{'admin_pager'}[2],$textsize{'long_name'},'',$doc{'admin_pager'});
				$page .= Forms->hidden(\%hidden);
				%save = ('name' => 'next', 'value' => 'Save and Done');
				$page .= Forms->form_bottem_two_button(\%back,\%save);					
			} elsif ($step eq 'saved') {
				$page .= Forms->form_top("Nagios configuration",'');
				my @message = ("Changes to nagios configuration completed");
				$page .= Forms->form_message('Saved:',\@message,'row1');	
				delete $hidden{'task'};
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%continue);
			} else {
				my %nagios_dir = StorProc->fetch_one('setup','name','nagios_home');
				my %source = ();
				$source{'load_nagios_cfg'} = "Load from $nagios_dir{'value'}/nagios.cfg";
				$source{'set_defaults'} = "Set default configuration";
				$source{'view_edit'} = "View / Edit configuration";
				$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
			}

#
##################################################
# Resource
#
		} elsif ($obj eq 'resource') {
			my $task = $query->param('submit');
			my $saved = 0;
			if ($task eq 'Save') {
				foreach my $name ($query->param) {
					if ($name =~ /user/) {
						my $val = $query->param($name);
						my %values = ('value' => $val);
						my $result = StorProc->update_obj('setup','name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
				}
				unless (@errors) {
					$page .= Forms->main_page("Resource");
					my @results = ("Changes to resources accepted.");
					$page .= Forms->form_top('Nagios Resources','');
					if (@errors) { $page .= Forms->form_message("Error(s) building file(s):",\@errors ,'error') }
					$page .= Forms->form_message("Saved:",\@results ,'row1');
					$hidden{'obj'} = undef;
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_one_button(\%continue);
					$saved = 1;
				}
			}
			unless ($saved) {
				$page .= Forms->main_page("Resource");
				$page .= Forms->form_top('Resource Values','');
				if (@errors) { $page .= Forms->form_errors(\@errors) }
				my %where = ('type' => 'resource');
				my %objects = StorProc->fetch_list_hash_array('setup',\%where);
				for (my $i = 1;$i <= 32;$i++) {
					$page .= Forms->text_box("\$USER$i\$:","user$i",$objects{"user$i"}[2],$textsize{'long_name'});
				}
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_two_button(\%cancel,\%save);					
			}
#
##################################################
# Files
#
		} elsif ($obj eq 'files') {
			$page .= Forms->main_page("Files");
			if ($query->param('cancel')) { $task = undef }
			if ($task) {
				$hidden{'task'} = $task;
				my $submit = $query->param('submit');
				if ($submit eq 'Save') {
					foreach my $name ($query->param) {
						my %values;
						my $value = $query->param($name);
						$values{'value'} = $value;
						my $result = StorProc->update_obj('setup','name',$name,\%values);
						if ($result =~ /^Error/) { push @errors, $result }
					}
					unless (@errors) { $task = undef }
				} elsif ($submit eq 'Add') {
					my $file = $query->param('file');
					my $path = $query->param('path');
					my $type = $query->param('type');

					if (!$path || !$file || !$type) {
						push @errors, "Required: File, path and type.";
					} else {
						unless ($file =~ /\.cfg$/) { $file .= ".cfg" }
						my %p = StorProc->fetch_one('files','name',$file);
						if ($p{'file_id'}) {
							push @errors, "Duplicate: File $file already exists.";
						} else {
							my @values = ('',$file,$path,$type);
							my $result = StorProc->insert_obj('files',\@values);
							if ($result =~ /^Error/) { push @errors, $result }
						}
					}
					unless (@errors) { $task = undef }
				}
				if ($task eq 'file_add') {
					my %p = StorProc->fetch_one('setup','name','nagios_home');
					$page .= Forms->form_top('Add File','');
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					$page .= Forms->text_box("File name:",'file','',$textsize{'long_name'});
					$page .= Forms->text_box("File path:",'path',$p{'value'},$textsize{'long_name'});
					my @types = ('host','service');
					$page .= Forms->list_box("File type:",'type',\@types,$p{'type'});
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_two_button(\%cancel,\%add);					

				} elsif ($task eq 'file_assn') {
					$page .= Forms->form_top('Object File Associations','');
					if (@errors) { $page .= Forms->form_errors(\@errors) }
					my %where = ('type' => 'file');
					my %objects = StorProc->fetch_list_hash_array('setup',\%where);
					foreach my $name (sort keys %objects) {
						if ($name =~ /HASH|stage|^hosts$|^services$|coords/) { next }
						my %f = StorProc->fetch_one('files','file_id',$objects{$name}[2]);
						my $title = $name;
						$title =~ s/_/ /g;
						$title = "\u$title";
						$page .= Forms->display_hidden("$title:",'name',$f{'name'});
					}
					%where = ('type' => 'host');
					my @files = StorProc->fetch_list_where('files','name',\%where);
					foreach my $f (@files) {
						$page .= Forms->display_hidden('Host:','name',$f);
					}
					%where = ('type' => 'service');
					my @files = StorProc->fetch_list_where('files','name',\%where);
					foreach my $f (@files) {
						$page .= Forms->display_hidden('Service:','name',$f);
					}
					$page .= Forms->hidden(\%hidden);
					$page .= Forms->form_bottem_one_button(\%close);					
				}
			}
			unless ($task) {
				my %source;
				$source{'file_add'} = "Add a host/service file";
				$source{'file_assn'} = "Show file associations";
				$page .= Forms->table_task_links($user_acct,$view,$obj,\%source);				
			}
#
##################################################
# Load
#
		} elsif ($obj eq 'load') {
			my %p = StorProc->fetch_one('setup','name','nagios_home');
			if ($query->param('confirm_load')) {
				$body = undef;
				$view = undef;
				$page = undef;
				delete $hidden{'view'};
				system("$monarch_home/bin/monarch_load.pl &");
				$body = show_load_status();
			} elsif ($query->param('task') eq 'No') {
				$hidden{'obj'} = undef;
			} elsif (-e "$p{'value'}/nagios.cfg") {
				$page .= Forms->main_page("Load Nagios Configuration");
				$p{'value'} =~ s/\/nagios.cfg//;
				my $message = qq(Are you sure you want to drop all Nagios records from Monarch and load $p{'value'}/nagios.cfg?&nbsp;&nbsp;);
				$page .= Forms->are_you_sure('Confirm Drop Records:',$message,'confirm_load',\%hidden);
			} else {
				$page .= Forms->main_page("Load Nagios Configuration");
				$page .= Forms->form_top('Error','');
				$hidden{'obj'} = undef;
				$page .= Forms->hidden(\%hidden);
				my @message = ("Unable to load $p{'value'}/nagios.cfg (update setup options).");
				$page .= Forms->form_message("Does not exist:",\@message ,'error');
				$page .= Forms->form_bottem_one_button(\%continue);		
			}
#
##################################################
# Pre Flight Test
#
		} elsif ($obj eq 'pre_flight_test') {
			my @results = ();
			use MonarchFile;
			my %nagios = StorProc->fetch_one('setup','name','nagios_home');
			my %workspace = StorProc->fetch_one('setup','name','workspace_home');
			my ($errors, $usefiles) = Files->build_files($user_acct,$workspace{'value'},\%property_list);
			@errors = @{$errors};
			my %use_file = %{$usefiles};
			unless ($errors[0]) { 
				@errors = Files->nagios_cfg($user_acct,'1',$nagios{'value'},$workspace{'value'},\%use_file); 
			}
			unless ($errors[0]) { 
				@results = StorProc->pre_flight_check($nagios_bin, $monarch_home);
			}
			$page .= Forms->main_page("Pre Flight Test");
			$page .= Forms->form_top('Nagios Pre Flight Test','');
			if (@errors) { $page .= Forms->form_message("Error(s) building file(s):",\@errors ,'error') }
			$page .= Forms->form_message("Results:",\@results ,'row1');
			$hidden{'obj'} = undef;
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_one_button(\%continue);

#
##################################################
# Commit
#
		} elsif ($obj eq 'commit') {
			my @results = ();
			use MonarchFile;
			my %nagios = StorProc->fetch_one('setup','name','nagios_home');
			my %workspace = StorProc->fetch_one('setup','name','workspace_home');
			my ($errors, $usefiles) = Files->build_files($user_acct,$workspace{'value'},\%property_list);
			@errors = @{$errors};
			my %use_file = %{$usefiles};
			unless ($errors[0]) { 
				@errors = Files->nagios_cfg($user_acct,'1',$nagios{'value'},$workspace{'value'},\%use_file); 
			}
			unless ($errors[0]) { 
				@results = StorProc->pre_flight_check($nagios_bin, $monarch_home);
			}
			my $res_str = pop @results;
			push @results, $res_str;
			if ($res_str =~ /Things look okay/) {
				my %backup = StorProc->fetch_one('setup','name','backup_home');
				@errors = Files->backup($nagios{'value'},$backup{'value'});
			} else {
				push @errors, "Make the necessary corrections and run pre flight check";
			}
			unless ($errors[0]) { 
				@errors = Files->nagios_cfg($user_acct,'0',$nagios{'value'},$workspace{'value'},\%use_file); 
			}		
			my %nagios_ver = StorProc->fetch_one('setup','name','nagios_version');
			unless ($errors[0] && $nagios_ver{'value'} eq '1.x') { 
				@errors = Files->nagios_cgi($user_acct,'0',$nagios{'value'},$workspace{'value'}); 
			}		
			unless ($errors[0]) { 
				my @commit = StorProc->commit($monarch_home);
				push (@results, @commit);
			}
			$page .= Forms->main_page("Commit");
			$page .= Forms->form_top('Nagios Commit','');
			$page .= Forms->form_message("Results:",\@results ,'row1');
			if (@errors) { $page .= Forms->form_message("Error(s):",\@errors ,'error') }
			$hidden{'obj'} = undef;
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_one_button(\%continue);
#
##################################################
# Run Ext info scripts
#
		} elsif ($obj eq 'run_extended_info_scripts') {
			$page .= Forms->main_page("Run External Scripts");
			my $ext_info = $query->param('ext_info');
			my $type = $query->param('type');
			if ($ext_info) {
				my @results = ();
				if ($type eq 'host') {
					my %x = StorProc->fetch_one('extended_host_info_templates','name',$ext_info);
					my %w = ('hostextinfo_id' => $x{'hostextinfo_id'});
					my @hosts = StorProc->fetch_list_where('hosts','name',\%w);
					push @results, "Script $x{'script'} from $x{'name'} launched for:";
					push @results, "<hr />";
					foreach my $host (@hosts) {
						my $script = $x{'script'};
						$script =~ s/\$HOSTNAME\$/$host/g;
						system("$script &");
						push @results, "$host '$script'";
						push @results, "<br />";
					}
				} elsif ($type eq 'service') {
					my %x = StorProc->fetch_one('extended_service_info_templates','name',$ext_info);
					my %service_hosts = StorProc->fetch_service_extinfo($x{'serviceextinfo_id'});
					push @results, "Script $x{'script'} from $x{'name'} launched for:";
					push @results, "<hr />";
					foreach my $sid (keys %service_hosts) {
						my $script = $x{'script'};
						$script =~ s/\$HOSTNAME\$/$service_hosts{$sid}[0]/g;
						$script =~ s/\$SERVICENAME\$/$service_hosts{$sid}[1]/g;
						system("$script &");
						push @results, "$service_hosts{$sid}[0] $service_hosts{$sid}[1] '$script'";
						push @results, "<br />";
					}
				}
				$page .= Forms->form_top('External Script','');
				if (@errors) { $page .= Forms->form_message("Error(s):",\@errors ,'error') }
				$page .= Forms->form_message("Results:",\@results ,'row1');
				$page .= Forms->hidden(\%hidden);
				$page .= Forms->form_bottem_one_button(\%continue);
			} else {
				my %scripts = StorProc->fetch_scripts('host');				
				$page .= Forms->table_script_links($user_acct,'host',\%scripts);
				%scripts = StorProc->fetch_scripts('service');				
				$page .= Forms->table_script_links($user_acct,'service',\%scripts);
			}
#
##################################################
# Run external scripts
#
		} elsif ($obj eq 'run_external_scripts') {
			use MonarchExternals;	
			my @errors = Externals->build_externals($user_acct);
			my @results = ("Externals module executed.");
			$page .= Forms->main_page("Externals");
			$page .= Forms->form_top('Run Externals','');
			$page .= Forms->form_message("Results:",\@results ,'row1');
			if (@errors) { $page .= Forms->form_message("Error(s):",\@errors ,'error') }
			$hidden{'obj'} = undef;
			$page .= Forms->hidden(\%hidden);
			$page .= Forms->form_bottem_one_button(\%continue);
		}
	}
	return $page;
}


sub show_load_status() {
	my %w;
	my %status_list = StorProc->fetch_list_hash_array('stage_status',\%w);
	my $page = undef;
	my $form = undef;
	my $completed = undef;
	my @status = ();
	foreach my $k (keys %status_list) { push @status, $k }
	@status = sort { $a <=> $b } @status;
	foreach my $id (@status) {
		my $class = undef;
		if ($status_list{$id}[1] eq 'error') {
			$class = 'error';
		} elsif ($status_list{$id}[1] eq 'action') {
			$class = 'msg';
		} elsif ($status_list{$id}[1] =~ /note|info|start/) {
			$class = 'info';
		} elsif ($status_list{$id}[1] eq 'completed') {
			$class = 'info';
			$completed = 1;
		}
		$form .= Forms->form_status($status_list{$id}[1],$status_list{$id}[2],$class);
	}
	unless ($completed) {
		$page .= Forms->main_page('Load In Progress');
		$page = Forms->form_top('Load status','');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		my %refresh = ('name' => 'submit','value' => 'Refresh');
		my @messages = ("Depending on the size of your implementation, the load process could take several minutes.");
		push @messages, "Use refresh for status updates.";
		$page .= Forms->form_message('Loading',\@messages,'row2');
		$page .= $form;
		$page .= Forms->hidden(\%hidden);
		$page .= Forms->form_bottem_one_button(\%refresh);		
	} else {
		$page .= Forms->main_page('Load Completed');
		$page = Forms->form_top('Load status','');
		if (@errors) { $form .= Forms->form_errors(\@errors) }
		$page .= $form;
		$page .= Forms->hidden(\%hidden);
		$page .= Forms->form_bottem_one_button(\%continue);		
	}
	return $page
}

sub login() {
	my $form = Forms->form_top('Login','','20%');
	if (@errors) { $form .= Forms->form_errors(\@errors) }
	$form .= Forms->text_box('User id:','user_acct',$user_acct,'15');
	$form .= Forms->password_box('Password:','password','15','');
	my %login = ('name' => 'submit', 'value' => 'Login');
	$form .= Forms->form_bottem_one_button(\%login);
	return $form;
}

sub do_task() {
	if ($view =~ /wizard/) {
		$page_title = 'Monarch - Host Wizard';
		$body = Forms->main_page('New Host Wizard');
		$body .= host_wizard();
	} elsif ($view eq 'design') {
		$body .= design();
	} elsif ($view eq 'discover') {
		$body .= discover();
	} elsif ($view eq 'manage') {
		$body .= manage();
	} elsif ($view eq 'control') {
		$body .= control();
	} elsif ($view eq 'report') {
		$body .= report();
	} elsif ($view eq 'logout') {
		my $result = StorProc->logout($user_acct);
		$body = login();
	} else {
		$body .= Forms->left_page('&nbsp;');
		my @empty = ();
		$body .= Forms->left_menu($user_acct,'',\@empty,'');
		$body .= Forms->main_page('<br><br>GroundWork Open Source Solutions');
	}
}

my $auth = StorProc->dbconnect();
if ($auth == 1) { 
	$user_acct = 'super_user';
}

if ($user_acct) {
	$userid = StorProc->check_user($user_acct,$password);
	if ($userid =~ /^\d+/) {
		my ($auth_add, $auth_modify, $auth_delete) = StorProc->auth_matrix($userid);
		%auth_add = %{$auth_add};
		%auth_modify = %{$auth_modify};
		%auth_delete = %{$auth_delete};
		my @views = ();
		if ($auth_add{'design'}) { push @views, 'design' }
#		if ($auth_add{'discover'}) { push @views, 'discover' }
		if ($auth_add{'modify'}) { push @views, 'manage' }
		if ($auth_add{'control'}) { push @views, 'control' }
		push @views, 'overview';
		my $load_status = StorProc->check_status();
		if ($load_status) {
			if ($submit eq 'Continue') {
				my $result = StorProc->delete_all('setup','name','load_status');
				$body = Forms->top_menu($user_acct,$view,\@views);
				$body .= Forms->left_page('&nbsp;');
				my @empty;
				$body .= Forms->left_menu($user_acct,'',\@empty,'');
				$body .= Forms->main_page('<br><br>GroundWork Open Source Solutions');
			} else {
				$body .= Forms->left_page('&nbsp;');
				my @empty;
				$body .= Forms->left_menu($user_acct,'',\@empty,'');
				$body = show_load_status();
			}
		} else {
			unless ($view =~ /wizard/) { $body = Forms->top_menu($user_acct,$view,\@views) }
			do_task();
		}
	} else {
		push @errors, $userid;
		$body = login();
	}
} else {
	$body = login();
}

print "Content-type: text/html \n\n";
print Forms->header($page_title,$auth,$user_acct,$view);
print $body;
print Forms->footer();

my $result = StorProc->dbdisconnect();

